com-tecnick-tcpdf

# Class: TCPDF Source Location: /tcpdf.php
### Class Overview
This is a PHP class for generating PDF documents without requiring external extensions. #### Author(s): Nicola Asuni - info@tecnick.com #### Version: 5.6.000 | ### Variables $AliasNbPages $AliasNumPage $annotation_fonts $author $AutoPageBreak $barcode $bgcolor $bMargin $booklet $buffer $bufferlen $byterange_string $cache_file_length $cache_maxsize_UTF8StringToArray $cache_size_UTF8StringToArray $cache_UTF8StringToArray $cell_height_ratio $cMargin $cntmrk $ColorFlag $columns $column_start_page $compress $CoreFonts $creator $CurOrientation $CurrentFont $current_column $currpagegroup $customlistindent $default_form_prop $default_graphic_vars $default_monospaced_font $default_table_columns $diffs $diskcache $dpi $DrawColor $embeddedfiles $encoding $encryptdata $encrypted $enc_padding $endlinex $epsmarker $extgstates $feps $fgcolor $fhPt $file_id $FillColor $FontAscent $FontDescent $FontFamily $FontFiles $fontkeys $fontlist $fonts $FontSize $FontSizePt $FontStyle $font_obj_ids $font_subsetting $footerlen $footerpos $footer_font $footer_margin $form_action $form_enctype $form_mode $form_obj_id $fwPt $gradients $h $header_font $header_logo $header_logo_width $header_margin $header_string $header_title $hPt $HREF $htmlLinkColorArray $htmlLinkFontStyle $htmlvspace $imagekeys $images $imgscale $img_rb_x $img_rb_y $InFooter $internal_encoding $inthead $intmrk $isunicode $javascript $jpeg_quality $js_objects $k $keywords $l $lasth $last_enc_key $last_enc_key_c $LayoutMode $linestyleCap $linestyleDash $linestyleJoin $linestyleWidth $linethrough $LineWidth $links $lispacer $listcount $listindent $listindentlevel $listnum $listordered $lisymbol $lMargin $n $newline $newpagegroup $numfonts $numimages $numpages $num_columns $n_js $n_ocg_print $n_ocg_view $objcopy $offsets $oldcMargin $opencell $openMarkedContent $original_lMargin $original_rMargin $OutlineRoot $outlines $overline $page $PageAnnots $PageBreakTrigger $pagedim $pagegroups $pagelen $PageMode $pageopen $pages $page_obj_id $pdfunit $PDFVersion $premode $print_footer $print_header $radiobutton_groups $radio_groups $rasterize_vector_images $re_space $re_spaces $rMargin $rtl $sign $signature_appearance $signature_data $signature_max_length $sig_annot_ref $sig_obj_id $spot_colors $start_transaction_page $start_transaction_y $state $strokecolor $subject $svgclipid $svgclipmode $svgclippaths $svgdefs $svgdefsmode $svgdir $svggradientid $svggradients $svginheritprop $svgstyles $svgtext $svgunit $tagvspaces $tempfontsize $TextColor $textindent $textrendermode $textstrokewidth $thead $theadMargins $title $tMargin $tmprtl $tocpage $transfmatrix $transfmatrix_key $transfmrk $underline $ur $ur_annots $ur_document $ur_form $ur_signature $viewer_preferences $visibility $w $wPt $x $y $ZoomMode | ### Methods __construct __destruct AcceptPageBreak addExtGState AddFont addHtmlLink addHTMLTOC addHTMLVertSpace addJavascriptObject AddLink AddPage AddSpotColor addTOC addTOCPage AliasNbPages AliasNumPage Annotation Arrow arrUTF8ToUTF16BE Bookmark Button Cell CheckBox checkPageBreak Circle Clip Close closeHTMLTagHandler colorRegistrationBar ComboBox commitTransaction convertHexStringToString convertHTMLColorToDec convertStringToHexString convertSVGtMatrix CoonsPatchMesh copyPage cropMark Curve deletePage Ellipse empty_string endPage endSVGElementHandler endTOCPage Error extractCSSproperties fitBlock Footer formatPageNumber formatTOCPageNumber GetAbsX getAliasNbPages getAliasNumPage getAnnotOptFromJSProp GetArrStringWidth getBarcode getBorderMode getBreakMargin getBuffer getCellCode getCellHeightRatio GetCharWidth getColumn getEncPermissionsString getFontAscent getFontBuffer getFontDescent getFontFamily getFontSize getFontSizePt getFontsList getFontStyle getFontSubsetting getFooterFont getFooterMargin getFormDefaultProp getGDgamma getGraphicVars getGroupPageNo getGroupPageNoFormatted getHeaderData getHeaderFont getHeaderMargin getHtmlDomArray getHTMLUnitToUnits getHyphenPatternsFromTEX getImageBuffer getImageFileType getImageRBX getImageRBY getImageScale getLastH GetLineWidth getMargins GetNumChars getNumLines getNumPages getObjFilename getOriginalMargins getPage getPageBuffer getPageDimensions getPageGroupAlias getPageHeight getPageNumGroupAlias getPageSizeFromFormat getPageWidth getPathPaintOperator getPDFData getRemainingWidth getRTL getScaleFactor getSpaceString getStringHeight GetStringWidth getSVGTransformMatrix getTagStyleFromCSS getTransformationMatrixProduct getUserPermissionCode getVectorsAngle GetX GetY get_mqr Gradient Header hyphenateText hyphenateWord Image ImageEps ImagePngAlpha ImageSVG IncludeJS intToRoman isRTLTextDir isValidCSSSelectorForTag lastPage Line LinearGradient Link ListBox Ln MirrorH MirrorL MirrorP MirrorV movePage MultiCell objclone Open openHTMLTagHandler Output PageNo PageNoFormatted PieSector PieSectorXY pixelsToUnits Polycurve Polygon PolyLine putHtmlListBullet RadialGradient RadioButton readDiskCache Rect registrationMark RegularPolygon removeSHY replaceBuffer revstrpos rfread rollbackTransaction Rotate RoundedRect RoundedRectXY Scale ScaleX ScaleXY ScaleY segSVGContentHandler selectColumn serializeTCPDFtagParameters setAlpha SetAuthor SetAutoPageBreak setBarcode SetBooklet setBuffer setCellHeightRatio SetCellPadding setColumnsArray SetCompression setContentMark SetCreator SetDefaultMonospacedFont setDefaultTableColumns SetDisplayMode SetDrawColor SetDrawColorArray SetDrawSpotColor setEqualColumns setExtGState SetFillColor SetFillColorArray SetFillSpotColor SetFont setFontBuffer SetFontSize setFontSubBuffer setFontSubsetting setFooter setFooterFont setFooterMargin setFormDefaultProp setGraphicVars setHeader setHeaderData setHeaderFont setHeaderMargin setHtmlLinksStyle setHtmlVSpace setImageBuffer setImageScale setImageSubBuffer setJPEGQuality SetKeywords setLanguageArray setLastH SetLeftMargin SetLineStyle SetLineWidth SetLink setListIndentWidth setLIsymbol SetMargins setOpenCell setPage setPageBoxes setPageBuffer setPageFormat setPageMark setPageOrientation setPageUnit setPDFVersion setPrintFooter setPrintHeader SetProtection setRasterizeVectorImages SetRightMargin setRTL setSignature setSignatureAppearance setSpacesRE SetSubject setSVGStyles setTableHeader setTempRTL SetTextColor SetTextColorArray setTextRenderingMode SetTextSpotColor SetTitle SetTopMargin setUserRights setViewerPreferences setVisibility SetX SetXY SetY set_mqr Skew SkewX SkewY StarPolygon startPage startPageGroup startSVGElementHandler startTransaction StartTransform StopTransform SVGPath SVGTransform swapMargins swapPageBoxCoordinates Text TextField Transform Translate TranslateX TranslateY unhtmlentities UniArrSubString unichr UTF8ArrayToUniArray UTF8ArrSubString UTF8ArrToLatin1 utf8Bidi utf8StrArrRev UTF8StringToArray utf8StrRev UTF8ToLatin1 UTF8ToUTF16BE Write write1DBarcode write2DBarcode writeBarcode writeDiskCache writeHTML writeHTMLCell _addfield _AES _beginpage _datastring _datestring _destroy _dochecks _dolinethrough _dolinethroughw _dooverline _dooverlinew _dounderline _dounderlinew _encrypt_data _enddoc _endpage _escape _escapetext _freadint _generateencryptionkey _getannotsrefs _getBYTE _getfontpath _getrawstream _getSHORT _getstream _getTrueTypeFontSubset _getTTFtableChecksum _getULONG _getUSHORT _JScolor _md5_16 _newobj _objectkey _out _outCurve _outCurveV _outCurveY _outellipticalarc _outLine _outPoint _outRect _Ovalue _parsejpeg _parsepng _putannotsobjs _putannotsrefs _putAPXObject _putbookmarks _putcatalog _putcidfont0 _putEmbeddedFiles _putencryption _putextgstates _putfonts _putfontwidths _putheader _putimages _putinfo _putjavascript _putocg _putpages _putresourcedict _putresources _putshaders _putsignature _putspotcolors _putstream _puttruetypeunicode _putviewerpreferences _RC4 _setGDImageTransparency _textstring _toJPEG _toPNG _Uvalue
### Class Details [line 165] This is a PHP class for generating PDF documents without requiring external extensions. TCPDF project (http://www.tcpdf.org) has been originally derived in 2002 from the Public Domain FPDF class by Olivier Plathey (http://www.fpdf.org), but now is almost entirely rewritten. #### Tags:
author: | Nicola Asuni - info@tecnick.com
version: | 5.6.000
link: | http://www.tcpdf.org
name: | TCPDF
license: | LGPL
[ Top ] ### Class Variables #### $AliasNbPages = '{nb}' [line 512] #### Tags:
var: | for total number of pages
access: | protected
Type: | alias
[ Top ] #### $AliasNumPage = '{pnb}' [line 518] #### Tags:
var: | for page number
access: | protected
Type: | alias
[ Top ] #### $annotation_fonts = array() [line 1397] List of fonts used on form fields (fontname => fontkey). #### Tags:
since: | 4.8.001 (2009-09-09)
access: | protected
Type: | mixed
[ Top ] #### $author = '' [line 494] #### Tags:
access: | protected
Type: | author
[ Top ] #### $AutoPageBreak = [line 452] #### Tags:
var: | page breaking
access: | protected
Type: | automatic
[ Top ] #### $barcode = false [line 607] #### Tags:
var: | to print on page footer (only if set).
access: | protected
Type: | Barcode
[ Top ] #### $bgcolor = [line 706] #### Tags:
var: | background color
access: | protected
Type: | current
[ Top ] #### $bMargin = [line 287] #### Tags:
var: | break margin
access: | protected
Type: | page
[ Top ] #### $booklet = false [line 1087] Booklet mode for double-sided pages #### Tags:
since: | 4.2.000 (2008-10-29)
access: | protected
Type: | mixed
[ Top ] #### $buffer = [line 191] #### Tags:
var: | holding in-memory PDF
access: | protected
Type: | buffer
[ Top ] #### $bufferlen = 0 [line 1187] Length of the buffer in bytes. #### Tags:
since: | 4.5.000 (2008-12-31)
access: | protected
Type: | mixed
[ Top ] #### $byterange_string = '/ByteRange[0 ********** ********** **********]' [line 1334] ByteRange placemark used during signature process. #### Tags:
since: | 4.6.028 (2009-08-25)
access: | protected
Type: | mixed
[ Top ] #### $cache_file_length = array() [line 1243] Array used to store the lengths of cache files #### Tags:
since: | 4.5.029 (2009-03-19)
access: | protected
Type: | mixed
[ Top ] #### $cache_maxsize_UTF8StringToArray = 8 [line 1271] Maximum size of cache array used for UTF8StringToArray() method. #### Tags:
since: | 4.5.037 (2009-04-07)
access: | protected
Type: | mixed
[ Top ] #### $cache_size_UTF8StringToArray = 0 [line 1278] Current size of cache array used for UTF8StringToArray() method. #### Tags:
since: | 4.5.037 (2009-04-07)
access: | protected
Type: | mixed
[ Top ] #### $cache_UTF8StringToArray = array() [line 1264] Cache array for UTF8StringToArray() method. #### Tags:
since: | 4.5.037 (2009-04-07)
access: | protected
Type: | mixed
[ Top ] #### $cell_height_ratio = K_CELL_HEIGHT_RATIO [line 937] Default cell height ratio. #### Tags:
since: | 3.0.014 (2008-05-23)
access: | protected
Type: | mixed
[ Top ] #### $cMargin = [line 294] #### Tags:
var: | internal padding
access: | public
Type: | cell
[ Top ] #### $cntmrk = array() [line 974] Array used to store content positions inside the pages buffer. keys are the page numbers #### Tags:
since: | 4.6.021 (2009-07-20)
access: | protected
Type: | mixed
[ Top ] #### $ColorFlag = [line 446] #### Tags:
var: | whether fill and text colors are different
access: | protected
Type: | indicates
[ Top ] #### $columns = array() [line 1446] Array of column measures (width, space, starting Y position) #### Tags:
since: | 4.9.001 (2010-03-28)
access: | protected
Type: | mixed
[ Top ] #### $column_start_page = 0 [line 1467] Starting page for columns #### Tags:
since: | 4.9.001 (2010-03-28)
access: | protected
Type: | mixed
[ Top ] #### $compress = [line 209] #### Tags:
var: | flag
access: | protected
Type: | compression
[ Top ] #### $CoreFonts = [line 330] #### Tags:
var: | of standard font names
access: | protected
Type: | array
[ Top ] #### $creator = '' [line 506] #### Tags:
access: | protected
Type: | creator
[ Top ] #### $CurOrientation = [line 215] #### Tags:
var: | page orientation (P = Portrait, L = Landscape)
access: | protected
Type: | current
[ Top ] #### $CurrentFont = [line 410] #### Tags:
var: | font info
access: | protected
Type: | current
[ Top ] #### $current_column = 0 [line 1460] Current column number #### Tags:
since: | 4.9.001 (2010-03-28)
access: | protected
Type: | mixed
[ Top ] #### $currpagegroup = [line 895] Contains the alias of the current page group #### Tags:
since: | 3.0.000 (2008-03-27)
access: | protected
Type: | mixed
[ Top ] #### $customlistindent = -1 [line 1109] #### Tags:
var: | PARSER: custom indent amount for lists. Negative value means disabled.
since: | 4.2.007 (2008-11-12)
access: | protected
Type: | HTML
[ Top ] #### $default_form_prop = array('lineWidth'=>1, 'borderStyle'=>'solid', 'fillColor'=>array(255, 255, 255),'strokeColor'=>array(128,128,128)) [line 1362] Deafult Javascript field properties. Possible values are described on official Javascript for Acrobat API reference. Annotation options can be directly specified using the 'aopt' entry. #### Tags:
since: | 4.8.000 (2009-09-07)
access: | protected
Type: | mixed
[ Top ] #### $default_graphic_vars = array() [line 1522] #### Tags:
var: | of default graphic settings
since: | 5.5.008 (2010-07-02)
access: | protected
Type: | Array
[ Top ] #### $default_monospaced_font = 'courier' [line 1229] Default monospaced font #### Tags:
since: | 4.5.025 (2009-03-10)
access: | protected
Type: | mixed
[ Top ] #### $default_table_columns = 4 [line 649] #### Tags:
var: | number of columns for html table.
access: | protected
Type: | Default
[ Top ] #### $diffs = array() [line 348] #### Tags:
var: | of encoding differences
access: | protected
Type: | array
[ Top ] #### $diskcache = false [line 1194] If true enables disk caching. #### Tags:
since: | 4.5.000 (2008-12-31)
access: | protected
Type: | mixed
[ Top ] #### $dpi = 72 [line 874] Dot Per Inch Document Resolution (do not change) #### Tags:
since: | 3.0.000 (2008-03-27)
access: | protected
Type: | mixed
[ Top ] #### $DrawColor = [line 428] #### Tags:
var: | for drawing color
access: | protected
Type: | commands
[ Top ] #### $embeddedfiles = array() [line 1123] #### Tags:
var: | of files to embedd
since: | 4.4.000 (2008-12-07)
access: | protected
Type: | array
[ Top ] #### $encoding = 'UTF-8' [line 725] #### Tags:
var: | encoding
since: | 1.53.0.TC010
access: | protected
Type: | default
[ Top ] #### $encryptdata = array() [line 762] Array containing encryption settings #### Tags:
since: | 5.0.005 (2010-05-11)
access: | protected
Type: | mixed
[ Top ] #### $encrypted = [line 755] Indicates whether document is protected #### Tags:
since: | 2.0.000 (2008-01-02)
access: | protected
Type: | mixed
[ Top ] #### $enc_padding = "\x28\xBF\x4E\x5E\x4E\x75\x8A\x41\x64\x00\x4E\x56\xFF\xFA\x01\x08\x2E\x2E\x00\xB6\xD0\x68\x3E\x80\x2F\x0C\xA9\xFE\x64\x53\x69\x7A" [line 782] Encryption padding #### Tags:
access: | protected
Type: | mixed
[ Top ] #### $endlinex = 0 [line 1003] End position of the latest inserted line #### Tags:
since: | 3.2.000 (2008-07-01)
access: | protected
Type: | mixed
[ Top ] #### $epsmarker = 'x#!#EPS#!#x' [line 1066] String used to mark the beginning and end of EPS image blocks #### Tags:
since: | 4.1.000 (2008-10-18)
access: | protected
Type: | mixed
[ Top ] #### $extgstates = [line 923] Array of transparency objects and parameters. #### Tags:
since: | 3.0.000 (2008-03-27)
access: | protected
Type: | mixed
[ Top ] #### $feps = 0.005 [line 1094] Epsilon value used for float calculations #### Tags:
since: | 4.2.000 (2008-10-29)
access: | protected
Type: | mixed
[ Top ] #### $fgcolor = [line 670] #### Tags:
var: | foreground color
access: | protected
Type: | current
[ Top ] #### $fhPt = [line 239] #### Tags:
var: | of page format in points
access: | protected
Type: | height
[ Top ] #### $file_id = [line 789] File ID (used on trailer) #### Tags:
since: | 5.0.005 (2010-05-12)
access: | protected
Type: | mixed
[ Top ] #### $FillColor = [line 434] #### Tags:
var: | for filling color
access: | protected
Type: | commands
[ Top ] #### $FontAscent = [line 385] #### Tags:
var: | font ascent (distance between font top and baseline)
since: | 2.8.000 (2007-03-29)
access: | protected
Type: | current
[ Top ] #### $FontDescent = [line 392] #### Tags:
var: | font descent (distance between font bottom and baseline)
since: | 2.8.000 (2007-03-29)
access: | protected
Type: | current
[ Top ] #### $FontFamily = [line 372] #### Tags:
var: | font family
access: | protected
Type: | current
[ Top ] #### $FontFiles = array() [line 342] #### Tags:
var: | of font files
access: | protected
Type: | array
[ Top ] #### $fontkeys = array() [line 1208] Store the font keys. #### Tags:
since: | 4.5.000 (2009-01-02)
access: | protected
Type: | mixed
[ Top ] #### $fontlist = array() [line 664] #### Tags:
var: | a list of available fonts on filesystem.
access: | protected
Type: | store
[ Top ] #### $fonts = array() [line 336] #### Tags:
var: | of used fonts
access: | protected
Type: | array
[ Top ] #### $FontSize = [line 422] #### Tags:
var: | font size in user unit
access: | protected
Type: | current
[ Top ] #### $FontSizePt = [line 416] #### Tags:
var: | font size in points
access: | protected
Type: | current
[ Top ] #### $FontStyle = [line 378] #### Tags:
var: | font style
access: | protected
Type: | current
[ Top ] #### $font_obj_ids = array() [line 1215] Store the font object IDs. #### Tags:
since: | 4.8.001 (2009-09-09)
access: | protected
Type: | mixed
[ Top ] #### $font_subsetting = true [line 1515] #### Tags:
var: | true enables font subsetting by default
since: | 5.3.002 (2010-06-07)
access: | protected
Type: | If
[ Top ] #### $footerlen = array() [line 989] Array used to store footer length of each page. #### Tags:
since: | 4.0.014 (2008-07-29)
access: | protected
Type: | mixed
[ Top ] #### $footerpos = array() [line 981] Array used to store footer positions of each page. #### Tags:
since: | 3.2.000 (2008-07-01)
access: | protected
Type: | mixed
[ Top ] #### $footer_font = [line 595] #### Tags:
var: | font.
access: | protected
Type: | Footer
[ Top ] #### $footer_margin = [line 569] #### Tags:
var: | distance between footer and bottom page margin.
access: | protected
Type: | Minimum
[ Top ] #### $form_action = '' [line 1376] Current form action (used during XHTML rendering) #### Tags:
since: | 4.8.000 (2009-09-07)
access: | protected
Type: | mixed
[ Top ] #### $form_enctype = 'application/x-www-form-urlencoded' [line 1383] Current form encryption type (used during XHTML rendering) #### Tags:
since: | 4.8.000 (2009-09-07)
access: | protected
Type: | mixed
[ Top ] #### $form_mode = 'post' [line 1390] Current method to submit forms. #### Tags:
since: | 4.8.000 (2009-09-07)
access: | protected
Type: | mixed
[ Top ] #### $form_obj_id = array() [line 1355] List of form annotations IDs #### Tags:
since: | 4.8.000 (2009-09-07)
access: | protected
Type: | mixed
[ Top ] #### $fwPt = [line 233] #### Tags:
var: | of page format in points
access: | protected
Type: | width
[ Top ] #### $gradients = array() [line 958] Array for storing gradient information. #### Tags:
since: | 3.1.000 (2008-06-09)
access: | protected
Type: | mixed
[ Top ] #### $h = [line 263] #### Tags:
var: | height of page in user unit
access: | protected
Type: | current
[ Top ] #### $header_font = [line 589] #### Tags:
var: | font.
access: | protected
Type: | Header
[ Top ] #### $header_logo = '' [line 625] #### Tags:
var: | image logo.
access: | protected
Type: | Header
[ Top ] #### $header_logo_width = 30 [line 631] #### Tags:
var: | image logo width in mm.
access: | protected
Type: | Header
[ Top ] #### $header_margin = [line 563] #### Tags:
var: | distance between header and top page margin.
access: | protected
Type: | Minimum
[ Top ] #### $header_string = '' [line 643] #### Tags:
var: | to print on document header.
access: | protected
Type: | String
[ Top ] #### $header_title = '' [line 637] #### Tags:
var: | to print as title on document header.
access: | protected
Type: | String
[ Top ] #### $hPt = [line 251] #### Tags:
var: | height of page in points
access: | protected
Type: | current
[ Top ] #### $HREF = array() [line 658] #### Tags:
var: | PARSER: array to store current link and rendering styles.
access: | protected
Type: | HTML
[ Top ] #### $htmlLinkColorArray = array(0, 0, 255) [line 1145] Default color for html links #### Tags:
since: | 4.4.003 (2008-12-09)
access: | protected
Type: | mixed
[ Top ] #### $htmlLinkFontStyle = 'U' [line 1152] Default font style to add to html links #### Tags:
since: | 4.4.003 (2008-12-09)
access: | protected
Type: | mixed
[ Top ] #### $htmlvspace = 0 [line 1045] Count the latest inserted vertical spaces on HTML #### Tags:
since: | 4.0.021 (2008-08-24)
access: | protected
Type: | mixed
[ Top ] #### $imagekeys = array() [line 1180] Store the image keys. #### Tags:
since: | 4.5.000 (2008-12-31)
access: | protected
Type: | mixed
[ Top ] #### $images = array() [line 354] #### Tags:
var: | of used images
access: | protected
Type: | array
[ Top ] #### $imgscale = 1 [line 542] #### Tags:
var: | factor to convert pixels to user units.
author: | Nicola Asuni
since: | 2004-06-14
access: | protected
Type: | adjusting
[ Top ] #### $img_rb_x = [line 526] #### Tags:
var: | corner X coordinate of inserted image
author: | Nicola Asuni
since: | 2002-07-31
access: | protected
Type: | right-bottom
[ Top ] #### $img_rb_y = [line 534] #### Tags:
var: | corner Y coordinate of inserted image
author: | Nicola Asuni
since: | 2002-07-31
access: | protected
Type: | right-bottom
[ Top ] #### $InFooter = false [line 464] #### Tags:
var: | set when processing footer
access: | protected
Type: | flag
[ Top ] #### $internal_encoding = [line 732] #### Tags:
var: | internal encoding
since: | 1.53.0.TC016
access: | protected
Type: | PHP
[ Top ] #### $inthead = false [line 1439] True when we are printing the thead section on a new page #### Tags:
since: | 4.8.027 (2010-01-25)
access: | protected
Type: | mixed
[ Top ] #### $intmrk = array() [line 966] Array used to store positions inside the pages buffer. keys are the page numbers #### Tags:
since: | 3.2.000 (2008-06-26)
access: | protected
Type: | mixed
[ Top ] #### $isunicode = false [line 550] #### Tags:
var: | set to true when the input text is unicode (require unicode fonts)
author: | Nicola Asuni
since: | 2005-01-02
access: | protected
Type: | boolean
[ Top ] #### $javascript = '' [line 815] javascript code #### Tags:
since: | 2.1.002 (2008-02-12)
access: | protected
Type: | mixed
[ Top ] #### $jpeg_quality = [line 930] Set the default JPEG compression quality (1-100) #### Tags:
since: | 3.0.000 (2008-03-27)
access: | protected
Type: | mixed
[ Top ] #### $js_objects = array() [line 1369] Javascript objects array #### Tags:
since: | 4.8.000 (2009-09-07)
access: | protected
Type: | mixed
[ Top ] #### $k = [line 227] #### Tags:
var: | factor (number of points in user unit)
access: | protected
Type: | scale
[ Top ] #### $keywords = '' [line 500] #### Tags:
access: | protected
Type: | keywords
[ Top ] #### $l = [line 601] #### Tags:
var: | templates.
access: | protected
Type: | Language
[ Top ] #### $lasth = [line 318] #### Tags:
var: | of last cell printed
access: | protected
Type: | height
[ Top ] #### $last_enc_key = [line 769] last RC4 key encrypted (cached for optimisation) #### Tags:
since: | 2.0.000 (2008-01-02)
access: | protected
Type: | mixed
[ Top ] #### $last_enc_key_c = [line 776] last RC4 computed key #### Tags:
since: | 2.0.000 (2008-01-02)
access: | protected
Type: | mixed
[ Top ] #### $LayoutMode = [line 476] #### Tags:
var: | display mode
access: | protected
Type: | layout
[ Top ] #### $linestyleCap = '0 J' [line 1017] PDF string for last line width #### Tags:
since: | 4.0.006 (2008-07-16)
access: | protected
Type: | mixed
[ Top ] #### $linestyleDash = '[] 0 d' [line 1031] PDF string for last line width #### Tags:
since: | 4.0.006 (2008-07-16)
access: | protected
Type: | mixed
[ Top ] #### $linestyleJoin = '0 j' [line 1024] PDF string for last line width #### Tags:
since: | 4.0.006 (2008-07-16)
access: | protected
Type: | mixed
[ Top ] #### $linestyleWidth = '' [line 1010] PDF string for last line width #### Tags:
since: | 4.0.006 (2008-07-16)
access: | protected
Type: | mixed
[ Top ] #### $linethrough = [line 829] line trough state #### Tags:
since: | 2.8.000 (2008-03-19)
access: | protected
Type: | mixed
[ Top ] #### $LineWidth = [line 324] #### Tags:
var: | width in user unit
access: | protected
Type: | line
[ Top ] #### $links = array() [line 366] #### Tags:
var: | of internal links
access: | protected
Type: | array
[ Top ] #### $lispacer = '' [line 718] #### Tags:
var: | for LI tags.
access: | protected
Type: | spacer
[ Top ] #### $listcount = array() [line 682] #### Tags:
var: | PARSER: array count list items on nested lists.
access: | protected
Type: | HTML
[ Top ] #### $listindent = 0 [line 694] #### Tags:
var: | PARSER: indent amount for lists.
access: | protected
Type: | HTML
[ Top ] #### $listindentlevel = 0 [line 700] #### Tags:
var: | PARSER: current list indententation level.
access: | protected
Type: | HTML
[ Top ] #### $listnum = 0 [line 688] #### Tags:
var: | PARSER: current list nesting level.
access: | protected
Type: | HTML
[ Top ] #### $listordered = array() [line 676] #### Tags:
var: | PARSER: array of boolean values, true in case of ordered list (OL), false otherwise.
access: | protected
Type: | HTML
[ Top ] #### $lisymbol = '' [line 1059] Symbol used for HTML unordered list items #### Tags:
since: | 4.0.028 (2008-09-26)
access: | protected
Type: | mixed
[ Top ] #### $lMargin = [line 269] #### Tags:
var: | margin
access: | protected
Type: | left
[ Top ] #### $n = [line 179] #### Tags:
var: | object number
access: | protected
Type: | current
[ Top ] #### $newline = true [line 996] True if a newline is created. #### Tags:
since: | 3.2.000 (2008-07-01)
access: | protected
Type: | mixed
[ Top ] #### $newpagegroup = array() [line 881] Array of page numbers were a new page group was started #### Tags:
since: | 3.0.000 (2008-03-27)
access: | protected
Type: | mixed
[ Top ] #### $numfonts = 0 [line 1201] Counts the number of fonts. #### Tags:
since: | 4.5.000 (2009-01-02)
access: | protected
Type: | mixed
[ Top ] #### $numimages = 0 [line 1173] Counts the number of pages. #### Tags:
since: | 4.5.000 (2008-12-31)
access: | protected
Type: | mixed
[ Top ] #### $numpages = 0 [line 1159] Counts the number of pages. #### Tags:
since: | 4.5.000 (2008-12-31)
access: | protected
Type: | mixed
[ Top ] #### $num_columns = 0 [line 1453] Number of colums #### Tags:
since: | 4.9.001 (2010-03-28)
access: | protected
Type: | mixed
[ Top ] #### $n_js = [line 822] javascript counter #### Tags:
since: | 2.1.002 (2008-02-12)
access: | protected
Type: | mixed
[ Top ] #### $n_ocg_print = [line 909] Print visibility. #### Tags:
since: | 3.0.000 (2008-03-27)
access: | protected
Type: | mixed
[ Top ] #### $n_ocg_view = [line 916] View visibility. #### Tags:
since: | 3.0.000 (2008-03-27)
access: | protected
Type: | mixed
[ Top ] #### $objcopy = [line 1236] Used to store a cloned copy of the current class object #### Tags:
since: | 4.5.029 (2009-03-19)
access: | protected
Type: | mixed
[ Top ] #### $offsets = [line 185] #### Tags:
var: | of object offsets
access: | protected
Type: | array
[ Top ] #### $oldcMargin = [line 300] #### Tags:
var: | internal padding (previous value)
access: | protected
Type: | cell
[ Top ] #### $opencell = true [line 1116] #### Tags:
var: | true keeps the border open for the cell sides that cross the page.
since: | 4.2.010 (2008-11-14)
access: | protected
Type: | if
[ Top ] #### $openMarkedContent = false [line 1038] True if marked-content sequence is open #### Tags:
since: | 4.0.013 (2008-07-28)
access: | protected
Type: | mixed
[ Top ] #### $original_lMargin = [line 576] #### Tags:
var: | left margin value
since: | 1.53.0.TC013
access: | protected
Type: | original
[ Top ] #### $original_rMargin = [line 583] #### Tags:
var: | right margin value
since: | 1.53.0.TC013
access: | protected
Type: | original
[ Top ] #### $OutlineRoot = [line 805] Outline root for bookmark #### Tags:
since: | 2.1.002 (2008-02-12)
access: | protected
Type: | mixed
[ Top ] #### $outlines = array() [line 798] Outlines for bookmark #### Tags:
since: | 2.1.002 (2008-02-12)
access: | protected
Type: | mixed
[ Top ] #### $overline = [line 404] #### Tags:
var: | flag
access: | protected
Type: | overlining
[ Top ] #### $page = [line 173] #### Tags:
var: | page number
access: | protected
Type: | current
[ Top ] #### $PageAnnots = array() [line 360] #### Tags:
var: | of Annotations in pages
access: | protected
Type: | array
[ Top ] #### $PageBreakTrigger = [line 458] #### Tags:
var: | used to trigger page breaks
access: | protected
Type: | threshold
[ Top ] #### $pagedim = array() [line 221] #### Tags:
var: | dimensions
access: | protected
Type: | Page
[ Top ] #### $pagegroups = [line 888] Contains the number of pages of the groups #### Tags:
since: | 3.0.000 (2008-03-27)
access: | protected
Type: | mixed
[ Top ] #### $pagelen = array() [line 1166] Array containing page lengths in bytes. #### Tags:
since: | 4.5.000 (2008-12-31)
access: | protected
Type: | mixed
[ Top ] #### $PageMode = [line 951] A name object specifying how the document should be displayed when opened. #### Tags:
since: | 3.1.000 (2008-06-09)
access: | protected
Type: | mixed
[ Top ] #### $pageopen = array() [line 1222] Store the fage status (true when opened, false when closed). #### Tags:
since: | 4.5.000 (2009-01-02)
access: | protected
Type: | mixed
[ Top ] #### $pages = array() [line 197] #### Tags:
var: | containing pages
access: | protected
Type: | array
[ Top ] #### $page_obj_id = array() [line 1348] ID of page objects #### Tags:
since: | 4.7.000 (2009-08-29)
access: | protected
Type: | mixed
[ Top ] #### $pdfunit = 'mm' [line 1495] #### Tags:
var: | unit of measure for document
since: | 5.0.000 (2010-04-22)
access: | protected
Type: | default
[ Top ] #### $PDFVersion = '1.7' [line 557] #### Tags:
var: | version
since: | 1.5.3
access: | protected
Type: | PDF
[ Top ] #### $premode = false [line 1130] #### Tags:
var: | true when inside html pre tag
since: | 4.4.001 (2008-12-08)
access: | protected
Type: | boolean
[ Top ] #### $print_footer = true [line 619] #### Tags:
var: | true prints footer.
access: | protected
Type: | If
[ Top ] #### $print_header = true [line 613] #### Tags:
var: | true prints header
access: | protected
Type: | If
[ Top ] #### $radiobutton_groups = array() [line 1404] List of radio buttons parent objects. #### Tags:
since: | 4.8.001 (2009-09-09)
access: | protected
Type: | mixed
[ Top ] #### $radio_groups = array() [line 1411] List of radio group objects IDs #### Tags:
since: | 4.8.001 (2009-09-09)
access: | protected
Type: | mixed
[ Top ] #### $rasterize_vector_images = false [line 1508] #### Tags:
var: | true convert vector images (SVG, EPS) to raster image using GD or ImageMagick library.
since: | 5.0.000 (2010-04-26)
access: | protected
Type: | If
[ Top ] #### $re_space = array('p' => '[\s]', 'm' => '') [line 1320] Array of parts $re_spaces #### Tags:
since: | 5.5.011 (2010-07-09)
access: | protected
Type: | mixed
[ Top ] #### $re_spaces = '/[\s]/' [line 1313] Regular expression used to find blank characters used for word-wrapping. #### Tags:
since: | 4.6.006 (2009-04-28)
access: | protected
Type: | mixed
[ Top ] #### $rMargin = [line 281] #### Tags:
var: | margin
access: | protected
Type: | right
[ Top ] #### $rtl = false [line 739] #### Tags:
var: | if the document language is Right-To-Left
since: | 2.0.000
access: | protected
Type: | indicates
[ Top ] #### $sign = false [line 1285] If true enables document signing #### Tags:
since: | 4.6.005 (2009-04-24)
access: | protected
Type: | mixed
[ Top ] #### $signature_appearance = array('page' => 1, 'rect' => '0 0 0 0') [line 1306] data for signature appearance #### Tags:
since: | 5.3.011 (2010-06-16)
access: | protected
Type: | mixed
[ Top ] #### $signature_data = array() [line 1292] Signature data #### Tags:
since: | 4.6.005 (2009-04-24)
access: | protected
Type: | mixed
[ Top ] #### $signature_max_length = 11742 [line 1299] Signature max length #### Tags:
since: | 4.6.005 (2009-04-24)
access: | protected
Type: | mixed
[ Top ] #### $sig_annot_ref = '***SIGANNREF*** 0 R' [line 1341] Placemark used during signature process. #### Tags:
since: | 4.6.028 (2009-08-25)
access: | protected
Type: | mixed
[ Top ] #### $sig_obj_id = 0 [line 1327] Signature object ID #### Tags:
since: | 4.6.022 (2009-06-23)
access: | protected
Type: | mixed
[ Top ] #### $spot_colors = array() [line 1052] Array of Spot colors #### Tags:
since: | 4.0.024 (2008-09-12)
access: | protected
Type: | mixed
[ Top ] #### $start_transaction_page = 0 [line 1425] Store page number when startTransaction() is called. #### Tags:
since: | 4.8.006 (2009-09-23)
access: | protected
Type: | mixed
[ Top ] #### $start_transaction_y = 0 [line 1432] Store Y position when startTransaction() is called. #### Tags:
since: | 4.9.001 (2010-03-28)
access: | protected
Type: | mixed
[ Top ] #### $state = [line 203] #### Tags:
var: | document state
access: | protected
Type: | current
[ Top ] #### $strokecolor = [line 1488] #### Tags:
var: | stroke color
since: | 4.9.008 (2010-04-03)
access: | protected
Type: | current
[ Top ] #### $subject = '' [line 488] #### Tags:
access: | protected
Type: | subject
[ Top ] #### $svgclipid = 0 [line 1585] #### Tags:
var: | of last SVG clipPath
since: | 5.0.000 (2010-05-02)
access: | protected
Type: | ID
[ Top ] #### $svgclipmode = false [line 1571] #### Tags:
var: | when in SVG clipPath tag
since: | 5.0.000 (2010-04-26)
access: | protected
Type: | true
[ Top ] #### $svgclippaths = array() [line 1578] #### Tags:
var: | of SVG clipPath commands
since: | 5.0.000 (2010-05-02)
access: | protected
Type: | array
[ Top ] #### $svgdefs = array() [line 1564] #### Tags:
var: | of SVG defs
since: | 5.0.000 (2010-05-02)
access: | protected
Type: | array
[ Top ] #### $svgdefsmode = false [line 1557] #### Tags:
var: | when in SVG defs group
since: | 5.0.000 (2010-05-02)
access: | protected
Type: | true
[ Top ] #### $svgdir = '' [line 1529] #### Tags:
var: | used for the last SVG image
since: | 5.0.000 (2010-05-05)
access: | protected
Type: | directory
[ Top ] #### $svggradientid = 0 [line 1550] #### Tags:
var: | of last SVG gradient
since: | 5.0.000 (2010-05-02)
access: | protected
Type: | ID
[ Top ] #### $svggradients = array() [line 1543] #### Tags:
var: | of SVG gradients
since: | 5.0.000 (2010-05-02)
access: | protected
Type: | array
[ Top ] #### $svginheritprop = array('clip-rule', 'color', 'color-interpolation', 'color-interpolation-filters', 'color-profile', 'color-rendering', 'cursor', 'direction', 'fill', 'fill-opacity', 'fill-rule', 'font', 'font-family', 'font-size', 'font-size-adjust', 'font-stretch', 'font-style', 'font-variant', 'font-weight', 'glyph-orientation-horizontal', 'glyph-orientation-vertical', 'image-rendering', 'kerning', 'letter-spacing', 'marker', 'marker-end', 'marker-mid', 'marker-start', 'pointer-events', 'shape-rendering', 'stroke', 'stroke-dasharray', 'stroke-dashoffset', 'stroke-linecap', 'stroke-linejoin', 'stroke-miterlimit', 'stroke-opacity', 'stroke-width', 'text-anchor', 'text-rendering', 'visibility', 'word-spacing', 'writing-mode') [line 1599] #### Tags:
var: | of hinheritable SVG properties
since: | 5.0.000 (2010-05-02)
access: | protected
Type: | array
[ Top ] #### $svgstyles = array(array( 'alignment-baseline' => 'auto', 'baseline-shift' => 'baseline', 'clip' => 'auto', 'clip-path' => 'none', 'clip-rule' => 'nonzero', 'color' => 'black', 'color-interpolation' => 'sRGB', 'color-interpolation-filters' => 'linearRGB', 'color-profile' => 'auto', 'color-rendering' => 'auto', 'cursor' => 'auto', 'direction' => 'ltr', 'display' => 'inline', 'dominant-baseline' => 'auto', 'enable-background' => 'accumulate', 'fill' => 'black', 'fill-opacity' => 1, 'fill-rule' => 'nonzero', 'filter' => 'none', 'flood-color' => 'black', 'flood-opacity' => 1, 'font' => '', 'font-family' => 'helvetica', 'font-size' => 'medium', 'font-size-adjust' => 'none', 'font-stretch' => 'normal', 'font-style' => 'normal', 'font-variant' => 'normal', 'font-weight' => 'normal', 'glyph-orientation-horizontal' => '0deg', 'glyph-orientation-vertical' => 'auto', 'image-rendering' => 'auto', 'kerning' => 'auto', 'letter-spacing' => 'normal', 'lighting-color' => 'white', 'marker' => '', 'marker-end' => 'none', 'marker-mid' => 'none', 'marker-start' => 'none', 'mask' => 'none', 'opacity' => 1, 'overflow' => 'auto', 'pointer-events' => 'visiblePainted', 'shape-rendering' => 'auto', 'stop-color' => 'black', 'stop-opacity' => 1, 'stroke' => 'none', 'stroke-dasharray' => 'none', 'stroke-dashoffset' => 0, 'stroke-linecap' => 'butt', 'stroke-linejoin' => 'miter', 'stroke-miterlimit' => 4, 'stroke-opacity' => 1, 'stroke-width' => 1, 'text-anchor' => 'start', 'text-decoration' => 'none', 'text-rendering' => 'auto', 'unicode-bidi' => 'normal', 'visibility' => 'visible', 'word-spacing' => 'normal', 'writing-mode' => 'lr-tb', 'text-color' => 'black', 'transfmatrix' => array(1, 0, 0, 1, 0, 0))) [line 1606] #### Tags:
var: | of SVG properties
since: | 5.0.000 (2010-05-02)
access: | protected
Type: | array
[ Top ] #### $svgtext = '' [line 1592] #### Tags:
var: | text
since: | 5.0.000 (2010-05-02)
access: | protected
Type: | svg
[ Top ] #### $svgunit = 'px' [line 1536] #### Tags:
var: | unit of measure for SVG
since: | 5.0.000 (2010-05-02)
access: | protected
Type: | Deafult
[ Top ] #### $tagvspaces = array() [line 1101] Array used for custom vertical spaces for HTML tags #### Tags:
since: | 4.2.001 (2008-10-30)
access: | protected
Type: | mixed
[ Top ] #### $tempfontsize = 10 [line 712] #### Tags:
var: | temporary font size in points.
access: | protected
Type: | Store
[ Top ] #### $TextColor = [line 440] #### Tags:
var: | for text color
access: | protected
Type: | commands
[ Top ] #### $textindent = 0 [line 1418] Text indentation value (used for text-indent CSS attribute) #### Tags:
since: | 4.8.006 (2009-09-23)
access: | protected
Type: | mixed
[ Top ] #### $textrendermode = 0 [line 1474] Text rendering mode: 0 = Fill text; 1 = Stroke text; 2 = Fill, then stroke text; 3 = Neither fill nor stroke text (invisible); 4 = Fill text and add to path for clipping; 5 = Stroke text and add to path for clipping; 6 = Fill, then stroke text and add to path for clipping; 7 = Add text to path for clipping. #### Tags:
since: | 4.9.008 (2010-04-03)
access: | protected
Type: | mixed
[ Top ] #### $textstrokewidth = 0 [line 1481] Text stroke width in doc units #### Tags:
since: | 4.9.008 (2010-04-03)
access: | protected
Type: | mixed
[ Top ] #### $thead = '' [line 1250] Table header content to be repeated on each new page #### Tags:
since: | 4.5.030 (2009-03-20)
access: | protected
Type: | mixed
[ Top ] #### $theadMargins = array() [line 1257] Margins used for table header. #### Tags:
since: | 4.5.030 (2009-03-20)
access: | protected
Type: | mixed
[ Top ] #### $title = '' [line 482] #### Tags:
access: | protected
Type: | title
[ Top ] #### $tMargin = [line 275] #### Tags:
var: | margin
access: | protected
Type: | top
[ Top ] #### $tmprtl = false [line 746] #### Tags:
var: | to force RTL or LTR string inversion
since: | 2.0.000
access: | protected
Type: | used
[ Top ] #### $tocpage = false [line 1501] #### Tags:
var: | when we are on TOC (Table Of Content) page
access: | protected
Type: | true
[ Top ] #### $transfmatrix = array() [line 1073] Array of transformation matrix #### Tags:
since: | 4.2.000 (2008-10-29)
access: | protected
Type: | mixed
[ Top ] #### $transfmatrix_key = 0 [line 1080] Current key for transformation matrix #### Tags:
since: | 4.8.005 (2009-09-17)
access: | protected
Type: | mixed
[ Top ] #### $transfmrk = array() [line 1138] Array used to store positions of graphics transformation blocks inside the page buffer. keys are the page numbers #### Tags:
since: | 4.4.002 (2008-12-09)
access: | protected
Type: | mixed
[ Top ] #### $underline = [line 398] #### Tags:
var: | flag
access: | protected
Type: | underlining
[ Top ] #### $ur = [line 839] If true enables user's rights on PDF reader #### Tags:
since: | 2.9.000 (2008-03-26)
access: | protected
Type: | mixed
[ Top ] #### $ur_annots = [line 853] Names specifying additional annotation-related usage rights for the document. #### Tags:
since: | 2.9.000 (2008-03-26)
access: | protected
Type: | mixed
[ Top ] #### $ur_document = [line 846] Names specifying additional document-wide usage rights for the document. #### Tags:
since: | 2.9.000 (2008-03-26)
access: | protected
Type: | mixed
[ Top ] #### $ur_form = [line 860] Names specifying additional form-field-related usage rights for the document. #### Tags:
since: | 2.9.000 (2008-03-26)
access: | protected
Type: | mixed
[ Top ] #### $ur_signature = [line 867] Names specifying additional signature-related usage rights for the document. #### Tags:
since: | 2.9.000 (2008-03-26)
access: | protected
Type: | mixed
[ Top ] #### $viewer_preferences = [line 944] PDF viewer preferences. #### Tags:
since: | 3.1.000 (2008-06-09)
access: | protected
Type: | mixed
[ Top ] #### $visibility = 'all' [line 902] Restrict the rendering of some elements to screen or printout. #### Tags:
since: | 3.0.000 (2008-03-27)
access: | protected
Type: | mixed
[ Top ] #### $w = [line 257] #### Tags:
var: | width of page in user unit
access: | protected
Type: | current
[ Top ] #### $wPt = [line 245] #### Tags:
var: | width of page in points
access: | protected
Type: | current
[ Top ] #### $x = [line 306] #### Tags:
var: | horizontal position in user unit for cell positioning
access: | protected
Type: | current
[ Top ] #### $y = [line 312] #### Tags:
var: | vertical position in user unit for cell positioning
access: | protected
Type: | current
[ Top ] #### $ZoomMode = [line 470] #### Tags:
var: | display mode
access: | protected
Type: | zoom
[ Top ] ### Class Methods ### constructor __construct [line 1690]
`TCPDF __construct( [string $orientation = 'P'], [string $unit = 'mm'], [mixed $format = 'A4'], [boolean $unicode = true], [String $encoding = 'UTF-8'], [boolean $diskcache = false])`
This is the class constructor. It allows to set up the page format, the orientation and the measure unit used in all the methods (except for the font sizes). #### Tags:
see: | TCPDF::getPageSizeFromFormat(), TCPDF::setPageFormat()
since: | 1.0
access: | public
#### Parameters:
string | $orientation | page orientation. Possible values are (case insensitive): P or Portrait (default) L or Landscape
string | $unit | User measure unit. Possible values are: pt: point mm: millimeter (default) cm: centimeter in: inch A point equals 1/72 of inch, that is to say about 0.35 mm (an inch being 2.54 cm). This is a very common unit in typography; font sizes are expressed in that unit.
mixed | $format | The format used for pages. It can be either: one of the string values specified at getPageSizeFromFormat() or an array of parameters specified at setPageFormat().
boolean | $unicode | TRUE means that the input text is unicode (default = true)
boolean | $diskcache | if TRUE reduce the RAM memory usage by caching temporary data on filesystem (slower).
String | $encoding | charset encoding; default is UTF-8
[ Top ] ### destructor __destruct [line 1821]
`void __destruct( )`
Default destructor. #### Tags:
since: | 1.53.0.TC016
access: | public
[ Top ] ### method AcceptPageBreak [line 4807]
`boolean AcceptPageBreak( )`
Whenever a page break condition is met, the method is called, and the break is issued or not depending on the returned value. The default implementation returns a value according to the mode selected by SetAutoPageBreak(). This method is called automatically and should not be called directly by the application. #### Tags:
see: | TCPDF::SetAutoPageBreak()
since: | 1.4
access: | public
[ Top ] ### method addExtGState [line 14433]
`the addExtGState( $parms, array $params)`
Add transparency parameters to the current extgstate #### Tags:
return: | number of extgstates
since: | 3.0.000 (2008-03-27)
access: | protected
#### Parameters:
array | $params | parameters
| $parms |
[ Top ] ### method AddFont [line 4284]
`array AddFont( string $family, [string $style = ''], [string $fontfile = ''], [mixed $subset = 'default'])`
Imports a TrueType, Type1, core, or CID0 font and makes it available. It is necessary to generate a font definition file first (read /fonts/utils/README.TXT). The definition file (and the font file itself when embedding) must be present either in the current directory or in the one indicated by K_PATH_FONTS if the constant is defined. If it could not be found, the error "Could not include font definition file" is generated. #### Tags:
return: | containing the font data, or false in case of error.
see: | TCPDF::SetFont(), TCPDF::setFontSubsetting()
since: | 1.5
access: | public
#### Parameters:
string | $family | Font family. The name can be chosen arbitrarily. If it is a standard family name, it will override the corresponding font.
string | $style | Font style. Possible values are (case insensitive): empty string: regular (default) B: bold I: italic BI or IB: bold italic
string | $fontfile | The font definition file. By default, the name is built from the family and style, in lower case with no spaces.
mixed | $subset | if true embedd only a subset of the font (stores only the information related to the used characters); if false embedd full font; if 'default' uses the default value set using setFontSubsetting(). This option is valid only for TrueTypeUnicode fonts. If you want to enable users to change the document, set this parameter to false. If you subset the font, the person who receives your PDF would need to have your same font in order to make changes to your PDF. The file size of the PDF would also be smaller because you are embedding only part of a font.
[ Top ] ### method addHtmlLink [line 10476]
`the addHtmlLink( string $url, string $name, [int $fill = 0], [boolean $firstline = false], [array $color = ''], [string $style = -1], [boolean $firstblock = false])`
Output anchor link. #### Tags:
return: | number of cells used or the remaining text if $firstline = true;
access: | public
#### Parameters:
string | $url | link URL or internal link (i.e.: &lt;a href="#23"&gt;link to page 23&lt;/a&gt;)
string | $name | link name
int | $fill | Indicates if the cell background must be painted (1) or transparent (0). Default value: 0.
boolean | $firstline | if true prints only the first line and return the remaining string.
array | $color | array of RGB text color
string | $style | font style (U, D, B, I)
boolean | $firstblock | if true the string is the starting of a line.
[ Top ] ### method addHTMLTOC [line 20455]
`void addHTMLTOC( [int $page = ''], [string $toc_name = 'TOC'], [array $templates = array()], [boolean $correct_align = true])`
Output a Table Of Content Index (TOC) using HTML templates. Before calling this method you have to open the page using the addTOCPage() method. After calling this method you have to call endTOCPage() to close the TOC page. #### Tags:
author: | Nicola Asuni
see: | TCPDF::addTOCPage(), TCPDF::endTOCPage(), TCPDF::addTOC()
since: | 5.0.001 (2010-05-06)
access: | public
#### Parameters:
int | $page | page number where this TOC should be inserted (leave empty for current page).
string | $toc_name | name to use for TOC bookmark.
array | $templates | array of html templates. Use: #TOC_DESCRIPTION# for bookmark title, #TOC_PAGE_NUMBER# for page number.
boolean | $correct_align | if true correct the number alignment (numbers must be in monospaced font like courier and right aligned on LTR, or left aligned on RTL)
[ Top ] ### method addHTMLVertSpace [line 19185]
`void addHTMLVertSpace( [string $hbz = 0], [string $hb = 0], [boolean $cell = false], [boolean $firstorlast = false])`
Add vertical spaces if needed. #### Tags:
access: | protected
#### Parameters:
string | $hbz | Distance between current y and line bottom.
string | $hb | The height of the break.
boolean | $cell | if true add the default cMargin space to each new line (default false).
boolean | $firstorlast | if true do not print additional empty lines.
[ Top ] ### method addJavascriptObject [line 13030]
`int addJavascriptObject( string $script, [boolean $onload = false])`
Adds a javascript object and return object ID #### Tags:
return: | internal object ID
author: | Nicola Asuni
since: | 4.8.000 (2009-09-07)
access: | public
#### Parameters:
string | $script | Javascript code
boolean | $onload | if true executes this object when opening the document
[ Top ] ### method AddLink [line 4607]
`void AddLink( )`
Creates a new internal link and returns its identifier. An internal link is a clickable area which directs to another place within the document. The identifier can then be passed to Cell(), Write(), Image() or Link(). The destination is defined with SetLink(). #### Tags:
see: | TCPDF::Cell(), TCPDF::Write(), TCPDF::Image(), TCPDF::Link(), TCPDF::SetLink()
since: | 1.5
access: | public
[ Top ] ### method AddPage [line 3456]
`void AddPage( [string $orientation = ''], [mixed $format = ''], [boolean $keepmargins = false], [boolean $tocpage = false])`
Adds a new page to the document. If a page is already present, the Footer() method is called first to output the footer (if enabled). Then the page is added, the current position set to the top-left corner according to the left and top margins (or top-right if in RTL mode), and Header() is called to display the header (if enabled). The origin of the coordinate system is at the top-left corner (or top-right for RTL) and increasing ordinates go downwards. #### Tags:
see: | TCPDF::startPage(), TCPDF::endPage(), TCPDF::addTOCPage(), TCPDF::endTOCPage(), TCPDF::getPageSizeFromFormat(), TCPDF::setPageFormat()
since: | 1.0
access: | public
#### Parameters:
string | $orientation | page orientation. Possible values are (case insensitive): P or PORTRAIT (default) L or LANDSCAPE
mixed | $format | The format used for pages. It can be either: one of the string values specified at getPageSizeFromFormat() or an array of parameters specified at setPageFormat().
boolean | $keepmargins | if true overwrites the default page margins with the current margins
boolean | $tocpage | if true set the tocpage state to true (the added page will be used to display Table Of Content).
[ Top ] ### method AddSpotColor [line 3902]
`void AddSpotColor( $name, int $c, int $m, int $y, int $k)`
Defines a new spot color. It can be expressed in RGB components or gray scale. The method can be called before the first page is created and the value is retained from page to page. #### Tags:
see: | TCPDF::SetDrawSpotColor(), TCPDF::SetFillSpotColor(), TCPDF::SetTextSpotColor()
since: | 4.0.024 (2008-09-12)
access: | public
#### Parameters:
int | $c | Cyan color for CMYK. Value between 0 and 255
int | $m | Magenta color for CMYK. Value between 0 and 255
int | $y | Yellow color for CMYK. Value between 0 and 255
int | $k | Key (Black) color for CMYK. Value between 0 and 255
| $name |
[ Top ] ### method addTOC [line 20305]
`void addTOC( [int $page = ''], [string $numbersfont = ''], [string $filler = '.'], [string $toc_name = 'TOC'])`
Output a Table of Content Index (TOC). Before calling this method you have to open the page using the addTOCPage() method. After calling this method you have to call endTOCPage() to close the TOC page. You can override this method to achieve different styles. #### Tags:
author: | Nicola Asuni
see: | TCPDF::addTOCPage(), TCPDF::endTOCPage(), TCPDF::addHTMLTOC()
since: | 4.5.000 (2009-01-02)
access: | public
#### Parameters:
int | $page | page number where this TOC should be inserted (leave empty for current page).
string | $numbersfont | set the font for page numbers (please use monospaced font for better alignment).
string | $filler | string used to fill the space between text and page number.
string | $toc_name | name to use for TOC bookmark.
[ Top ] ### method addTOCPage [line 3431]
`void addTOCPage( [string $orientation = ''], [ $format = ''], [boolean $keepmargins = false])`
Adds a new TOC (Table Of Content) page to the document. #### Tags:
see: | TCPDF::AddPage(), TCPDF::startPage(), TCPDF::endPage(), TCPDF::endTOCPage()
since: | 5.0.001 (2010-05-06)
access: | public
#### Parameters:
string | $orientation | page orientation.
boolean | $keepmargins | if true overwrites the default page margins with the current margins
| $format |
[ Top ] ### method AliasNbPages [line 14247]
`void AliasNbPages( [string $alias = '{nb}'])`
Defines an alias for the total number of pages. It will be substituted as the document is closed. #### Tags:
see: | TCPDF::getAliasNbPages(), TCPDF::PageNo(), TCPDF::Footer()
since: | 1.4
access: | public
#### Parameters:
string | $alias | The alias.
[ Top ] ### method AliasNumPage [line 14274]
`void AliasNumPage( [string $alias = '{pnb}'])`
Defines an alias for the page number. It will be substituted as the document is closed. #### Tags:
see: | TCPDF::getAliasNbPages(), TCPDF::PageNo(), TCPDF::Footer()
since: | 4.5.000 (2009-01-02)
access: | public
#### Parameters:
string | $alias | The alias.
[ Top ] ### method Annotation [line 4663]
`void Annotation( float $x, float $y, float $w, float $h, string $text, [array $opt = array('Subtype'=>'Text')], [int $spaces = 0])`
Puts a markup annotation on a rectangular area of the page. !!!!THE ANNOTATION SUPPORT IS NOT YET FULLY IMPLEMENTED !!!! #### Tags:
since: | 4.0.018 (2008-08-06)
access: | public
#### Parameters:
float | $x | Abscissa of the upper-left corner of the rectangle
float | $y | Ordinate of the upper-left corner of the rectangle
float | $w | Width of the rectangle
float | $h | Height of the rectangle
string | $text | annotation text or alternate content
array | $opt | array of options (see section 8.4 of PDF reference 1.7).
int | $spaces | number of spaces on the text to link
[ Top ] ### method Arrow [line 12240]
`void Arrow( float $x0, float $y0, $x1, float $y1, [int $head_style = 0], [float $arm_size = 5], [int $arm_angle = 15])`
Draws a grahic arrow. #### Tags:
author: | Piotr Galecki, Nicola Asuni, Andy Meier
since: | 4.6.018 (2009-07-10)
access: | public
#### Parameters:
float | $x0 | Abscissa of second point.
float | $y0 | Ordinate of first point.
float | $y1 | Ordinate of second point.
int | $head_style | (0 = draw only arrowhead arms, 1 = draw closed arrowhead, but no fill, 2 = closed and filled arrowhead, 3 = filled arrowhead)
float | $arm_size | length of arrowhead arms
int | $arm_angle | angle between an arm and the shaft
| $x1 |
[ Top ] ### method arrUTF8ToUTF16BE [line 10371]
`string arrUTF8ToUTF16BE( array $unicode, [boolean $setbom = true])`
Converts array of UTF-8 characters to UTF16-BE string. Based on: http://www.faqs.org/rfcs/rfc2781.html
       Encoding UTF-16:

       Encoding of a single character from an ISO 10646 character value to
        UTF-16 proceeds as follows. Let U be the character number, no greater
        than 0x10FFFF.

        1) If U < 0x10000, encode U as a 16-bit unsigned integer and
           terminate.

        2) Let U' = U - 0x10000. Because U is less than or equal to 0x10FFFF,
           U' must be less than or equal to 0xFFFFF. That is, U' can be
           represented in 20 bits.

        3) Initialize two 16-bit unsigned integers, W1 and W2, to 0xD800 and
           0xDC00, respectively. These integers each have 10 bits free to
           encode the character value, for a total of 20 bits.

        4) Assign the 10 high-order bits of the 20-bit U' to the 10 low-order
           bits of W1 and the 10 low-order bits of U' to the 10 low-order
           bits of W2. Terminate.

        Graphically, steps 2 through 4 look like:
        U' = yyyyyyyyyyxxxxxxxxxx
        W1 = 110110yyyyyyyyyy
        W2 = 110111xxxxxxxxxx
#### Tags:
author: | Nicola Asuni
see: | TCPDF::UTF8ToUTF16BE()
since: | 2.1.000 (2008-01-08)
access: | protected
#### Parameters:
array | $unicode | array containing UTF-8 unicode values
boolean | $setbom | if true set the Byte Order Mark (BOM = 0xFEFF)
[ Top ] ### method Bookmark [line 12908]
`void Bookmark( string $txt, [int $level = 0], [float $y = -1], [int $page = ''])`
Adds a bookmark. #### Tags:
author: | Olivier Plathey, Nicola Asuni
since: | 2.1.002 (2008-02-12)
access: | public
#### Parameters:
string | $txt | bookmark description.
int | $level | bookmark level (minimum value is 0).
float | $y | Ordinate of the boorkmark position (default = -1 = current position).
int | $page | target page number (leave empty for current page).
[ Top ] ### method Button [line 13920]
`void Button( string $name, int $w, int $h, string $caption, mixed $action, [array $prop = array()], [array $opt = array()], [float $x = ''], [float $y = ''], [boolean $js = false])`
Creates a button field #### Tags:
author: | Nicola Asuni
since: | 4.8.000 (2009-09-07)
access: | public
#### Parameters:
string | $name | field name
int | $w | width
int | $h | height
string | $caption | caption.
mixed | $action | action triggered by pressing the button. Use a string to specify a javascript action. Use an array to specify a form action options as on section 12.7.5 of PDF32000_2008.
array | $prop | javascript field properties. Possible values are described on official Javascript for Acrobat API reference.
array | $opt | annotation parameters. Possible values are described on official PDF32000_2008 reference.
float | $x | Abscissa of the upper-left corner of the rectangle
float | $y | Ordinate of the upper-left corner of the rectangle
boolean | $js | if true put the field using JavaScript (requires Acrobat Writer to be rendered).
[ Top ] ### method Cell [line 4914]
`void Cell( float $w, [float $h = 0], [string $txt = ''], [mixed $border = 0], [int $ln = 0], [string $align = ''], [int $fill = 0], [mixed $link = ''], [int $stretch = 0], [boolean $ignore_min_height = false], [string $calign = 'T'], [string $valign = 'M'])`
Prints a cell (rectangular area) with optional borders, background color and character string. The upper-left corner of the cell corresponds to the current position. The text can be aligned or centered. After the call, the current position moves to the right or to the next line. It is possible to put a link on the text. If automatic page breaking is enabled and the cell goes beyond the limit, a page break is done before outputting. #### Tags:
see: | TCPDF::SetFont(), TCPDF::SetDrawColor(), TCPDF::SetFillColor(), TCPDF::SetTextColor(), TCPDF::SetLineWidth(), TCPDF::AddLink(), TCPDF::Ln(), TCPDF::MultiCell(), TCPDF::Write(), TCPDF::SetAutoPageBreak()
since: | 1.0
access: | public
#### Parameters:
float | $w | Cell width. If 0, the cell extends up to the right margin.
float | $h | Cell height. Default value: 0.
string | $txt | String to print. Default value: empty string.
mixed | $border | Indicates if borders must be drawn around the cell. The value can be either a number: 0: no border (default) 1: frame or a string containing some or all of the following characters (in any order): L: left T: top R: right B: bottom
int | $ln | Indicates where the current position should go after the call. Possible values are: 0: to the right (or left for RTL languages) 1: to the beginning of the next line 2: below Putting 1 is equivalent to putting 0 and calling Ln() just after. Default value: 0.
string | $align | Allows to center or align the text. Possible values are: L or empty string: left align (default value) C: center R: right align J: justify
int | $fill | Indicates if the cell background must be painted (1) or transparent (0). Default value: 0.
mixed | $link | URL or identifier returned by AddLink().
int | $stretch | stretch carachter mode: 0 = disabled 1 = horizontal scaling only if necessary 2 = forced horizontal scaling 3 = character spacing only if necessary 4 = forced character spacing
boolean | $ignore_min_height | if true ignore automatic minimum height value.
string | $calign | cell vertical alignment relative to the specified Y value. Possible values are: T : cell top C : center B : cell bottom A : font top L : font baseline D : font bottom
string | $valign | text vertical alignment inside the cell. Possible values are: T : top C : center B : bottom
[ Top ] ### method CheckBox [line 13850]
`void CheckBox( string $name, int $w, [boolean $checked = false], [array $prop = array()], [array $opt = array()], [string $onvalue = 'Yes'], [float $x = ''], [float $y = ''], [boolean $js = false])`
Creates a CheckBox field #### Tags:
author: | Nicola Asuni
since: | 4.8.000 (2009-09-07)
access: | public
#### Parameters:
string | $name | field name
int | $w | width
boolean | $checked | define the initial state.
array | $prop | javascript field properties. Possible values are described on official Javascript for Acrobat API reference.
array | $opt | annotation parameters. Possible values are described on official PDF32000_2008 reference.
string | $onvalue | value to be returned if selected.
float | $x | Abscissa of the upper-left corner of the rectangle
float | $y | Ordinate of the upper-left corner of the rectangle
boolean | $js | if true put the field using JavaScript (requires Acrobat Writer to be rendered).
[ Top ] ### method checkPageBreak [line 4834]
`boolean checkPageBreak( [float $h = 0], [mixed $y = ''], [boolean $addpage = true])`
Add page if needed. #### Tags:
return: | true in case of page break, false otherwise.
since: | 3.2.000 (2008-07-01)
access: | protected
#### Parameters:
float | $h | Cell height. Default value: 0.
mixed | $y | starting y position, leave empty for current position.
boolean | $addpage | if true add a page, otherwise only return the true/false state
[ Top ] ### method Circle [line 11928]
`void Circle( float $x0, float $y0, float $r, [ $angstr = 0], [ $angend = 360], [string $style = ''], [array $line_style = array()], [array $fill_color = array()], [integer $nc = 2], float $angstr:, float $angend:)`
Draws a circle. A circle is formed from n Bezier curves. #### Tags:
since: | 2.1.000 (2008-01-08)
access: | public
#### Parameters:
float | $x0 | Abscissa of center point.
float | $y0 | Ordinate of center point.
float | $r | Radius.
float | $angstr: | Angle start of draw line. Default value: 0.
float | $angend: | Angle finish of draw line. Default value: 360.
string | $style | Style of rendering. See the getPathPaintOperator() function for more information.
array | $line_style | Line style of circle. Array like for SetLineStyle. Default value: default line style (empty array).
array | $fill_color | Fill color. Format: array(red, green, blue). Default value: default color (empty array).
integer | $nc | Number of curves used to draw a 90 degrees portion of circle.
| $angstr |
| $angend |
[ Top ] ### method Clip [line 14894]
`void Clip( float $x, float $y, float $w, float $h)`
Set a rectangular clipping area. #### Tags:
author: | Andreas Würmser, Nicola Asuni
since: | 3.1.000 (2008-06-09)
access: | protected
#### Parameters:
float | $x | abscissa of the top left corner of the rectangle (or top right corner for RTL mode).
float | $y | ordinate of the top left corner of the rectangle.
float | $w | width of the rectangle.
float | $h | height of the rectangle.
[ Top ] ### method Close [line 3308]
`void Close( )`
Terminates the PDF document. It is not necessary to call this method explicitly because Output() does it automatically. If the document contains no page, AddPage() is called to prevent from getting an invalid document. #### Tags:
see: | TCPDF::Open(), TCPDF::Output()
since: | 1.0
access: | public
[ Top ] ### method closeHTMLTagHandler [line 18795]
`void closeHTMLTagHandler( &$dom, int $key, boolean $cell, [int $maxbottomliney = 0], array $dom)`
Process closing tags. #### Tags:
access: | protected
#### Parameters:
array | $dom | html dom array
int | $key | current element id
boolean | $cell | if true add the default cMargin space to each new line (default false).
int | $maxbottomliney | maximum y value of current line
| &$dom |
[ Top ] ### method colorRegistrationBar [line 14569]
`void colorRegistrationBar( float $x, float $y, float $w, float $h, [boolean $transition = true], [boolean $vertical = false], [string $colors = 'A,R,G,B,C,M,Y,K'])`
Paints color transition registration bars #### Tags:
author: | Nicola Asuni
since: | 4.9.000 (2010-03-26)
access: | public
#### Parameters:
float | $x | abscissa of the top left corner of the rectangle.
float | $y | ordinate of the top left corner of the rectangle.
float | $w | width of the rectangle.
float | $h | height of the rectangle.
boolean | $transition | if true prints tcolor transitions to white.
boolean | $vertical | if true prints bar vertically.
string | $colors | colors to print, one letter per color separated by comma (for example 'A,W,R,G,B,C,M,Y,K'): A=black, W=white, R=red, G=green, B=blue, C=cyan, M=magenta, Y=yellow, K=black.
[ Top ] ### method ComboBox [line 13789]
`void ComboBox( string $name, int $w, int $h, array $values, [array $prop = array()], [array $opt = array()], [float $x = ''], [float $y = ''], [boolean $js = false])`
Creates a Combo-box field #### Tags:
author: | Nicola Asuni
since: | 4.8.000 (2009-09-07)
access: | public
#### Parameters:
string | $name | field name
int | $w | width
int | $h | height
array | $values | array containing the list of values.
array | $prop | javascript field properties. Possible values are described on official Javascript for Acrobat API reference.
array | $opt | annotation parameters. Possible values are described on official PDF32000_2008 reference.
float | $x | Abscissa of the upper-left corner of the rectangle
float | $y | Ordinate of the upper-left corner of the rectangle
boolean | $js | if true put the field using JavaScript (requires Acrobat Writer to be rendered).
[ Top ] ### method commitTransaction [line 20567]
`void commitTransaction( )`
Delete the copy of the current TCPDF object used for undo operation. #### Tags:
since: | 4.5.029 (2009-03-19)
access: | public
[ Top ] ### method convertHexStringToString [line 11098]
`String convertHexStringToString( string $bs)`
Convert hexadecimal string to string #### Tags:
author: | Nicola Asuni
since: | 5.0.005 (2010-05-12)
access: | protected
#### Parameters:
string | $bs | byte-string to convert
[ Top ] ### method convertHTMLColorToDec [line 10509]
`array convertHTMLColorToDec( [string $color = '#FFFFFF'])`
Returns an associative array (keys: R,G,B) from an html color name or a six-digit or three-digit hexadecimal color representation (i.e. #3FE5AA or #7FF). #### Tags:
return: | RGB color or false in case of error.
access: | public
#### Parameters:
string | $color | html color
[ Top ] ### method convertStringToHexString [line 11120]
`byte convertStringToHexString( string $s)`
Convert string to hexadecimal string (byte string) #### Tags:
return: | string
author: | Nicola Asuni
since: | 5.0.010 (2010-05-17)
access: | protected
#### Parameters:
string | $s | string to convert
[ Top ] ### method convertSVGtMatrix [line 21521]
`array convertSVGtMatrix( array $tm)`
Convert SVG transformation matrix to PDF. #### Tags:
return: | transformation matrix
since: | 5.0.000 (2010-05-02)
access: | protected
#### Parameters:
array | $tm | original SVG transformation matrix
[ Top ] ### method CoonsPatchMesh [line 14809]
`void CoonsPatchMesh( float $x, float $y, float $w, float $h, [array $col1 = array()], [array $col2 = array()], [array $col3 = array()], [array $col4 = array()], [array $coords = array(0.00,0.0,0.33,0.00,0.67,0.00,1.00,0.00,1.00,0.33,1.00,0.67,1.00,1.00,0.67,1.00,0.33,1.00,0.00,1.00,0.00,0.67,0.00,0.33)], [array $coords_min = 0], [array $coords_max = 1], [boolean $antialias = false])`
Paints a coons patch mesh. #### Tags:
author: | Andreas Würmser, Nicola Asuni
since: | 3.1.000 (2008-06-09)
access: | public
#### Parameters:
float | $x | abscissa of the top left corner of the rectangle.
float | $y | ordinate of the top left corner of the rectangle.
float | $w | width of the rectangle.
float | $h | height of the rectangle.
array | $col1 | first color (lower left corner) (RGB components).
array | $col2 | second color (lower right corner) (RGB components).
array | $col3 | third color (upper right corner) (RGB components).
array | $col4 | fourth color (upper left corner) (RGB components).
array | $coords | for one patch mesh: array(float x1, float y1, .... float x12, float y12): 12 pairs of coordinates (normally from 0 to 1) which specify the Bezier control points that define the patch. First pair is the lower left edge point, next is its right control point (control point 2). Then the other points are defined in the order: control point 1, edge point, control point 2 going counter-clockwise around the patch. Last (x12, y12) is the first edge point's left control point (control point 1). for two or more patch meshes: array[number of patches]: arrays with the following keys for each patch: f: where to put that patch (0 = first patch, 1, 2, 3 = right, top and left of precedent patch - I didn't figure this out completely - just try and error ;-) points: 12 pairs of coordinates of the Bezier control points as above for the first patch, 8 pairs of coordinates for the following patches, ignoring the coordinates already defined by the precedent patch (I also didn't figure out the order of these - also: try and see what's happening) colors: must be 4 colors for the first patch, 2 colors for the following patches
array | $coords_min | minimum value used by the coordinates. If a coordinate's value is smaller than this it will be cut to coords_min. default: 0
array | $coords_max | maximum value used by the coordinates. If a coordinate's value is greater than this it will be cut to coords_max. default: 1
boolean | $antialias | A flag indicating whether to filter the shading function to prevent aliasing artifacts.
[ Top ] ### method copyPage [line 20237]
`true copyPage( [int $page = 0])`
Clone the specified page to a new page. #### Tags:
return: | in case of success, false in case of error.
since: | 4.9.015 (2010-04-20)
access: | public
#### Parameters:
int | $page | number of page to copy (0 = current page)
[ Top ] ### method cropMark [line 14667]
`void cropMark( float $x, float $y, float $w, float $h, [string $type = 'A,B,C,D'], [array $color = array(0,0,0)])`
Paints crop mark #### Tags:
author: | Nicola Asuni
since: | 4.9.000 (2010-03-26)
access: | public
#### Parameters:
float | $x | abscissa of the crop mark center.
float | $y | ordinate of the crop mark center.
float | $w | width of the crop mark.
float | $h | height of the crop mark.
string | $type | type of crop mark, one sybol per type separated by comma: A = top left, B = top right, C = bottom left, D = bottom right.
array | $color | crop mark color (default black).
[ Top ] ### method Curve [line 11733]
`void Curve( float $x0, float $y0, float $x1, float $y1, float $x2, float $y2, float $x3, float $y3, [string $style = ''], [array $line_style = array()], [array $fill_color = array()])`
Draws a Bezier curve. The Bezier curve is a tangent to the line between the control points at either end of the curve. #### Tags:
see: | TCPDF::SetLineStyle()
since: | 2.1.000 (2008-01-08)
access: | public
#### Parameters:
float | $x0 | Abscissa of start point.
float | $y0 | Ordinate of start point.
float | $x1 | Abscissa of control point 1.
float | $y1 | Ordinate of control point 1.
float | $x2 | Abscissa of control point 2.
float | $y2 | Ordinate of control point 2.
float | $x3 | Abscissa of end point.
float | $y3 | Ordinate of end point.
string | $style | Style of rendering. See the getPathPaintOperator() function for more information.
array | $line_style | Line style of curve. Array like for SetLineStyle. Default value: default line style (empty array).
array | $fill_color | Fill color. Format: array(GREY) or array(R,G,B) or array(C,M,Y,K). Default value: default color (empty array).
[ Top ] ### method deletePage [line 20100]
`true deletePage( int $page)`
Remove the specified page. #### Tags:
return: | in case of success, false in case of error.
since: | 4.6.004 (2009-04-23)
access: | public
#### Parameters:
int | $page | page to remove
[ Top ] ### method Ellipse [line 11797]
`void Ellipse( float $x0, float $y0, float $rx, [float $ry = ''], [ $angle = 0], [ $astart = 0], [ $afinish = 360], [string $style = ''], [array $line_style = array()], [array $fill_color = array()], [integer $nc = 2], float $angle:, float $astart:, float $afinish:)`
Draws an ellipse. An ellipse is formed from n Bezier curves. #### Tags:
author: | Nicola Asuni
since: | 2.1.000 (2008-01-08)
access: | public
#### Parameters:
float | $x0 | Abscissa of center point.
float | $y0 | Ordinate of center point.
float | $rx | Horizontal radius.
float | $ry | Vertical radius (if ry = 0 then is a circle, see Circle). Default value: 0.
float | $angle: | Angle oriented (anti-clockwise). Default value: 0.
float | $astart: | Angle start of draw line. Default value: 0.
float | $afinish: | Angle finish of draw line. Default value: 360.
string | $style | Style of rendering. See the getPathPaintOperator() function for more information.
array | $line_style | Line style of ellipse. Array like for SetLineStyle. Default value: default line style (empty array).
array | $fill_color | Fill color. Format: array(GREY) or array(R,G,B) or array(C,M,Y,K). Default value: default color (empty array).
integer | $nc | Number of curves used to draw a 90 degrees portion of ellipse.
| $angle |
| $astart |
| $afinish |
[ Top ] ### method empty_string [line 20621]
`boolean empty_string( string $str)`
Determine whether a string is empty. #### Tags:
return: | true if string is empty
since: | 4.5.044 (2009-04-16)
access: | public
#### Parameters:
string | $str | string to be checked
[ Top ] ### method endPage [line 3476]
`void endPage( [boolean $tocpage = false])`
Terminate the current page #### Tags:
see: | TCPDF::AddPage(), TCPDF::startPage(), TCPDF::addTOCPage(), TCPDF::endTOCPage()
since: | 4.2.010 (2008-11-14)
access: | public
#### Parameters:
boolean | $tocpage | if true set the tocpage state to false (end the page used to display Table Of Content).
[ Top ] ### method endSVGElementHandler [line 22547]
`void endSVGElementHandler( resource $parser, string $name)`
Sets the closing SVG element handler function for the XML parser. #### Tags:
author: | Nicola Asuni
since: | 5.0.000 (2010-05-02)
access: | protected
#### Parameters:
resource | $parser | The first parameter, parser, is a reference to the XML parser calling the handler.
string | $name | The second parameter, name, contains the name of the element for which this handler is called. If case-folding is in effect for this parser, the element name will be in uppercase letters.
[ Top ] ### method endTOCPage [line 3441]
`void endTOCPage( )`
Terminate the current TOC (Table Of Content) page #### Tags:
see: | TCPDF::AddPage(), TCPDF::startPage(), TCPDF::endPage(), TCPDF::addTOCPage()
since: | 5.0.001 (2010-05-06)
access: | public
[ Top ] ### method Error [line 3280]
`void Error( string $msg)`
This method is automatically called in case of fatal error; it simply outputs the message and halts the execution. An inherited class may override it to customize the error handling but should always halt the script, or the resulting document would probably be invalid. 2004-06-11 :: Nicola Asuni : changed bold tag with strong #### Tags:
since: | 1.0
access: | public
#### Parameters:
string | $msg | The error message
[ Top ] ### method extractCSSproperties [line 16082]
`An extractCSSproperties( string $cssdata)`
Extracts the CSS properties from a CSS string. #### Tags:
return: | array where the keys are the CSS selectors and the values are the CSS properties.
author: | Nicola Asuni
since: | 5.1.000 (2010-05-25)
access: | protected
#### Parameters:
string | $cssdata | string containing CSS definitions.
[ Top ] ### method fitBlock [line 6275]
`void fitBlock( &$w, &$h, &$x, &$y, [boolean $fitonpage = false], float $w, float $h, float $x, float $y)`
Set the block dimensions accounting for page breaks and page/column fitting #### Tags:
since: | 5.5.009 (2010-07-05)
access: | protected
#### Parameters:
float | $w | width
float | $h | height
float | $x | X coordinate
float | $y | Y coodiante
boolean | $fitonpage | if true the block is resized to not exceed page dimensions.
| &$w |
| &$h |
| &$x |
| &$y |
[ Top ] ### method Footer [line 3723]
`void Footer( )`
This method is used to render the page footer. It is automatically called by AddPage() and could be overwritten in your own inherited class. #### Tags:
access: | public
[ Top ] ### method formatPageNumber [line 14351]
`void formatPageNumber( int $num)`
Format the page numbers. This method can be overriden for custom formats. #### Tags:
since: | 4.2.005 (2008-11-06)
access: | protected
#### Parameters:
int | $num | page number
[ Top ] ### method formatTOCPageNumber [line 14363]
`void formatTOCPageNumber( int $num)`
Format the page numbers on the Table Of Content. This method can be overriden for custom formats. #### Tags:
see: | TCPDF::addTOC(), TCPDF::addHTMLTOC()
since: | 4.5.001 (2009-01-04)
access: | protected
#### Parameters:
int | $num | page number
[ Top ] ### method GetAbsX [line 7006]
`float GetAbsX( )`
Returns the absolute X value of current position. #### Tags:
see: | TCPDF::SetX(), TCPDF::GetY(), TCPDF::SetY()
since: | 1.2
access: | public
[ Top ] ### method getAliasNbPages [line 14259]
`string getAliasNbPages( )`
Returns the string alias used for the total number of pages. If the current font is unicode type, the returned string is surrounded by additional curly braces. #### Tags:
see: | TCPDF::AliasNbPages(), TCPDF::PageNo(), TCPDF::Footer()
since: | 4.0.018 (2008-08-08)
access: | public
[ Top ] ### method getAliasNumPage [line 14287]
`string getAliasNumPage( )`
Returns the string alias used for the page number. If the current font is unicode type, the returned string is surrounded by additional curly braces. #### Tags:
see: | TCPDF::AliasNbPages(), TCPDF::PageNo(), TCPDF::Footer()
since: | 4.5.000 (2009-01-02)
access: | public
[ Top ] ### method getAnnotOptFromJSProp [line 13156]
`array getAnnotOptFromJSProp( array $prop)`
Convert JavaScript form fields properties array to Annotation Properties array. #### Tags:
return: | of annotation properties
author: | Nicola Asuni
since: | 4.8.000 (2009-09-06)
access: | protected
#### Parameters:
array | $prop | javascript field properties. Possible values are described on official Javascript for Acrobat API reference.
[ Top ] ### method GetArrStringWidth [line 4186]
`mixed GetArrStringWidth( string $sa, [string $fontname = ''], [string $fontstyle = ''], [float $fontsize = 0], [boolean $getarray = false])`
Returns the string length of an array of chars in user unit or an array of characters widths. A font must be selected. #### Tags:
return: | int total string length or array of characted widths
author: | Nicola Asuni
since: | 2.4.000 (2008-03-06)
access: | public
#### Parameters:
string | $sa | The array of chars whose total length is to be computed
string | $fontname | Family font. It can be either a name defined by AddFont() or one of the standard families. It is also possible to pass an empty string, in that case, the current family is retained.
string | $fontstyle | Font style. Possible values are (case insensitive): empty string: regular B: bold I: italic U: underline D: line trough O: overline or any combination. The default value is regular.
float | $fontsize | Font size in points. The default value is the current size.
boolean | $getarray | if true returns an array of characters widths, if false returns the total length.
[ Top ] ### method getBarcode [line 15531]
`string getBarcode( )`
Get current barcode. #### Tags:
since: | 4.0.012 (2008-07-24)
access: | public
[ Top ] ### method getBorderMode [line 5577]
`border getBorderMode( mixed $border, [string $position = 'start'])`
Get the border mode accounting for multicell position (opens bottom side of multicell crossing pages) #### Tags:
return: | mode
since: | 4.4.002 (2008-12-09)
access: | protected
#### Parameters:
mixed | $border | Indicates if borders must be drawn around the cell block. The value can be either a number: 0: no border (default) 1: frame or a string containing some or all of the following characters (in any order): L: left T: top R: right B: bottom
string | $position | multicell position: 'start', 'middle', 'end'
[ Top ] ### method getBreakMargin [line 3005]
`int getBreakMargin( [int $pagenum = ''])`
Returns the page break margin. #### Tags:
return: | page break margin.
author: | Nicola Asuni
see: | TCPDF::getPageDimensions()
since: | 1.5.2
access: | public
#### Parameters:
int | $pagenum | page number (empty = current page)
[ Top ] ### method getBuffer [line 19786]
`string getBuffer( )`
Get buffer content. #### Tags:
return: | buffer content
since: | 4.5.000 (2009-01-02)
access: | protected
[ Top ] ### method getCellCode [line 4944]
`void getCellCode( float $w, [float $h = 0], [string $txt = ''], [mixed $border = 0], [int $ln = 0], [string $align = ''], [int $fill = 0], [mixed $link = ''], [int $stretch = 0], [boolean $ignore_min_height = false], [string $calign = 'T'], [string $valign = 'M'])`
Returns the PDF string code to print a cell (rectangular area) with optional borders, background color and character string. The upper-left corner of the cell corresponds to the current position. The text can be aligned or centered. After the call, the current position moves to the right or to the next line. It is possible to put a link on the text. If automatic page breaking is enabled and the cell goes beyond the limit, a page break is done before outputting. #### Tags:
see: | TCPDF::Cell()
since: | 1.0
access: | protected
#### Parameters:
float | $w | Cell width. If 0, the cell extends up to the right margin.
float | $h | Cell height. Default value: 0.
string | $txt | String to print. Default value: empty string.
mixed | $border | Indicates if borders must be drawn around the cell. The value can be either a number: 0: no border (default) 1: frame or a string containing some or all of the following characters (in any order): L: left T: top R: right B: bottom
int | $ln | Indicates where the current position should go after the call. Possible values are: 0: to the right (or left for RTL languages) 1: to the beginning of the next line 2: below Putting 1 is equivalent to putting 0 and calling Ln() just after. Default value: 0.
string | $align | Allows to center or align the text. Possible values are: L or empty string: left align (default value) C: center R: right align J: justify
int | $fill | Indicates if the cell background must be painted (1) or transparent (0). Default value: 0.
mixed | $link | URL or identifier returned by AddLink().
int | $stretch | stretch carachter mode: 0 = disabled 1 = horizontal scaling only if necessary 2 = forced horizontal scaling 3 = character spacing only if necessary 4 = forced character spacing
boolean | $ignore_min_height | if true ignore automatic minimum height value.
string | $calign | cell vertical alignment relative to the specified Y value. Possible values are: T : cell top C : center B : cell bottom A : font top L : font baseline D : font bottom
string | $valign | text vertical alignment inside the cell. Possible values are: T : top C : center B : bottom
[ Top ] ### method getCellHeightRatio [line 14529]
`void getCellHeightRatio( )`
return the height of cell repect font height. #### Tags:
since: | 4.0.012 (2008-07-24)
access: | public
[ Top ] ### method GetCharWidth [line 4222]
`int GetCharWidth( int $char)`
Returns the length of the char in user unit for the current font. #### Tags:
return: | char width
author: | Nicola Asuni
since: | 2.4.000 (2008-03-06)
access: | public
#### Parameters:
int | $char | The char code whose length is to be returned
[ Top ] ### method getColumn [line 20747]
`int getColumn( )`
Return the current column number #### Tags:
return: | current column number
since: | 5.5.011 (2010-07-08)
access: | public
[ Top ] ### method getEncPermissionsString [line 11137]
`String getEncPermissionsString( string $protection)`
Convert encryption P value to a string of bytes, low-order byte first. #### Tags:
author: | Nicola Asuni
since: | 5.0.005 (2010-05-12)
access: | protected
#### Parameters:
string | $protection | 32bit encryption permission value (P value)
[ Top ] ### method getFontAscent [line 4577]
`int getFontAscent( string $font, [string $style = ''], [float $size = 0])`
Return the font ascent value #### Tags:
return: | font ascent
author: | Nicola Asuni
since: | 4.9.003 (2010-03-30)
access: | public
#### Parameters:
string | $font | font name
string | $style | font style
float | $size | The size (in points)
[ Top ] ### method getFontBuffer [line 19946]
`string getFontBuffer( string $font)`
Get font buffer content. #### Tags:
return: | font buffer content or false in case of error
since: | 4.5.000 (2009-01-02)
access: | protected
#### Parameters:
string | $font | font key
[ Top ] ### method getFontDescent [line 4554]
`int getFontDescent( string $font, [string $style = ''], [float $size = 0])`
Return the font descent value #### Tags:
return: | font descent
author: | Nicola Asuni
since: | 4.9.003 (2010-03-30)
access: | public
#### Parameters:
string | $font | font name
string | $style | font style
float | $size | The size (in points)
[ Top ] ### method getFontFamily [line 16060]
`string getFontFamily( )`
Returns the current font family name. #### Tags:
return: | current font family name
since: | 4.3.008 (2008-12-05)
access: | public
[ Top ] ### method getFontSize [line 16040]
`current getFontSize( )`
Returns the current font size. #### Tags:
return: | font size
since: | 3.2.000 (2008-06-23)
access: | public
[ Top ] ### method getFontSizePt [line 16050]
`current getFontSizePt( )`
Returns the current font size in points unit. #### Tags:
return: | font size in points unit
since: | 3.2.000 (2008-06-23)
access: | public
[ Top ] ### method getFontsList [line 4261]
`void getFontsList( )`
Fill the list of available fonts ($this->fontlist). #### Tags:
since: | 4.0.013 (2008-07-28)
access: | protected
[ Top ] ### method getFontStyle [line 16070]
`string getFontStyle( )`
Returns the current font style. #### Tags:
return: | current font style
since: | 4.3.008 (2008-12-05)
access: | public
[ Top ] ### method getFontSubsetting [line 21103]
`boolean getFontSubsetting( )`
Return the default option for font subsetting. #### Tags:
return: | default font subsetting state.
author: | Nicola Asuni
since: | 5.3.002 (2010-06-07)
access: | public
[ Top ] ### method getFooterFont [line 10434]
`array() getFooterFont( )`
Get Footer font. #### Tags:
since: | 4.0.012 (2008-07-24)
access: | public
[ Top ] ### method getFooterMargin [line 3637]
`float getFooterMargin( )`
Returns footer margin in user units. #### Tags:
since: | 4.0.012 (2008-07-24)
access: | public
[ Top ] ### method getFormDefaultProp [line 13531]
`array getFormDefaultProp( )`
Return the default properties for form fields. #### Tags:
return: | javascript field properties. Possible values are described on official Javascript for Acrobat API reference.
author: | Nicola Asuni
since: | 4.8.000 (2009-09-06)
access: | public
[ Top ] ### method getGDgamma [line 6946]
`void getGDgamma( float $v)`
Correct the gamma value to be used with GD library #### Tags:
since: | 4.3.007 (2008-12-04)
access: | protected
#### Parameters:
float | $v | the gamma value to be corrected
[ Top ] ### method getGraphicVars [line 19620]
`array getGraphicVars( )`
Returns current graphic variables as array. #### Tags:
return: | graphic variables
since: | 4.2.010 (2008-11-14)
access: | protected
[ Top ] ### method getGroupPageNo [line 14300]
`current getGroupPageNo( )`
Return the current page in the group. #### Tags:
return: | page in the group
since: | 3.0.000 (2008-03-27)
access: | public
[ Top ] ### method getGroupPageNoFormatted [line 14310]
`void getGroupPageNoFormatted( )`
Returns the current group page number formatted as a string. #### Tags:
see: | PaneNo(), TCPDF::formatPageNumber()
since: | 4.3.003 (2008-11-18)
access: | public
[ Top ] ### method getHeaderData [line 3592]
`array() getHeaderData( )`
Returns header data: $ret['logo'] = logo image $ret['logo_width'] = width of the image logo in user units $ret['title'] = header title $ret['string'] = header description string #### Tags:
since: | 4.0.012 (2008-07-24)
access: | public
[ Top ] ### method getHeaderFont [line 10414]
`array() getHeaderFont( )`
Get header font. #### Tags:
since: | 4.0.012 (2008-07-24)
access: | public
[ Top ] ### method getHeaderMargin [line 3617]
`float getHeaderMargin( )`
Returns header margin in user units. #### Tags:
since: | 4.0.012 (2008-07-24)
access: | public
[ Top ] ### method getHtmlDomArray [line 16358]
`array getHtmlDomArray( string $html)`
Returns the HTML DOM array. $dom[$key]['tag'] = true if tag, false otherwise; $dom[$key]['value'] = tag name or text; $dom[$key]['opening'] = true if opening tag, false otherwise; $dom[$key]['attribute'] = array of attributes (attribute name is the key); $dom[$key]['style'] = array of style attributes (attribute name is the key); $dom[$key]['parent'] = id of parent element; $dom[$key]['fontname'] = font family name; $dom[$key]['fontstyle'] = font style; $dom[$key]['fontsize'] = font size in points; $dom[$key]['bgcolor'] = RGB array of background color; $dom[$key]['fgcolor'] = RGB array of foreground color; $dom[$key]['width'] = width in pixels; $dom[$key]['height'] = height in pixels; $dom[$key]['align'] = text alignment; $dom[$key]['cols'] = number of colums in table; $dom[$key]['rows'] = number of rows in table; #### Tags:
since: | 3.2.000 (2008-06-20)
access: | protected
#### Parameters:
string | $html | html code
[ Top ] ### method getHTMLUnitToUnits [line 19331]
`float getHTMLUnitToUnits( string $htmlval, [string $refsize = 1], [string $defaultunit = 'px'], [ $points = false], boolean $point)`
Convert HTML string containing value and unit of measure to user's units or points. #### Tags:
return: | value in user's unit or point if $points=true
since: | 4.4.004 (2008-12-10)
access: | public
#### Parameters:
string | $htmlval | string containing values and unit
string | $refsize | reference value in points
string | $defaultunit | default unit (can be one of the following: %, em, ex, px, in, mm, pc, pt).
boolean | $point | if true returns points, otherwise returns value in user's units
| $points |
[ Top ] ### method getHyphenPatternsFromTEX [line 20903]
`array getHyphenPatternsFromTEX( string $file)`
Returns an array of hyphenation patterns. #### Tags:
return: | of hyphenation patterns
author: | Nicola Asuni
since: | 4.9.012 (2010-04-12)
access: | public
#### Parameters:
string | $file | TEX file containing hypenation patterns. TEX pattrns can be downloaded from http://www.ctan.org/tex-archive/language/hyph-utf8/tex/generic/hyph-utf8/patterns/
[ Top ] ### method getImageBuffer [line 19888]
`string getImageBuffer( string $image)`
Get image buffer content. #### Tags:
return: | image buffer content or false in case of error
since: | 4.5.000 (2008-12-31)
access: | protected
#### Parameters:
string | $image | image key
[ Top ] ### method getImageFileType [line 6245]
`string getImageFileType( string $imgfile, [array $iminfo = array()])`
Return the image type given the file name or array returned by getimagesize() function. #### Tags:
return: | image type
since: | 4.8.017 (2009-11-27)
access: | public
#### Parameters:
string | $imgfile | image file name
array | $iminfo | array of image information returned by getimagesize() function.
[ Top ] ### method getImageRBX [line 3663]
`float getImageRBX( )`
Return the right-bottom (or left-bottom for RTL) corner X coordinate of last inserted image #### Tags:
access: | public
[ Top ] ### method getImageRBY [line 3672]
`float getImageRBY( )`
Return the right-bottom (or left-bottom for RTL) corner Y coordinate of last inserted image #### Tags:
access: | public
[ Top ] ### method getImageScale [line 2944]
`float getImageScale( )`
Returns the adjusting factor to convert pixels to user units. #### Tags:
return: | adjusting factor to convert pixels to user units.
author: | Nicola Asuni
since: | 1.5.2
access: | public
[ Top ] ### method getLastH [line 2922]
`last getLastH( )`
Get the last cell height. #### Tags:
return: | cell height
since: | 4.0.017 (2008-08-05)
access: | public
[ Top ] ### method GetLineWidth [line 11480]
`int GetLineWidth( )`
Returns the current the line width. #### Tags:
return: | Line width
see: | TCPDF::Line(), TCPDF::SetLineWidth()
since: | 2.1.000 (2008-01-07)
access: | public
[ Top ] ### method getMargins [line 16003]
`array getMargins( )`
Returns an array containing current margins: #### Tags:
return: | containing all margins measures
since: | 3.2.000 (2008-06-23)
access: | public
[ Top ] ### method GetNumChars [line 4249]
`int GetNumChars( string $s)`
Returns the numbero of characters in a string. #### Tags:
return: | number of characters
since: | 2.0.0001 (2008-01-07)
access: | public
#### Parameters:
string | $s | The input string.
[ Top ] ### method getNumLines [line 5661]
`float getNumLines( string $txt, [float $w = 0], [boolean $reseth = false], [boolean $autopadding = true], [float $cellMargin = ''], [float $lineWidth = ''])`
This method return the estimated number of lines for print a simple text string in Multicell() method. #### Tags:
return: | Return the minimal height needed for multicell method for printing the $txt param.
author: | Alexander Escalona Fernández, Nicola Asuni
since: | 4.5.011
access: | public
#### Parameters:
string | $txt | String for calculating his height
float | $w | Width of cells. If 0, they extend up to the right margin of the page.
boolean | $reseth | if true reset the last cell height (default false).
boolean | $autopadding | if true, uses internal padding and automatically adjust it to account for line width (default true).
float | $cellMargin | Internal cell margin, if empty or <= 0, extended up to current pdf cell margin (default '').
float | $lineWidth | Line width, if empty or <= 0, extended up to current pdf line width (default '').
[ Top ] ### method getNumPages [line 3419]
`int getNumPages( )`
Get the total number of insered pages. #### Tags:
return: | number of pages
see: | TCPDF::setPage(), TCPDF::getPage(), lastpage()
since: | 2.1.000 (2008-01-07)
access: | public
[ Top ] ### method getObjFilename [line 19700]
`void getObjFilename( $name, string $prefix)`
Returns a temporary filename for caching object on filesystem. #### Tags:
since: | 4.5.000 (2008-12-31)
access: | protected
#### Parameters:
string | $prefix | prefix to add to filename return string filename.
| $name |
[ Top ] ### method getOriginalMargins [line 16026]
`array getOriginalMargins( )`
Returns an array containing original margins: #### Tags:
return: | containing all margins measures
since: | 4.0.012 (2008-07-24)
access: | public
[ Top ] ### method getPage [line 3407]
`int getPage( )`
Get current document page number. #### Tags:
return: | page number
see: | TCPDF::setPage(), lastpage(), TCPDF::getNumPages()
since: | 2.1.000 (2008-01-07)
access: | public
[ Top ] ### method getPageBuffer [line 19829]
`string getPageBuffer( int $page)`
Get page buffer content. #### Tags:
return: | page buffer content or false in case of error
since: | 4.5.000 (2008-12-31)
access: | protected
#### Parameters:
int | $page | page number
[ Top ] ### method getPageDimensions [line 2957]
`array getPageDimensions( [int $pagenum = ''])`
Returns an array of page dimensions: $this->pagedim[$this->page]['w'] = page width in points $this->pagedim[$this->page]['h'] = height in points $this->pagedim[$this->page]['wk'] = page width in user units $this->pagedim[$this->page]['hk'] = page height in user units $this->pagedim[$this->page]['tm'] = top margin $this->pagedim[$this->page]['bm'] = bottom margin $this->pagedim[$this->page]['lm'] = left margin $this->pagedim[$this->page]['rm'] = right margin $this->pagedim[$this->page]['pb'] = auto page break $this->pagedim[$this->page]['or'] = page orientation $this->pagedim[$this->page]['olm'] = original left margin $this->pagedim[$this->page]['orm'] = original right margin $this->pagedim[$this->page]['Rotate'] = The number of degrees by which the page shall be rotated clockwise when displayed or printed. The value shall be a multiple of 90. $this->pagedim[$this->page]['PZ'] = The page's preferred zoom (magnification) factor. $this->pagedim[$this->page]['trans'] : the style and duration of the visual transition to use when moving from another page to the given page during a presentation $this->pagedim[$this->page]['trans']['Dur'] = The page's display duration (also called its advance timing): the maximum length of time, in seconds, that the page shall be displayed during presentations before the viewer application shall automatically advance to the next page. $this->pagedim[$this->page]['trans']['S'] = transition style : Split, Blinds, Box, Wipe, Dissolve, Glitter, R, Fly, Push, Cover, Uncover, Fade $this->pagedim[$this->page]['trans']['D'] = The duration of the transition effect, in seconds. $this->pagedim[$this->page]['trans']['Dm'] = (Split and Blinds transition styles only) The dimension in which the specified transition effect shall occur: H = Horizontal, V = Vertical. Default value: H. $this->pagedim[$this->page]['trans']['M'] = (Split, Box and Fly transition styles only) The direction of motion for the specified transition effect: I = Inward from the edges of the page, O = Outward from the center of the pageDefault value: I. $this->pagedim[$this->page]['trans']['Di'] = (Wipe, Glitter, Fly, Cover, Uncover and Push transition styles only) The direction in which the specified transition effect shall moves, expressed in degrees counterclockwise starting from a left-to-right direction. If the value is a number, it shall be one of: 0 = Left to right, 90 = Bottom to top (Wipe only), 180 = Right to left (Wipe only), 270 = Top to bottom, 315 = Top-left to bottom-right (Glitter only). If the value is a name, it shall be None, which is relevant only for the Fly transition when the value of SS is not 1.0. Default value: 0. $this->pagedim[$this->page]['trans']['SS'] = (Fly transition style only) The starting or ending scale at which the changes shall be drawn. If M specifies an inward transition, the scale of the changes drawn shall progress from SS to 1.0 over the course of the transition. If M specifies an outward transition, the scale of the changes drawn shall progress from 1.0 to SS over the course of the transition. Default: 1.0. $this->pagedim[$this->page]['trans']['B'] = (Fly transition style only) If true, the area that shall be flown in is rectangular and opaque. Default: false. $this->pagedim[$this->page]['MediaBox'] : the boundaries of the physical medium on which the page shall be displayed or printed $this->pagedim[$this->page]['MediaBox']['llx'] = lower-left x coordinate in points $this->pagedim[$this->page]['MediaBox']['lly'] = lower-left y coordinate in points $this->pagedim[$this->page]['MediaBox']['urx'] = upper-right x coordinate in points $this->pagedim[$this->page]['MediaBox']['ury'] = upper-right y coordinate in points $this->pagedim[$this->page]['CropBox'] : the visible region of default user space $this->pagedim[$this->page]['CropBox']['llx'] = lower-left x coordinate in points $this->pagedim[$this->page]['CropBox']['lly'] = lower-left y coordinate in points $this->pagedim[$this->page]['CropBox']['urx'] = upper-right x coordinate in points $this->pagedim[$this->page]['CropBox']['ury'] = upper-right y coordinate in points $this->pagedim[$this->page]['BleedBox'] : the region to which the contents of the page shall be clipped when output in a production environment $this->pagedim[$this->page]['BleedBox']['llx'] = lower-left x coordinate in points $this->pagedim[$this->page]['BleedBox']['lly'] = lower-left y coordinate in points $this->pagedim[$this->page]['BleedBox']['urx'] = upper-right x coordinate in points $this->pagedim[$this->page]['BleedBox']['ury'] = upper-right y coordinate in points $this->pagedim[$this->page]['TrimBox'] : the intended dimensions of the finished page after trimming $this->pagedim[$this->page]['TrimBox']['llx'] = lower-left x coordinate in points $this->pagedim[$this->page]['TrimBox']['lly'] = lower-left y coordinate in points $this->pagedim[$this->page]['TrimBox']['urx'] = upper-right x coordinate in points $this->pagedim[$this->page]['TrimBox']['ury'] = upper-right y coordinate in points $this->pagedim[$this->page]['ArtBox'] : the extent of the page's meaningful content $this->pagedim[$this->page]['ArtBox']['llx'] = lower-left x coordinate in points $this->pagedim[$this->page]['ArtBox']['lly'] = lower-left y coordinate in points $this->pagedim[$this->page]['ArtBox']['urx'] = upper-right x coordinate in points $this->pagedim[$this->page]['ArtBox']['ury'] = upper-right y coordinate in points #### Tags:
return: | of page dimensions.
author: | Nicola Asuni
since: | 4.5.027 (2009-03-16)
access: | public
#### Parameters:
int | $pagenum | page number (empty = current page)
[ Top ] ### method getPageGroupAlias [line 14322]
`alias getPageGroupAlias( )`
Return the alias of the current page group If the current font is unicode type, the returned string is surrounded by additional curly braces. (will be replaced by the total number of pages in this group). #### Tags:
return: | of the current page group
since: | 3.0.000 (2008-03-27)
access: | public
[ Top ] ### method getPageHeight [line 2989]
`int getPageHeight( [int $pagenum = ''])`
Returns the page height in units. #### Tags:
return: | page height.
author: | Nicola Asuni
see: | TCPDF::getPageDimensions()
since: | 1.5.2
access: | public
#### Parameters:
int | $pagenum | page number (empty = current page)
[ Top ] ### method getPageNumGroupAlias [line 14337]
`alias getPageNumGroupAlias( )`
Return the alias for the page number on the current page group If the current font is unicode type, the returned string is surrounded by additional curly braces. (will be replaced by the total number of pages in this group). #### Tags:
return: | of the current page group
since: | 4.5.000 (2009-01-02)
access: | public
[ Top ] ### method getPageSizeFromFormat [line 2187]
`array getPageSizeFromFormat( mixed $format)`
Get page dimensions from format name. #### Tags:
return: | containing page width and height in points
since: | 5.0.010 (2010-05-17)
access: | public
#### Parameters:
mixed | $format | The format name. It can be: ISO 216 A Series + 2 SIS 014711 extensions A0 (841x1189 mm ; 33.11x46.81 in) A1 (594x841 mm ; 23.39x33.11 in) A2 (420x594 mm ; 16.54x23.39 in) A3 (297x420 mm ; 11.69x16.54 in) A4 (210x297 mm ; 8.27x11.69 in) A5 (148x210 mm ; 5.83x8.27 in) A6 (105x148 mm ; 4.13x5.83 in) A7 (74x105 mm ; 2.91x4.13 in) A8 (52x74 mm ; 2.05x2.91 in) A9 (37x52 mm ; 1.46x2.05 in) A10 (26x37 mm ; 1.02x1.46 in) A11 (18x26 mm ; 0.71x1.02 in) A12 (13x18 mm ; 0.51x0.71 in) ISO 216 B Series + 2 SIS 014711 extensions B0 (1000x1414 mm ; 39.37x55.67 in) B1 (707x1000 mm ; 27.83x39.37 in) B2 (500x707 mm ; 19.69x27.83 in) B3 (353x500 mm ; 13.90x19.69 in) B4 (250x353 mm ; 9.84x13.90 in) B5 (176x250 mm ; 6.93x9.84 in) B6 (125x176 mm ; 4.92x6.93 in) B7 (88x125 mm ; 3.46x4.92 in) B8 (62x88 mm ; 2.44x3.46 in) B9 (44x62 mm ; 1.73x2.44 in) B10 (31x44 mm ; 1.22x1.73 in) B11 (22x31 mm ; 0.87x1.22 in) B12 (15x22 mm ; 0.59x0.87 in) ISO 216 C Series + 2 SIS 014711 extensions + 2 EXTENSION C0 (917x1297 mm ; 36.10x51.06 in) C1 (648x917 mm ; 25.51x36.10 in) C2 (458x648 mm ; 18.03x25.51 in) C3 (324x458 mm ; 12.76x18.03 in) C4 (229x324 mm ; 9.02x12.76 in) C5 (162x229 mm ; 6.38x9.02 in) C6 (114x162 mm ; 4.49x6.38 in) C7 (81x114 mm ; 3.19x4.49 in) C8 (57x81 mm ; 2.24x3.19 in) C9 (40x57 mm ; 1.57x2.24 in) C10 (28x40 mm ; 1.10x1.57 in) C11 (20x28 mm ; 0.79x1.10 in) C12 (14x20 mm ; 0.55x0.79 in) C76 (81x162 mm ; 3.19x6.38 in) DL (110x220 mm ; 4.33x8.66 in) SIS 014711 E Series E0 (879x1241 mm ; 34.61x48.86 in) E1 (620x879 mm ; 24.41x34.61 in) E2 (440x620 mm ; 17.32x24.41 in) E3 (310x440 mm ; 12.20x17.32 in) E4 (220x310 mm ; 8.66x12.20 in) E5 (155x220 mm ; 6.10x8.66 in) E6 (110x155 mm ; 4.33x6.10 in) E7 (78x110 mm ; 3.07x4.33 in) E8 (55x78 mm ; 2.17x3.07 in) E9 (39x55 mm ; 1.54x2.17 in) E10 (27x39 mm ; 1.06x1.54 in) E11 (19x27 mm ; 0.75x1.06 in) E12 (13x19 mm ; 0.51x0.75 in) SIS 014711 G Series G0 (958x1354 mm ; 37.72x53.31 in) G1 (677x958 mm ; 26.65x37.72 in) G2 (479x677 mm ; 18.86x26.65 in) G3 (338x479 mm ; 13.31x18.86 in) G4 (239x338 mm ; 9.41x13.31 in) G5 (169x239 mm ; 6.65x9.41 in) G6 (119x169 mm ; 4.69x6.65 in) G7 (84x119 mm ; 3.31x4.69 in) G8 (59x84 mm ; 2.32x3.31 in) G9 (42x59 mm ; 1.65x2.32 in) G10 (29x42 mm ; 1.14x1.65 in) G11 (21x29 mm ; 0.83x1.14 in) G12 (14x21 mm ; 0.55x0.83 in) ISO Press RA0 (860x1220 mm ; 33.86x48.03 in) RA1 (610x860 mm ; 24.02x33.86 in) RA2 (430x610 mm ; 16.93x24.02 in) RA3 (305x430 mm ; 12.01x16.93 in) RA4 (215x305 mm ; 8.46x12.01 in) SRA0 (900x1280 mm ; 35.43x50.39 in) SRA1 (640x900 mm ; 25.20x35.43 in) SRA2 (450x640 mm ; 17.72x25.20 in) SRA3 (320x450 mm ; 12.60x17.72 in) SRA4 (225x320 mm ; 8.86x12.60 in) German DIN 476 4A0 (1682x2378 mm ; 66.22x93.62 in) 2A0 (1189x1682 mm ; 46.81x66.22 in) Variations on the ISO Standard A2_EXTRA (445x619 mm ; 17.52x24.37 in) A3+ (329x483 mm ; 12.95x19.02 in) A3_EXTRA (322x445 mm ; 12.68x17.52 in) A3_SUPER (305x508 mm ; 12.01x20.00 in) SUPER_A3 (305x487 mm ; 12.01x19.17 in) A4_EXTRA (235x322 mm ; 9.25x12.68 in) A4_SUPER (229x322 mm ; 9.02x12.68 in) SUPER_A4 (227x356 mm ; 8.94x14.02 in) A4_LONG (210x348 mm ; 8.27x13.70 in) F4 (210x330 mm ; 8.27x12.99 in) SO_B5_EXTRA (202x276 mm ; 7.95x10.87 in) A5_EXTRA (173x235 mm ; 6.81x9.25 in) ANSI Series ANSI_E (864x1118 mm ; 34.00x44.00 in) ANSI_D (559x864 mm ; 22.00x34.00 in) ANSI_C (432x559 mm ; 17.00x22.00 in) ANSI_B (279x432 mm ; 11.00x17.00 in) ANSI_A (216x279 mm ; 8.50x11.00 in) Traditional 'Loose' North American Paper Sizes LEDGER, USLEDGER (432x279 mm ; 17.00x11.00 in) TABLOID, USTABLOID, BIBLE, ORGANIZERK (279x432 mm ; 11.00x17.00 in) LETTER, USLETTER, ORGANIZERM (216x279 mm ; 8.50x11.00 in) LEGAL, USLEGAL (216x356 mm ; 8.50x14.00 in) GLETTER, GOVERNMENTLETTER (203x267 mm ; 8.00x10.50 in) JLEGAL, JUNIORLEGAL (203x127 mm ; 8.00x5.00 in) Other North American Paper Sizes QUADDEMY (889x1143 mm ; 35.00x45.00 in) SUPER_B (330x483 mm ; 13.00x19.00 in) QUARTO (229x279 mm ; 9.00x11.00 in) FOLIO, GOVERNMENTLEGAL (216x330 mm ; 8.50x13.00 in) EXECUTIVE, MONARCH (184x267 mm ; 7.25x10.50 in) MEMO, STATEMENT, ORGANIZERL (140x216 mm ; 5.50x8.50 in) FOOLSCAP (210x330 mm ; 8.27x13.00 in) COMPACT (108x171 mm ; 4.25x6.75 in) ORGANIZERJ (70x127 mm ; 2.75x5.00 in) Canadian standard CAN 2-9.60M P1 (560x860 mm ; 22.05x33.86 in) P2 (430x560 mm ; 16.93x22.05 in) P3 (280x430 mm ; 11.02x16.93 in) P4 (215x280 mm ; 8.46x11.02 in) P5 (140x215 mm ; 5.51x8.46 in) P6 (107x140 mm ; 4.21x5.51 in) North American Architectural Sizes ARCH_E (914x1219 mm ; 36.00x48.00 in) ARCH_E1 (762x1067 mm ; 30.00x42.00 in) ARCH_D (610x914 mm ; 24.00x36.00 in) ARCH_C, BROADSHEET (457x610 mm ; 18.00x24.00 in) ARCH_B (305x457 mm ; 12.00x18.00 in) ARCH_A (229x305 mm ; 9.00x12.00 in) Announcement Envelopes ANNENV_A2 (111x146 mm ; 4.37x5.75 in) ANNENV_A6 (121x165 mm ; 4.75x6.50 in) ANNENV_A7 (133x184 mm ; 5.25x7.25 in) ANNENV_A8 (140x206 mm ; 5.50x8.12 in) ANNENV_A10 (159x244 mm ; 6.25x9.62 in) ANNENV_SLIM (98x225 mm ; 3.87x8.87 in) Commercial Envelopes COMMENV_N6_1/4 (89x152 mm ; 3.50x6.00 in) COMMENV_N6_3/4 (92x165 mm ; 3.62x6.50 in) COMMENV_N8 (98x191 mm ; 3.87x7.50 in) COMMENV_N9 (98x225 mm ; 3.87x8.87 in) COMMENV_N10 (105x241 mm ; 4.12x9.50 in) COMMENV_N11 (114x263 mm ; 4.50x10.37 in) COMMENV_N12 (121x279 mm ; 4.75x11.00 in) COMMENV_N14 (127x292 mm ; 5.00x11.50 in) Catalogue Envelopes CATENV_N1 (152x229 mm ; 6.00x9.00 in) CATENV_N1_3/4 (165x241 mm ; 6.50x9.50 in) CATENV_N2 (165x254 mm ; 6.50x10.00 in) CATENV_N3 (178x254 mm ; 7.00x10.00 in) CATENV_N6 (191x267 mm ; 7.50x10.50 in) CATENV_N7 (203x279 mm ; 8.00x11.00 in) CATENV_N8 (210x286 mm ; 8.25x11.25 in) CATENV_N9_1/2 (216x267 mm ; 8.50x10.50 in) CATENV_N9_3/4 (222x286 mm ; 8.75x11.25 in) CATENV_N10_1/2 (229x305 mm ; 9.00x12.00 in) CATENV_N12_1/2 (241x318 mm ; 9.50x12.50 in) CATENV_N13_1/2 (254x330 mm ; 10.00x13.00 in) CATENV_N14_1/4 (286x311 mm ; 11.25x12.25 in) CATENV_N14_1/2 (292x368 mm ; 11.50x14.50 in) Japanese (JIS P 0138-61) Standard B-Series JIS_B0 (1030x1456 mm ; 40.55x57.32 in) JIS_B1 (728x1030 mm ; 28.66x40.55 in) JIS_B2 (515x728 mm ; 20.28x28.66 in) JIS_B3 (364x515 mm ; 14.33x20.28 in) JIS_B4 (257x364 mm ; 10.12x14.33 in) JIS_B5 (182x257 mm ; 7.17x10.12 in) JIS_B6 (128x182 mm ; 5.04x7.17 in) JIS_B7 (91x128 mm ; 3.58x5.04 in) JIS_B8 (64x91 mm ; 2.52x3.58 in) JIS_B9 (45x64 mm ; 1.77x2.52 in) JIS_B10 (32x45 mm ; 1.26x1.77 in) JIS_B11 (22x32 mm ; 0.87x1.26 in) JIS_B12 (16x22 mm ; 0.63x0.87 in) PA Series PA0 (840x1120 mm ; 33.07x44.09 in) PA1 (560x840 mm ; 22.05x33.07 in) PA2 (420x560 mm ; 16.54x22.05 in) PA3 (280x420 mm ; 11.02x16.54 in) PA4 (210x280 mm ; 8.27x11.02 in) PA5 (140x210 mm ; 5.51x8.27 in) PA6 (105x140 mm ; 4.13x5.51 in) PA7 (70x105 mm ; 2.76x4.13 in) PA8 (52x70 mm ; 2.05x2.76 in) PA9 (35x52 mm ; 1.38x2.05 in) PA10 (26x35 mm ; 1.02x1.38 in) Standard Photographic Print Sizes PASSPORT_PHOTO (35x45 mm ; 1.38x1.77 in) E (82x120 mm ; 3.25x4.72 in) 3R, L (89x127 mm ; 3.50x5.00 in) 4R, KG (102x152 mm ; 4.02x5.98 in) 4D (120x152 mm ; 4.72x5.98 in) 5R, 2L (127x178 mm ; 5.00x7.01 in) 6R, 8P (152x203 mm ; 5.98x7.99 in) 8R, 6P (203x254 mm ; 7.99x10.00 in) S8R, 6PW (203x305 mm ; 7.99x12.01 in) 10R, 4P (254x305 mm ; 10.00x12.01 in) S10R, 4PW (254x381 mm ; 10.00x15.00 in) 11R (279x356 mm ; 10.98x14.02 in) S11R (279x432 mm ; 10.98x17.01 in) 12R (305x381 mm ; 12.01x15.00 in) S12R (305x456 mm ; 12.01x17.95 in) Common Newspaper Sizes NEWSPAPER_BROADSHEET (750x600 mm ; 29.53x23.62 in) NEWSPAPER_BERLINER (470x315 mm ; 18.50x12.40 in) NEWSPAPER_COMPACT, NEWSPAPER_TABLOID (430x280 mm ; 16.93x11.02 in) Business Cards CREDIT_CARD, BUSINESS_CARD, BUSINESS_CARD_ISO7810 (54x86 mm ; 2.13x3.37 in) BUSINESS_CARD_ISO216 (52x74 mm ; 2.05x2.91 in) BUSINESS_CARD_IT, BUSINESS_CARD_UK, BUSINESS_CARD_FR, BUSINESS_CARD_DE, BUSINESS_CARD_ES (55x85 mm ; 2.17x3.35 in) BUSINESS_CARD_US, BUSINESS_CARD_CA (51x89 mm ; 2.01x3.50 in) BUSINESS_CARD_JP (55x91 mm ; 2.17x3.58 in) BUSINESS_CARD_HK (54x90 mm ; 2.13x3.54 in) BUSINESS_CARD_AU, BUSINESS_CARD_DK, BUSINESS_CARD_SE (55x90 mm ; 2.17x3.54 in) BUSINESS_CARD_RU, BUSINESS_CARD_CZ, BUSINESS_CARD_FI, BUSINESS_CARD_HU, BUSINESS_CARD_IL (50x90 mm ; 1.97x3.54 in) Billboards 4SHEET (1016x1524 mm ; 40.00x60.00 in) 6SHEET (1200x1800 mm ; 47.24x70.87 in) 12SHEET (3048x1524 mm ; 120.00x60.00 in) 16SHEET (2032x3048 mm ; 80.00x120.00 in) 32SHEET (4064x3048 mm ; 160.00x120.00 in) 48SHEET (6096x3048 mm ; 240.00x120.00 in) 64SHEET (8128x3048 mm ; 320.00x120.00 in) 96SHEET (12192x3048 mm ; 480.00x120.00 in) Old Imperial English (some are still used in USA) EN_EMPEROR (1219x1829 mm ; 48.00x72.00 in) EN_ANTIQUARIAN (787x1346 mm ; 31.00x53.00 in) EN_GRAND_EAGLE (730x1067 mm ; 28.75x42.00 in) EN_DOUBLE_ELEPHANT (679x1016 mm ; 26.75x40.00 in) EN_ATLAS (660x864 mm ; 26.00x34.00 in) EN_COLOMBIER (597x876 mm ; 23.50x34.50 in) EN_ELEPHANT (584x711 mm ; 23.00x28.00 in) EN_DOUBLE_DEMY (572x902 mm ; 22.50x35.50 in) EN_IMPERIAL (559x762 mm ; 22.00x30.00 in) EN_PRINCESS (546x711 mm ; 21.50x28.00 in) EN_CARTRIDGE (533x660 mm ; 21.00x26.00 in) EN_DOUBLE_LARGE_POST (533x838 mm ; 21.00x33.00 in) EN_ROYAL (508x635 mm ; 20.00x25.00 in) EN_SHEET, EN_HALF_POST (495x597 mm ; 19.50x23.50 in) EN_SUPER_ROYAL (483x686 mm ; 19.00x27.00 in) EN_DOUBLE_POST (483x775 mm ; 19.00x30.50 in) EN_MEDIUM (445x584 mm ; 17.50x23.00 in) EN_DEMY (445x572 mm ; 17.50x22.50 in) EN_LARGE_POST (419x533 mm ; 16.50x21.00 in) EN_COPY_DRAUGHT (406x508 mm ; 16.00x20.00 in) EN_POST (394x489 mm ; 15.50x19.25 in) EN_CROWN (381x508 mm ; 15.00x20.00 in) EN_PINCHED_POST (375x470 mm ; 14.75x18.50 in) EN_BRIEF (343x406 mm ; 13.50x16.00 in) EN_FOOLSCAP (343x432 mm ; 13.50x17.00 in) EN_SMALL_FOOLSCAP (337x419 mm ; 13.25x16.50 in) EN_POTT (318x381 mm ; 12.50x15.00 in) Old Imperial Belgian BE_GRAND_AIGLE (700x1040 mm ; 27.56x40.94 in) BE_COLOMBIER (620x850 mm ; 24.41x33.46 in) BE_DOUBLE_CARRE (620x920 mm ; 24.41x36.22 in) BE_ELEPHANT (616x770 mm ; 24.25x30.31 in) BE_PETIT_AIGLE (600x840 mm ; 23.62x33.07 in) BE_GRAND_JESUS (550x730 mm ; 21.65x28.74 in) BE_JESUS (540x730 mm ; 21.26x28.74 in) BE_RAISIN (500x650 mm ; 19.69x25.59 in) BE_GRAND_MEDIAN (460x605 mm ; 18.11x23.82 in) BE_DOUBLE_POSTE (435x565 mm ; 17.13x22.24 in) BE_COQUILLE (430x560 mm ; 16.93x22.05 in) BE_PETIT_MEDIAN (415x530 mm ; 16.34x20.87 in) BE_RUCHE (360x460 mm ; 14.17x18.11 in) BE_PROPATRIA (345x430 mm ; 13.58x16.93 in) BE_LYS (317x397 mm ; 12.48x15.63 in) BE_POT (307x384 mm ; 12.09x15.12 in) BE_ROSETTE (270x347 mm ; 10.63x13.66 in) Old Imperial French FR_UNIVERS (1000x1300 mm ; 39.37x51.18 in) FR_DOUBLE_COLOMBIER (900x1260 mm ; 35.43x49.61 in) FR_GRANDE_MONDE (900x1260 mm ; 35.43x49.61 in) FR_DOUBLE_SOLEIL (800x1200 mm ; 31.50x47.24 in) FR_DOUBLE_JESUS (760x1120 mm ; 29.92x44.09 in) FR_GRAND_AIGLE (750x1060 mm ; 29.53x41.73 in) FR_PETIT_AIGLE (700x940 mm ; 27.56x37.01 in) FR_DOUBLE_RAISIN (650x1000 mm ; 25.59x39.37 in) FR_JOURNAL (650x940 mm ; 25.59x37.01 in) FR_COLOMBIER_AFFICHE (630x900 mm ; 24.80x35.43 in) FR_DOUBLE_CAVALIER (620x920 mm ; 24.41x36.22 in) FR_CLOCHE (600x800 mm ; 23.62x31.50 in) FR_SOLEIL (600x800 mm ; 23.62x31.50 in) FR_DOUBLE_CARRE (560x900 mm ; 22.05x35.43 in) FR_DOUBLE_COQUILLE (560x880 mm ; 22.05x34.65 in) FR_JESUS (560x760 mm ; 22.05x29.92 in) FR_RAISIN (500x650 mm ; 19.69x25.59 in) FR_CAVALIER (460x620 mm ; 18.11x24.41 in) FR_DOUBLE_COURONNE (460x720 mm ; 18.11x28.35 in) FR_CARRE (450x560 mm ; 17.72x22.05 in) FR_COQUILLE (440x560 mm ; 17.32x22.05 in) FR_DOUBLE_TELLIERE (440x680 mm ; 17.32x26.77 in) FR_DOUBLE_CLOCHE (400x600 mm ; 15.75x23.62 in) FR_DOUBLE_POT (400x620 mm ; 15.75x24.41 in) FR_ECU (400x520 mm ; 15.75x20.47 in) FR_COURONNE (360x460 mm ; 14.17x18.11 in) FR_TELLIERE (340x440 mm ; 13.39x17.32 in) FR_POT (310x400 mm ; 12.20x15.75 in)
[ Top ] ### method getPageWidth [line 2973]
`int getPageWidth( [int $pagenum = ''])`
Returns the page width in units. #### Tags:
return: | page width.
author: | Nicola Asuni
see: | TCPDF::getPageDimensions()
since: | 1.5.2
access: | public
#### Parameters:
int | $pagenum | page number (empty = current page)
[ Top ] ### method getPathPaintOperator [line 21015]
`void getPathPaintOperator( string $style, [string $default = 'S'], boolean $mode)`
Get the Path-Painting Operators. #### Tags:
author: | Nicola Asuni
since: | 5.0.000 (2010-04-30)
access: | protected
#### Parameters:
string | $style | Style of rendering. Possible values are: S or D: Stroke the path. s or d: Close and stroke the path. f or F: Fill the path, using the nonzero winding number rule to determine the region to fill. f* or F*: Fill the path, using the even-odd rule to determine the region to fill. B or FD or DF: Fill and then stroke the path, using the nonzero winding number rule to determine the region to fill. B* or F*D or DF*: Fill and then stroke the path, using the even-odd rule to determine the region to fill. b or fd or df: Close, fill, and then stroke the path, using the nonzero winding number rule to determine the region to fill. b or f*d or df*: Close, fill, and then stroke the path, using the even-odd rule to determine the region to fill. CNZ: Clipping mode using the even-odd rule to determine which regions lie inside the clipping path. CEO: Clipping mode using the nonzero winding number rule to determine which regions lie inside the clipping path n: End the path object without filling or stroking it.
string | $default | default style
boolean | $mode | if true enable rasterization, false otherwise.
[ Top ] ### method getPDFData [line 10457]
`void getPDFData( )`
Returns the PDF data. #### Tags:
access: | public
[ Top ] ### method getRemainingWidth [line 6146]
`int getRemainingWidth( )`
Returns the remaining width between the current position and margins. #### Tags:
return: | Return the remaining width
access: | protected
[ Top ] ### method getRTL [line 2857]
`boolean getRTL( )`
Return the RTL status #### Tags:
since: | 4.0.012 (2008-07-24)
access: | public
[ Top ] ### method getScaleFactor [line 3019]
`int getScaleFactor( )`
Returns the scale factor (number of points in user unit). #### Tags:
return: | scale factor.
author: | Nicola Asuni
since: | 1.5.2
access: | public
[ Top ] ### method getSpaceString [line 16969]
`string getSpaceString( )`
Returns the string used to find spaces #### Tags:
author: | Nicola Asuni
since: | 4.8.024 (2010-01-15)
access: | protected
[ Top ] ### method getStringHeight [line 5762]
`float getStringHeight( float $w, string $txt, [boolean $reseth = false], [boolean $autopadding = true], [float $cellMargin = ''], [float $lineWidth = ''])`
This method return the estimated needed height for print a simple text string in Multicell() method. Generally, if you want to know the exact height for a block of content you can use the following alternative technique:
      // store current object
      $pdf->startTransaction();
      // store starting values
      $start_y = $pdf->GetY();
      $start_page = $pdf->getPage();
      // call your printing functions with your parameters
      // - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
      $pdf->MultiCell($w=0, $h=0, $txt, $border=1, $align='L', $fill=0, $ln=1, $x='', $y='', $reseth=true, $stretch=0, $ishtml=false, $autopadding=true, $maxh=0);
      // - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
      // get the new Y
      $end_y = $pdf->GetY();
      $end_page = $pdf->getPage();
      // calculate height
      $height = 0;
      if ($end_page == $start_page) {
      	$height = $end_y - $start_y;
      } else {
      	for ($page=$start_page; $page <= $end_page; ++$page) {
      		$this->setPage($page);
      		if ($page == $start_page) {
      			// first page
      			$height = $this->h - $start_y - $this->bMargin;
      		} elseif ($page == $end_page) {
      			// last page
      			$height = $end_y - $this->tMargin;
      		} else {
      			$height = $this->h - $this->tMargin - $this->bMargin;
      		}
      	}
      }
      // restore previous object
      $pdf = $pdf->rollbackTransaction();
#### Tags:
return: | Return the minimal height needed for multicell method for printing the $txt param.
author: | Nicola Asuni, Alexander Escalona Fernández
access: | public
#### Parameters:
float | $w | Width of cells. If 0, they extend up to the right margin of the page.
string | $txt | String for calculating his height
boolean | $reseth | if true reset the last cell height (default false).
boolean | $autopadding | if true, uses internal padding and automatically adjust it to account for line width (default true).
float | $cellMargin | Internal cell margin, if empty or <= 0, extended up to current pdf cell margin (default '').
float | $lineWidth | Line width, if empty or <= 0, extended up to current pdf line width (default '').
[ Top ] ### method GetStringWidth [line 4170]
`mixed GetStringWidth( string $s, [string $fontname = ''], [string $fontstyle = ''], [float $fontsize = 0], [boolean $getarray = false])`
Returns the length of a string in user unit. A font must be selected. #### Tags:
return: | int total string length or array of characted widths
author: | Nicola Asuni
since: | 1.2
access: | public
#### Parameters:
string | $s | The string whose length is to be computed
string | $fontname | Family font. It can be either a name defined by AddFont() or one of the standard families. It is also possible to pass an empty string, in that case, the current family is retained.
string | $fontstyle | Font style. Possible values are (case insensitive): empty string: regular B: bold I: italic U: underline D: line-trough O: overline or any combination. The default value is regular.
float | $fontsize | Font size in points. The default value is the current size.
boolean | $getarray | if true returns an array of characters widths, if false returns the total length.
[ Top ] ### method getSVGTransformMatrix [line 21399]
`array getSVGTransformMatrix( string $attribute)`
Get the tranformation matrix from SVG transform attribute #### Tags:
return: | of transformations
author: | Nicola Asuni
since: | 5.0.000 (2010-05-02)
access: | protected
#### Parameters:
string | $attribute | transformation
[ Top ] ### method getTagStyleFromCSS [line 16329]
`string getTagStyleFromCSS( array $dom, int $key, array $css)`
Returns the styles that apply for the selected HTML tag. #### Tags:
return: | containing CSS properties
since: | 5.1.000 (2010-05-25)
access: | protected
#### Parameters:
array | $dom | array of HTML tags and properties
int | $key | key of the current HTML tag
array | $css | array of CSS properties
[ Top ] ### method getTransformationMatrixProduct [line 21503]
`transformation getTransformationMatrixProduct( array $ta, array $tb)`
Get the product of two SVG tranformation matrices #### Tags:
return: | array
author: | Nicola Asuni
since: | 5.0.000 (2010-05-02)
access: | protected
#### Parameters:
array | $ta | first SVG tranformation matrix
array | $tb | second SVG tranformation matrix
[ Top ] ### method getUserPermissionCode [line 10977]
`void getUserPermissionCode( Array $permissions, [int $mode = 0])`
Return the premission code used on encryption (P value). #### Tags:
author: | Nicola Asuni
since: | 5.0.005 (2010-05-12)
access: | protected
#### Parameters:
Array | $permissions | the set of permissions (specify the ones you want to block).
int | $mode | encryption strength: 0 = RC4 40 bit; 1 = RC4 128 bit; 2 = AES 128 bit.
[ Top ] ### method getVectorsAngle [line 22133]
`void getVectorsAngle( int $x1, int $y1, int $x2, int $y2)`
Returns the angle in radiants between two vectors #### Tags:
author: | Nicola Asuni
since: | 5.0.000 (2010-05-04)
access: | protected
#### Parameters:
int | $x1 | X coordiante of first vector point
int | $y1 | Y coordiante of first vector point
int | $x2 | X coordiante of second vector point
int | $y2 | Y coordiante of second vector point
[ Top ] ### method GetX [line 6990]
`float GetX( )`
Returns the relative X value of current position. The value is relative to the left border for LTR languages and to the right border for RTL languages. #### Tags:
see: | TCPDF::SetX(), TCPDF::GetY(), TCPDF::SetY()
since: | 1.2
access: | public
[ Top ] ### method GetY [line 7017]
`float GetY( )`
Returns the ordinate of the current position. #### Tags:
see: | TCPDF::SetY(), TCPDF::GetX(), TCPDF::SetX()
since: | 1.0
access: | public
[ Top ] ### method get_mqr [line 6662]
`Returns get_mqr( )`
Gets the current active configuration setting of magic_quotes_runtime (if the get_magic_quotes_runtime function exist) #### Tags:
return: | 0 if magic quotes runtime is off or get_magic_quotes_runtime doesn't exist, 1 otherwise.
since: | 4.6.025 (2009-08-17)
access: | public
[ Top ] ### method Gradient [line 14918]
`void Gradient( int $type, array $coords, array $stops, [array $background = array()], [boolean $antialias = false])`
Output gradient. #### Tags:
author: | Nicola Asuni
since: | 3.1.000 (2008-06-09)
access: | public
#### Parameters:
int | $type | type of gradient (1 Function-based shading; 2 Axial shading; 3 Radial shading; 4 Free-form Gouraud-shaded triangle mesh; 5 Lattice-form Gouraud-shaded triangle mesh; 6 Coons patch mesh; 7 Tensor-product patch mesh). (Not all types are currently supported)
array | $coords | array of coordinates.
array | $stops | array gradient color components: color = array of GRAY, RGB or CMYK color components; offset = (0 to 1) represents a location along the gradient vector; exponent = exponent of the exponential interpolation function (default = 1).
array | $background | An array of colour components appropriate to the colour space, specifying a single background colour value.
boolean | $antialias | A flag indicating whether to filter the shading function to prevent aliasing artifacts.
[ Top ] ### method Header [line 3681]
`void Header( )`
This method is used to render the page header. It is automatically called by AddPage() and could be overwritten in your own inherited class. #### Tags:
access: | public
[ Top ] ### method hyphenateText [line 20942]
`array hyphenateText( string $text, mixed $patterns, [array $dictionary = array()], [int $leftmin = 1], [int $rightmin = 2], [int $charmin = 1], [int $charmax = 8])`
Returns text with soft hyphens. #### Tags:
return: | text with soft hyphens
author: | Nicola Asuni
since: | 4.9.012 (2010-04-12)
access: | public
#### Parameters:
string | $text | text to process
mixed | $patterns | Array of hypenation patterns or a TEX file containing hypenation patterns. TEX patterns can be downloaded from http://www.ctan.org/tex-archive/language/hyph-utf8/tex/generic/hyph-utf8/patterns/
array | $dictionary | Array of words to be returned without applying the hyphenation algoritm.
int | $leftmin | Minimum number of character to leave on the left of the word without applying the hyphens.
int | $rightmin | Minimum number of character to leave on the right of the word without applying the hyphens.
int | $charmin | Minimum word lenght to apply the hyphenation algoritm.
int | $charmax | Maximum lenght of broken piece of word.
[ Top ] ### method hyphenateWord [line 20833]
`array hyphenateWord( array $word, array $patterns, [array $dictionary = array()], [int $leftmin = 1], [int $rightmin = 2], [int $charmin = 1], [int $charmax = 8])`
Returns an array of chars containing soft hyphens. #### Tags:
return: | text with soft hyphens
author: | Nicola Asuni
since: | 4.9.012 (2010-04-12)
access: | protected
#### Parameters:
array | $word | array of chars
array | $patterns | Array of hypenation patterns.
array | $dictionary | Array of words to be returned without applying the hyphenation algoritm.
int | $leftmin | Minimum number of character to leave on the left of the word without applying the hyphens.
int | $rightmin | Minimum number of character to leave on the right of the word without applying the hyphens.
int | $charmin | Minimum word lenght to apply the hyphenation algoritm.
int | $charmax | Maximum lenght of broken piece of word.
[ Top ] ### method Image [line 6352]
`image Image( string $file, [float $x = ''], [float $y = ''], [float $w = 0], [float $h = 0], [string $type = ''], [mixed $link = ''], [string $align = ''], [mixed $resize = false], [int $dpi = 300], [string $palign = ''], [boolean $ismask = false], [mixed $imgmask = false], [mixed $border = 0], [boolean $fitbox = false], [boolean $hidden = false], [boolean $fitonpage = false])`
Puts an image in the page. The upper-left corner must be given. The dimensions can be specified in different ways: explicit width and height (expressed in user unit) one explicit dimension, the other being calculated automatically in order to keep the original proportions no explicit dimension, in which case the image is put at 72 dpi Supported formats are JPEG and PNG images whitout GD library and all images supported by GD: GD, GD2, GD2PART, GIF, JPEG, PNG, BMP, XBM, XPM; The format can be specified explicitly or inferred from the file extension. It is possible to put a link on the image. Remark: if an image is used several times, only one copy will be embedded in the file. #### Tags:
return: | information
since: | 1.1
access: | public
#### Parameters:
string | $file | Name of the file containing the image.
float | $x | Abscissa of the upper-left corner.
float | $y | Ordinate of the upper-left corner.
float | $w | Width of the image in the page. If not specified or equal to zero, it is automatically calculated.
float | $h | Height of the image in the page. If not specified or equal to zero, it is automatically calculated.
string | $type | Image format. Possible values are (case insensitive): JPEG and PNG (whitout GD library) and all images supported by GD: GD, GD2, GD2PART, GIF, JPEG, PNG, BMP, XBM, XPM;. If not specified, the type is inferred from the file extension.
mixed | $link | URL or identifier returned by AddLink().
string | $align | Indicates the alignment of the pointer next to image insertion relative to image height. The value can be: T: top-right for LTR or top-left for RTL M: middle-right for LTR or middle-left for RTL B: bottom-right for LTR or bottom-left for RTL N: next line
mixed | $resize | If true resize (reduce) the image to fit $w and $h (requires GD or ImageMagick library); if false do not resize; if 2 force resize in all cases (upscaling and downscaling).
int | $dpi | dot-per-inch resolution used on resize
string | $palign | Allows to center or align the image on the current line. Possible values are: L : left align C : center R : right align '' : empty string : left for LTR or right for RTL
boolean | $ismask | true if this image is a mask, false otherwise
mixed | $imgmask | image object returned by this function or false
mixed | $border | Indicates if borders must be drawn around the image. The value can be either a number: 0: no border (default) 1: frame or a string containing some or all of the following characters (in any order): L: left T: top R: right B: bottom
boolean | $fitbox | If true scale image dimensions proportionally to fit within the ($w, $h) box.
boolean | $hidden | if true do not display the image.
boolean | $fitonpage | if true the image is resized to not exceed page dimensions.
[ Top ] ### method ImageEps [line 15264]
`void ImageEps( string $file, [float $x = ''], [float $y = ''], [float $w = 0], [float $h = 0], [mixed $link = ''], [boolean $useBoundingBox = true], [string $align = ''], [string $palign = ''], [mixed $border = 0], [boolean $fitonpage = false])`
Embed vector-based Adobe Illustrator (AI) or AI-compatible EPS files. NOTE: EPS is not yet fully implemented, use the setRasterizeVectorImages() method to enable/disable rasterization of vector images using ImageMagick library. Only vector drawing is supported, not text or bitmap. Although the script was successfully tested with various AI format versions, best results are probably achieved with files that were exported in the AI3 format (tested with Illustrator CS2, Freehand MX and Photoshop CS2). #### Tags:
author: | Valentin Schmidt, Nicola Asuni
since: | 3.1.000 (2008-06-09)
access: | public
#### Parameters:
string | $file | Name of the file containing the image.
float | $x | Abscissa of the upper-left corner.
float | $y | Ordinate of the upper-left corner.
float | $w | Width of the image in the page. If not specified or equal to zero, it is automatically calculated.
float | $h | Height of the image in the page. If not specified or equal to zero, it is automatically calculated.
mixed | $link | URL or identifier returned by AddLink().
string | $align | Indicates the alignment of the pointer next to image insertion relative to image height. The value can be: T: top-right for LTR or top-left for RTL M: middle-right for LTR or middle-left for RTL B: bottom-right for LTR or bottom-left for RTL N: next line
string | $palign | Allows to center or align the image on the current line. Possible values are: L : left align C : center R : right align '' : empty string : left for LTR or right for RTL
mixed | $border | Indicates if borders must be drawn around the image. The value can be either a number: 0: no border (default) 1: frame or a string containing some or all of the following characters (in any order): L: left T: top R: right B: bottom
boolean | $fitonpage | if true the image is resized to not exceed page dimensions.
boolean | $useBoundingBox | useBoundingBox specifies whether to position the bounding box (true) or the complete canvas (false) at location (x,y). Default value is true.
[ Top ] ### method ImagePngAlpha [line 6902]
`void ImagePngAlpha( string $file, float $x, float $y, float $wpx, float $hpx, float $w, float $h, string $type, mixed $link, string $align, boolean $resize, int $dpi, string $palign)`
Extract info from a PNG image with alpha channel using the GD library. #### Tags:
author: | Valentin Schmidt, Nicola Asuni
see: | TCPDF::Image()
since: | 4.3.007 (2008-12-04)
access: | protected
#### Parameters:
string | $file | Name of the file containing the image.
float | $x | Abscissa of the upper-left corner.
float | $y | Ordinate of the upper-left corner.
float | $wpx | Original width of the image in pixels.
float | $hpx | original height of the image in pixels.
float | $w | Width of the image in the page. If not specified or equal to zero, it is automatically calculated.
float | $h | Height of the image in the page. If not specified or equal to zero, it is automatically calculated.
string | $type | Image format. Possible values are (case insensitive): JPEG and PNG (whitout GD library) and all images supported by GD: GD, GD2, GD2PART, GIF, JPEG, PNG, BMP, XBM, XPM;. If not specified, the type is inferred from the file extension.
mixed | $link | URL or identifier returned by AddLink().
string | $align | Indicates the alignment of the pointer next to image insertion relative to image height. The value can be: T: top-right for LTR or top-left for RTL M: middle-right for LTR or middle-left for RTL B: bottom-right for LTR or bottom-left for RTL N: next line
boolean | $resize | If true resize (reduce) the image to fit $w and $h (requires GD library).
int | $dpi | dot-per-inch resolution used on resize
string | $palign | Allows to center or align the image on the current line. Possible values are: L : left align C : center R : right align '' : empty string : left for LTR or right for RTL
[ Top ] ### method ImageSVG [line 21128]
`void ImageSVG( string $file, [float $x = ''], [float $y = ''], [float $w = 0], [float $h = 0], [mixed $link = ''], [string $align = ''], [string $palign = ''], [mixed $border = 0], [boolean $fitonpage = false])`
Embedd a Scalable Vector Graphics (SVG) image. NOTE: SVG standard is not yet fully implemented, use the setRasterizeVectorImages() method to enable/disable rasterization of vector images using ImageMagick library. #### Tags:
author: | Nicola Asuni
since: | 5.0.000 (2010-05-02)
access: | public
#### Parameters:
string | $file | Name of the SVG file.
float | $x | Abscissa of the upper-left corner.
float | $y | Ordinate of the upper-left corner.
float | $w | Width of the image in the page. If not specified or equal to zero, it is automatically calculated.
float | $h | Height of the image in the page. If not specified or equal to zero, it is automatically calculated.
mixed | $link | URL or identifier returned by AddLink().
string | $align | Indicates the alignment of the pointer next to image insertion relative to image height. The value can be: T: top-right for LTR or top-left for RTL M: middle-right for LTR or middle-left for RTL B: bottom-right for LTR or bottom-left for RTL N: next line
string | $palign | Allows to center or align the image on the current line. Possible values are: L : left align C : center R : right align '' : empty string : left for LTR or right for RTL
mixed | $border | Indicates if borders must be drawn around the image. The value can be either a number: 0: no border (default) 1: frame or a string containing some or all of the following characters (in any order): L: left T: top R: right B: bottom
boolean | $fitonpage | if true the image is resized to not exceed page dimensions.
[ Top ] ### method IncludeJS [line 13017]
`void IncludeJS( string $script)`
Adds a javascript #### Tags:
author: | Johannes Güntert, Nicola Asuni
since: | 2.1.002 (2008-02-12)
access: | public
#### Parameters:
string | $script | Javascript code
[ Top ] ### method intToRoman [line 19410]
`string intToRoman( int $number)`
Returns the Roman representation of an integer number #### Tags:
return: | roman representation of the specified number
since: | 4.4.004 (2008-12-10)
access: | public
#### Parameters:
int | $number | number to convert
[ Top ] ### method isRTLTextDir [line 2901]
`boolean isRTLTextDir( )`
Return the current temporary RTL status #### Tags:
since: | 4.8.014 (2009-11-04)
access: | public
[ Top ] ### method isValidCSSSelectorForTag [line 16170]
`true isValidCSSSelectorForTag( array $dom, int $key, string $selector)`
Returns true if the CSS selector is valid for the selected HTML tag #### Tags:
return: | if the selector is valid, false otherwise
since: | 5.1.000 (2010-05-25)
access: | protected
#### Parameters:
array | $dom | array of HTML tags and properties
int | $key | key of the current HTML tag
string | $selector | CSS selector string
[ Top ] ### method lastPage [line 3396]
`void lastPage( [boolean $resetmargins = false])`
Reset pointer to the last document page. #### Tags:
see: | TCPDF::setPage(), TCPDF::getPage(), TCPDF::getNumPages()
since: | 2.0.000 (2008-01-04)
access: | public
#### Parameters:
boolean | $resetmargins | if true reset left, right, top margins and Y position.
[ Top ] ### method Line [line 11650]
`void Line( float $x1, float $y1, float $x2, float $y2, [array $style = array()])`
Draws a line between two points. #### Tags:
see: | TCPDF::SetLineWidth(), TCPDF::SetDrawColor(), TCPDF::SetLineStyle()
since: | 1.0
access: | public
#### Parameters:
float | $x1 | Abscissa of first point.
float | $y1 | Ordinate of first point.
float | $x2 | Abscissa of second point.
float | $y2 | Ordinate of second point.
array | $style | Line style. Array like for SetLineStyle. Default value: default line style (empty array).
[ Top ] ### method LinearGradient [line 14768]
`void LinearGradient( float $x, float $y, float $w, float $h, [array $col1 = array()], [array $col2 = array()], [array $coords = array(0,0,1,0)])`
Paints a linear colour gradient. #### Tags:
author: | Andreas Würmser, Nicola Asuni
since: | 3.1.000 (2008-06-09)
access: | public
#### Parameters:
float | $x | abscissa of the top left corner of the rectangle.
float | $y | ordinate of the top left corner of the rectangle.
float | $w | width of the rectangle.
float | $h | height of the rectangle.
array | $col1 | first color (Grayscale, RGB or CMYK components).
array | $col2 | second color (Grayscale, RGB or CMYK components).
array | $coords | array of the form (x1, y1, x2, y2) which defines the gradient vector (see linear_gradient_coords.jpg). The default value is from left to right (x1=0, y1=0, x2=1, y2=0).
[ Top ] ### method Link [line 4646]
`void Link( float $x, float $y, float $w, float $h, mixed $link, [int $spaces = 0])`
Puts a link on a rectangular area of the page. Text or image links are generally put via Cell(), Write() or Image(), but this method can be useful for instance to define a clickable area inside an image. #### Tags:
see: | TCPDF::AddLink(), TCPDF::Annotation(), TCPDF::Cell(), TCPDF::Write(), TCPDF::Image()
since: | 1.5
access: | public
#### Parameters:
float | $x | Abscissa of the upper-left corner of the rectangle
float | $y | Ordinate of the upper-left corner of the rectangle
float | $w | Width of the rectangle
float | $h | Height of the rectangle
mixed | $link | URL or identifier returned by AddLink()
int | $spaces | number of spaces on the text to link
[ Top ] ### method ListBox [line 13729]
`void ListBox( string $name, int $w, int $h, array $values, [array $prop = array()], [array $opt = array()], [float $x = ''], [float $y = ''], [boolean $js = false])`
Creates a List-box field #### Tags:
author: | Nicola Asuni
since: | 4.8.000 (2009-09-07)
access: | public
#### Parameters:
string | $name | field name
int | $w | width
int | $h | height
array | $values | array containing the list of values.
array | $prop | javascript field properties. Possible values are described on official Javascript for Acrobat API reference.
array | $opt | annotation parameters. Possible values are described on official PDF32000_2008 reference.
float | $x | Abscissa of the upper-left corner of the rectangle
float | $y | Ordinate of the upper-left corner of the rectangle
boolean | $js | if true put the field using JavaScript (requires Acrobat Writer to be rendered).
[ Top ] ### method Ln [line 6959]
`void Ln( [float $h = ''], [boolean $cell = false])`
Performs a line break. The current abscissa goes back to the left margin and the ordinate increases by the amount passed in parameter. #### Tags:
see: | TCPDF::Cell()
since: | 1.0
access: | public
#### Parameters:
float | $h | The height of the break. By default, the value equals the height of the last printed cell.
boolean | $cell | if true add a cMargin to the x coordinate
[ Top ] ### method MirrorH [line 11262]
`void MirrorH( [int $x = ''])`
Horizontal Mirroring. #### Tags:
see: | TCPDF::StartTransform(), TCPDF::StopTransform()
since: | 2.1.000 (2008-01-07)
access: | public
#### Parameters:
int | $x | abscissa of the point. Default is current x position
[ Top ] ### method MirrorL [line 11298]
`void MirrorL( [float $angle = 0], [int $x = ''], [int $y = ''])`
Reflection against a straight line through point (x, y) with the gradient angle (angle). #### Tags:
see: | TCPDF::StartTransform(), TCPDF::StopTransform()
since: | 2.1.000 (2008-01-07)
access: | public
#### Parameters:
float | $angle | gradient angle of the straight line. Default is 0 (horizontal line).
int | $x | abscissa of the point. Default is current x position
int | $y | ordinate of the point. Default is current y position
[ Top ] ### method MirrorP [line 11285]
`void MirrorP( [int $x = ''], [int $y = ''])`
Point reflection mirroring. #### Tags:
see: | TCPDF::StartTransform(), TCPDF::StopTransform()
since: | 2.1.000 (2008-01-07)
access: | public
#### Parameters:
int | $x | abscissa of the point. Default is current x position
int | $y | ordinate of the point. Default is current y position
[ Top ] ### method MirrorV [line 11273]
`void MirrorV( [int $y = ''])`
Verical Mirroring. #### Tags:
see: | TCPDF::StartTransform(), TCPDF::StopTransform()
since: | 2.1.000 (2008-01-07)
access: | public
#### Parameters:
int | $y | ordinate of the point. Default is current y position
[ Top ] ### method movePage [line 19963]
`true movePage( int $frompage, int $topage)`
Move a page to a previous position. #### Tags:
return: | in case of success, false in case of error.
since: | 4.5.000 (2009-01-02)
access: | public
#### Parameters:
int | $frompage | number of the source page
int | $topage | number of the destination page (must be less than $frompage)
[ Top ] ### method MultiCell [line 5356]
`int MultiCell( float $w, float $h, string $txt, [mixed $border = 0], [string $align = 'J'], [int $fill = 0], [int $ln = 1], [float $x = ''], [float $y = ''], [boolean $reseth = true], [int $stretch = 0], [boolean $ishtml = false], [boolean $autopadding = true], [float $maxh = 0], [string $valign = 'T'], [boolean $fitcell = false])`
This method allows printing text with line breaks. They can be automatic (as soon as the text reaches the right border of the cell) or explicit (via the \n character). As many cells as necessary are output, one below the other. Text can be aligned, centered or justified. The cell block can be framed and the background painted. #### Tags:
return: | Return the number of cells or 1 for html mode.
see: | TCPDF::SetFont(), TCPDF::SetDrawColor(), TCPDF::SetFillColor(), TCPDF::SetTextColor(), TCPDF::SetLineWidth(), TCPDF::Cell(), TCPDF::Write(), TCPDF::SetAutoPageBreak()
since: | 1.3
access: | public
usedby: | TCPDF::writeHTMLCell()
#### Parameters:
float | $w | Width of cells. If 0, they extend up to the right margin of the page.
float | $h | Cell minimum height. The cell extends automatically if needed.
string | $txt | String to print
mixed | $border | Indicates if borders must be drawn around the cell block. The value can be either a number: 0: no border (default) 1: frame or a string containing some or all of the following characters (in any order): L: left T: top R: right B: bottom
string | $align | Allows to center or align the text. Possible values are: L or empty string: left align C: center R: right align J: justification (default value when $ishtml=false)
int | $fill | Indicates if the cell background must be painted (1) or transparent (0). Default value: 0.
int | $ln | Indicates where the current position should go after the call. Possible values are: 0: to the right 1: to the beginning of the next line [DEFAULT] 2: below
float | $x | x position in user units
float | $y | y position in user units
boolean | $reseth | if true reset the last cell height (default true).
int | $stretch | stretch carachter mode: 0 = disabled 1 = horizontal scaling only if necessary 2 = forced horizontal scaling 3 = character spacing only if necessary 4 = forced character spacing
boolean | $ishtml | set to true if $txt is HTML content (default = false).
boolean | $autopadding | if true, uses internal padding and automatically adjust it to account for line width.
float | $maxh | maximum height. It should be >= $h and less then remaining space to the bottom of the page, or 0 for disable this feature. This feature works only when $ishtml=false.
string | $valign | Vertical alignment of text (requires $maxh = $h > 0). Possible values are: T: TOP M: middle B: bottom . This feature works only when $ishtml=false.
boolean | $fitcell | if true attempt to fit all the text within the cell by reducing the font size.
[ Top ] ### method objclone [line 20610]
`cloned objclone( object $object)`
Creates a copy of a class object #### Tags:
return: | object
since: | 4.5.029 (2009-03-19)
access: | public
#### Parameters:
object | $object | class object to be cloned
[ Top ] ### method Open [line 3295]
`void Open( )`
This method begins the generation of the PDF document. It is not necessary to call it explicitly because AddPage() does it automatically. Note: no page is created by this method #### Tags:
see: | TCPDF::AddPage(), TCPDF::Close()
since: | 1.0
access: | public
[ Top ] ### method openHTMLTagHandler [line 18200]
`void openHTMLTagHandler( &$dom, int $key, boolean $cell, array $dom)`
Process opening tags. #### Tags:
access: | protected
#### Parameters:
array | $dom | html dom array
int | $key | current element id
boolean | $cell | if true add the default cMargin space to each new line (default false).
| &$dom |
[ Top ] ### method Output [line 7109]
`void Output( [string $name = 'doc.pdf'], [string $dest = 'I'])`
Send the document to a given destination: string, local file or browser. In the last case, the plug-in may be used (if present) or a download ("Save as" dialog box) may be forced. The method first calls Close() if necessary to terminate the document. #### Tags:
see: | TCPDF::Close()
since: | 1.0
access: | public
#### Parameters:
string | $name | The name of the file when saved. Note that special characters are removed and blanks characters are replaced with the underscore character.
string | $dest | Destination where to send the document. It can take one of the following values: I: send the file inline to the browser (default). The plug-in is used if available. The name given by name is used when one selects the "Save as" option on the link generating the PDF. D: send to the browser and force a file download with the name given by name. F: save to a local server file with the name given by name. S: return the document as a string. name is ignored. FI: equivalent to F + I option FD: equivalent to F + D option
[ Top ] ### method PageNo [line 3886]
`int PageNo( )`
Returns the current page number. #### Tags:
return: | page number
see: | TCPDF::AliasNbPages(), TCPDF::getAliasNbPages()
since: | 1.0
access: | public
[ Top ] ### method PageNoFormatted [line 14373]
`void PageNoFormatted( )`
Returns the current page number formatted as a string. #### Tags:
see: | PaneNo(), TCPDF::formatPageNumber()
since: | 4.2.005 (2008-11-06)
access: | public
[ Top ] ### method PieSector [line 15203]
`void PieSector( float $xc, float $yc, float $r, float $a, float $b, [string $style = 'FD'], [ $cw = true], [ $o = 90], float $cw:, float $o:)`
Draw the sector of a circle. It can be used for instance to render pie charts. #### Tags:
author: | Maxime Delorme, Nicola Asuni
since: | 3.1.000 (2008-06-09)
access: | public
#### Parameters:
float | $xc | abscissa of the center.
float | $yc | ordinate of the center.
float | $r | radius.
float | $a | start angle (in degrees).
float | $b | end angle (in degrees).
string | $style | Style of rendering. See the getPathPaintOperator() function for more information.
float | $cw: | indicates whether to go clockwise (default: true).
float | $o: | origin of angles (0 for 3 o'clock, 90 for noon, 180 for 9 o'clock, 270 for 6 o'clock). Default: 90.
| $cw |
| $o |
[ Top ] ### method PieSectorXY [line 15224]
`void PieSectorXY( float $xc, float $yc, float $rx, float $ry, float $a, float $b, [string $style = 'FD'], [ $cw = false], [ $o = 0], [integer $nc = 2], float $cw:, float $o:)`
Draw the sector of an ellipse. It can be used for instance to render pie charts. #### Tags:
author: | Maxime Delorme, Nicola Asuni
since: | 3.1.000 (2008-06-09)
access: | public
#### Parameters:
float | $xc | abscissa of the center.
float | $yc | ordinate of the center.
float | $rx | the x-axis radius.
float | $ry | the y-axis radius.
float | $a | start angle (in degrees).
float | $b | end angle (in degrees).
string | $style | Style of rendering. See the getPathPaintOperator() function for more information.
float | $cw: | indicates whether to go clockwise.
float | $o: | origin of angles (0 for 3 o'clock, 90 for noon, 180 for 9 o'clock, 270 for 6 o'clock).
integer | $nc | Number of curves used to draw a 90 degrees portion of arc.
| $cw |
| $o |
[ Top ] ### method pixelsToUnits [line 10576]
`float pixelsToUnits( int $px)`
Converts pixels to User's Units. #### Tags:
return: | value in user's unit
see: | TCPDF::setImageScale(), TCPDF::getImageScale()
access: | public
#### Parameters:
int | $px | pixels
[ Top ] ### method Polycurve [line 11760]
`void Polycurve( float $x0, float $y0, float $segments, [string $style = ''], [array $line_style = array()], [array $fill_color = array()])`
Draws a poly-Bezier curve. Each Bezier curve segment is a tangent to the line between the control points at either end of the curve. #### Tags:
see: | TCPDF::SetLineStyle()
since: | 3.0008 (2008-05-12)
access: | public
#### Parameters:
float | $x0 | Abscissa of start point.
float | $y0 | Ordinate of start point.
float | $segments | An array of bezier descriptions. Format: array(x1, y1, x2, y2, x3, y3).
string | $style | Style of rendering. See the getPathPaintOperator() function for more information.
array | $line_style | Line style of curve. Array like for SetLineStyle. Default value: default line style (empty array).
array | $fill_color | Fill color. Format: array(GREY) or array(R,G,B) or array(C,M,Y,K). Default value: default color (empty array).
[ Top ] ### method Polygon [line 11966]
`void Polygon( array $p, [string $style = ''], [array $line_style = array()], [array $fill_color = array()], [boolean $closed = true])`
Draws a polygon. #### Tags:
since: | 2.1.000 (2008-01-08)
access: | public
#### Parameters:
array | $p | Points 0 to ($np - 1). Array with values (x0, y0, x1, y1,..., x(np-1), y(np - 1))
string | $style | Style of rendering. See the getPathPaintOperator() function for more information.
array | $line_style | Line style of polygon. Array with keys among the following: all: Line style of all lines. Array like for SetLineStyle. 0 to ($np - 1): Line style of each line. Array like for SetLineStyle. If a key is not present or is null, not draws the line. Default value is default line style (empty array).
array | $fill_color | Fill color. Format: array(GREY) or array(R,G,B) or array(C,M,Y,K). Default value: default color (empty array).
boolean | $closed | if true the polygon is closes, otherwise will remain open
[ Top ] ### method PolyLine [line 11947]
`void PolyLine( array $p, [string $style = ''], [array $line_style = array()], [array $fill_color = array()], boolean $closed)`
Draws a polygonal line #### Tags:
since: | 4.8.003 (2009-09-15)
access: | public
#### Parameters:
array | $p | Points 0 to ($np - 1). Array with values (x0, y0, x1, y1,..., x(np-1), y(np - 1))
string | $style | Style of rendering. See the getPathPaintOperator() function for more information.
array | $line_style | Line style of polygon. Array with keys among the following: all: Line style of all lines. Array like for SetLineStyle. 0 to ($np - 1): Line style of each line. Array like for SetLineStyle. If a key is not present or is null, not draws the line. Default value is default line style (empty array).
array | $fill_color | Fill color. Format: array(GREY) or array(R,G,B) or array(C,M,Y,K). Default value: default color (empty array).
boolean | $closed | if true the polygon is closes, otherwise will remain open
[ Top ] ### method putHtmlListBullet [line 19475]
`void putHtmlListBullet( int $listdepth, [string $listtype = ''], [float $size = 10])`
Output an HTML list bullet or ordered item symbol #### Tags:
since: | 4.4.004 (2008-12-10)
access: | protected
#### Parameters:
int | $listdepth | list nesting level
string | $listtype | type of list
float | $size | current font size
[ Top ] ### method RadialGradient [line 14786]
`void RadialGradient( float $x, float $y, float $w, float $h, [array $col1 = array()], [array $col2 = array()], [array $coords = array(0.5,0.5,0.5,0.5,1)])`
Paints a radial colour gradient. #### Tags:
author: | Andreas Würmser, Nicola Asuni
since: | 3.1.000 (2008-06-09)
access: | public
#### Parameters:
float | $x | abscissa of the top left corner of the rectangle.
float | $y | ordinate of the top left corner of the rectangle.
float | $w | width of the rectangle.
float | $h | height of the rectangle.
array | $col1 | first color (Grayscale, RGB or CMYK components).
array | $col2 | second color (Grayscale, RGB or CMYK components).
array | $coords | array of the form (fx, fy, cx, cy, r) where (fx, fy) is the starting point of the gradient with color1, (cx, cy) is the center of the circle with color2, and r is the radius of the circle (see radial_gradient_coords.jpg). (fx, fy) should be inside the circle, otherwise some areas will not be defined.
[ Top ] ### method RadioButton [line 13640]
`void RadioButton( string $name, int $w, [array $prop = array()], [array $opt = array()], [string $onvalue = 'On'], [boolean $checked = false], [float $x = ''], [float $y = ''], [boolean $js = false])`
Creates a RadioButton field #### Tags:
author: | Nicola Asuni
since: | 4.8.000 (2009-09-07)
access: | public
#### Parameters:
string | $name | field name
int | $w | width
array | $prop | javascript field properties. Possible values are described on official Javascript for Acrobat API reference.
array | $opt | annotation parameters. Possible values are described on official PDF32000_2008 reference.
string | $onvalue | value to be returned if selected.
boolean | $checked | define the initial state.
float | $x | Abscissa of the upper-left corner of the rectangle
float | $y | Ordinate of the upper-left corner of the rectangle
boolean | $js | if true put the field using JavaScript (requires Acrobat Writer to be rendered).
[ Top ] ### method readDiskCache [line 19740]
`mixed readDiskCache( $filename, string $file)`
Read data from a temporary file on filesystem. #### Tags:
return: | retrieved data
since: | 4.5.000 (2008-12-31)
access: | protected
#### Parameters:
string | $file | file name
| $filename |
[ Top ] ### method Rect [line 11678]
`void Rect( float $x, float $y, float $w, float $h, [string $style = ''], [array $border_style = array()], [array $fill_color = array()])`
Draws a rectangle. #### Tags:
see: | TCPDF::SetLineStyle()
since: | 1.0
access: | public
#### Parameters:
float | $x | Abscissa of upper-left corner (or upper-right corner for RTL language).
float | $y | Ordinate of upper-left corner (or upper-right corner for RTL language).
float | $w | Width.
float | $h | Height.
string | $style | Style of rendering. See the getPathPaintOperator() function for more information.
array | $border_style | Border style of rectangle. Array like for SetLineStyle. Default value: default line style (empty array).
array | $fill_color | Fill color. Format: array(GREY) or array(R,G,B) or array(C,M,Y,K). Default value: default color (empty array).
[ Top ] ### method registrationMark [line 14737]
`void registrationMark( float $x, float $y, float $r, [boolean $double = false], [array $cola = array(0,0,0)], [array $colb = array(255,255,255)])`
Paints a registration mark #### Tags:
author: | Nicola Asuni
since: | 4.9.000 (2010-03-26)
access: | public
#### Parameters:
float | $x | abscissa of the registration mark center.
float | $y | ordinate of the registration mark center.
float | $r | radius of the crop mark.
boolean | $double | if true print two concentric crop marks.
array | $cola | crop mark color (default black).
array | $colb | second crop mark color.
[ Top ] ### method RegularPolygon [line 12064]
`void RegularPolygon( float $x0, float $y0, $r, integer $ns, [float $angle = 0], [boolean $draw_circle = false], [string $style = ''], [array $line_style = array()], [array $fill_color = array()], [string $circle_style = ''], [array $circle_outLine_style = array()], [array $circle_fill_color = array()], float $r:)`
Draws a regular polygon. #### Tags:
since: | 2.1.000 (2008-01-08)
access: | public
#### Parameters:
float | $x0 | Abscissa of center point.
float | $y0 | Ordinate of center point.
float | $r: | Radius of inscribed circle.
integer | $ns | Number of sides.
float | $angle | Angle oriented (anti-clockwise). Default value: 0.
boolean | $draw_circle | Draw inscribed circle or not. Default value: false.
string | $style | Style of rendering. See the getPathPaintOperator() function for more information.
array | $line_style | Line style of polygon sides. Array with keys among the following: all: Line style of all sides. Array like for SetLineStyle. 0 to ($ns - 1): Line style of each side. Array like for SetLineStyle. If a key is not present or is null, not draws the side. Default value is default line style (empty array).
array | $fill_color | Fill color. Format: array(red, green, blue). Default value: default color (empty array).
string | $circle_style | Style of rendering of inscribed circle (if draws). Possible values are: D or empty string: Draw (default). F: Fill. DF or FD: Draw and fill. CNZ: Clipping mode (using the even-odd rule to determine which regions lie inside the clipping path). CEO: Clipping mode (using the nonzero winding number rule to determine which regions lie inside the clipping path).
array | $circle_outLine_style | Line style of inscribed circle (if draws). Array like for SetLineStyle. Default value: default line style (empty array).
array | $circle_fill_color | Fill color of inscribed circle (if draws). Format: array(red, green, blue). Default value: default color (empty array).
| $r |
[ Top ] ### method removeSHY [line 4887]
`string removeSHY( [string $txt = ''])`
Removes SHY characters from text. Unicode Data: Name : SOFT HYPHEN, commonly abbreviated as SHY HTML Entity (decimal): &amp;#173; HTML Entity (hex): &amp;#xad; HTML Entity (named): &amp;shy; How to type in Microsoft Windows: [Alt +00AD] or [Alt 0173] UTF-8 (hex): 0xC2 0xAD (c2ad) UTF-8 character: chr(194).chr(173) #### Tags:
return: | without SHY characters.
since: | (4.5.019) 2009-02-28
access: | public
#### Parameters:
string | $txt | input string
[ Top ] ### method replaceBuffer [line 19768]
`void replaceBuffer( string $data)`
Replace the buffer content #### Tags:
since: | 5.5.000 (2010-06-22)
access: | protected
#### Parameters:
string | $data | data
[ Top ] ### method revstrpos [line 20634]
`Returns revstrpos( string $haystack, string $needle, [int $offset = 0])`
Find position of last occurrence of a substring in a string #### Tags:
return: | the position where the needle exists. Returns FALSE if the needle was not found.
since: | 4.8.038 (2010-03-13)
access: | public
#### Parameters:
string | $haystack | The string to search in.
string | $needle | substring to search.
int | $offset | May be specified to begin searching an arbitrary number of characters into the string.
[ Top ] ### method rfread [line 6870]
`Returns rfread( resource $handle, int $length)`
Binary-safe and URL-safe file read. Reads up to length bytes from the file pointer referenced by handle. Reading stops as soon as one of the following conditions is met: length bytes have been read; EOF (end of file) is reached. #### Tags:
return: | the read string or FALSE in case of error.
author: | Nicola Asuni
since: | 4.5.027 (2009-03-16)
access: | protected
#### Parameters:
resource | $handle |
int | $length |
[ Top ] ### method rollbackTransaction [line 20581]
`TCPDF rollbackTransaction( [boolean $self = false])`
This method allows to undo the latest transaction by returning the latest saved TCPDF object with startTransaction(). #### Tags:
return: | object.
since: | 4.5.029 (2009-03-19)
access: | public
#### Parameters:
boolean | $self | if true restores current class object to previous state without the need of reassignment via the returned value.
[ Top ] ### method Rotate [line 11354]
`void Rotate( float $angle, [int $x = ''], [int $y = ''])`
Rotate object. #### Tags:
see: | TCPDF::StartTransform(), TCPDF::StopTransform()
since: | 2.1.000 (2008-01-07)
access: | public
#### Parameters:
float | $angle | angle in degrees for counter-clockwise rotation
int | $x | abscissa of the rotation center. Default is current x position
int | $y | ordinate of the rotation center. Default is current y position
[ Top ] ### method RoundedRect [line 12154]
`void RoundedRect( float $x, float $y, float $w, float $h, float $r, [string $round_corner = '1111'], [string $style = ''], [array $border_style = array()], [array $fill_color = array()])`
Draws a rounded rectangle. #### Tags:
since: | 2.1.000 (2008-01-08)
access: | public
#### Parameters:
float | $x | Abscissa of upper-left corner.
float | $y | Ordinate of upper-left corner.
float | $w | Width.
float | $h | Height.
float | $r | the radius of the circle used to round off the corners of the rectangle.
string | $round_corner | Draws rounded corner or not. String with a 0 (not rounded i-corner) or 1 (rounded i-corner) in i-position. Positions are, in order and begin to 0: top left, top right, bottom right and bottom left. Default value: all rounded corner ("1111").
string | $style | Style of rendering. See the getPathPaintOperator() function for more information.
array | $border_style | Border style of rectangle. Array like for SetLineStyle. Default value: default line style (empty array).
array | $fill_color | Fill color. Format: array(GREY) or array(R,G,B) or array(C,M,Y,K). Default value: default color (empty array).
[ Top ] ### method RoundedRectXY [line 12173]
`void RoundedRectXY( float $x, float $y, float $w, float $h, float $rx, float $ry, [string $round_corner = '1111'], [string $style = ''], [array $border_style = array()], [array $fill_color = array()])`
Draws a rounded rectangle. #### Tags:
since: | 4.9.019 (2010-04-22)
access: | public
#### Parameters:
float | $x | Abscissa of upper-left corner.
float | $y | Ordinate of upper-left corner.
float | $w | Width.
float | $h | Height.
float | $rx | the x-axis radius of the ellipse used to round off the corners of the rectangle.
float | $ry | the y-axis radius of the ellipse used to round off the corners of the rectangle.
string | $round_corner | Draws rounded corner or not. String with a 0 (not rounded i-corner) or 1 (rounded i-corner) in i-position. Positions are, in order and begin to 0: top left, top right, bottom right and bottom left. Default value: all rounded corner ("1111").
string | $style | Style of rendering. See the getPathPaintOperator() function for more information.
array | $border_style | Border style of rectangle. Array like for SetLineStyle. Default value: default line style (empty array).
array | $fill_color | Fill color. Format: array(GREY) or array(R,G,B) or array(C,M,Y,K). Default value: default color (empty array).
[ Top ] ### method Scale [line 11230]
`void Scale( float $s_x, float $s_y, [int $x = ''], [int $y = ''])`
Vertical and horizontal non-proportional Scaling. #### Tags:
see: | TCPDF::StartTransform(), TCPDF::StopTransform()
since: | 2.1.000 (2008-01-07)
access: | public
#### Parameters:
float | $s_x | scaling factor for width as percent. 0 is not allowed.
float | $s_y | scaling factor for height as percent. 0 is not allowed.
int | $x | abscissa of the scaling center. Default is current x position
int | $y | ordinate of the scaling center. Default is current y position
[ Top ] ### method ScaleX [line 11190]
`void ScaleX( float $s_x, [int $x = ''], [int $y = ''])`
Horizontal Scaling. #### Tags:
see: | TCPDF::StartTransform(), TCPDF::StopTransform()
since: | 2.1.000 (2008-01-07)
access: | public
#### Parameters:
float | $s_x | scaling factor for width as percent. 0 is not allowed.
int | $x | abscissa of the scaling center. Default is current x position
int | $y | ordinate of the scaling center. Default is current y position
[ Top ] ### method ScaleXY [line 11216]
`void ScaleXY( float $s, [int $x = ''], [int $y = ''])`
Vertical and horizontal proportional Scaling. #### Tags:
see: | TCPDF::StartTransform(), TCPDF::StopTransform()
since: | 2.1.000 (2008-01-07)
access: | public
#### Parameters:
float | $s | scaling factor for width and height as percent. 0 is not allowed.
int | $x | abscissa of the scaling center. Default is current x position
int | $y | ordinate of the scaling center. Default is current y position
[ Top ] ### method ScaleY [line 11203]
`void ScaleY( float $s_y, [int $x = ''], [int $y = ''])`
Vertical Scaling. #### Tags:
see: | TCPDF::StartTransform(), TCPDF::StopTransform()
since: | 2.1.000 (2008-01-07)
access: | public
#### Parameters:
float | $s_y | scaling factor for height as percent. 0 is not allowed.
int | $x | abscissa of the scaling center. Default is current x position
int | $y | ordinate of the scaling center. Default is current y position
[ Top ] ### method segSVGContentHandler [line 22586]
`void segSVGContentHandler( resource $parser, string $data)`
Sets the character data handler function for the XML parser. #### Tags:
author: | Nicola Asuni
since: | 5.0.000 (2010-05-02)
access: | protected
#### Parameters:
resource | $parser | The first parameter, parser, is a reference to the XML parser calling the handler.
string | $data | The second parameter, data, contains the character data as a string.
[ Top ] ### method selectColumn [line 20697]
`void selectColumn( [int $col = ''])`
Set position at a given column #### Tags:
since: | 4.9.001 (2010-03-28)
access: | public
#### Parameters:
int | $col | column number (from 0 to getNumberOfColumns()-1); empty string = current column.
[ Top ] ### method serializeTCPDFtagParameters [line 20758]
`sting serializeTCPDFtagParameters( array $pararray)`
Serialize an array of parameters to be used with TCPDF tag in HTML code. #### Tags:
return: | containing serialized data
since: | 4.9.006 (2010-04-02)
access: | public
#### Parameters:
array | $pararray | parameters array
[ Top ] ### method setAlpha [line 14486]
`void setAlpha( float $alpha, [string $bm = 'Normal'])`
Set alpha for stroking (CA) and non-stroking (ca) operations. #### Tags:
since: | 3.0.000 (2008-03-27)
access: | public
#### Parameters:
float | $alpha | real value from 0 (transparent) to 1 (opaque)
string | $bm | blend mode, one of the following: Normal, Multiply, Screen, Overlay, Darken, Lighten, ColorDodge, ColorBurn, HardLight, SoftLight, Difference, Exclusion, Hue, Saturation, Color, Luminosity
[ Top ] ### method SetAuthor [line 3244]
`void SetAuthor( string $author)`
Defines the author of the document. #### Tags:
see: | TCPDF::SetCreator(), TCPDF::SetKeywords(), TCPDF::SetSubject(), TCPDF::SetTitle()
since: | 1.2
access: | public
#### Parameters:
string | $author | The name of the author.
[ Top ] ### method SetAutoPageBreak [line 3111]
`void SetAutoPageBreak( boolean $auto, [float $margin = 0])`
Enables or disables the automatic page breaking mode. When enabling, the second parameter is the distance from the bottom of the page that defines the triggering limit. By default, the mode is on and the margin is 2 cm. #### Tags:
see: | TCPDF::Cell(), TCPDF::MultiCell(), TCPDF::AcceptPageBreak()
since: | 1.0
access: | public
#### Parameters:
boolean | $auto | Boolean indicating if mode should be on or off.
float | $margin | Distance from the bottom of the page.
[ Top ] ### method setBarcode [line 15521]
`void setBarcode( [string $bc = ''])`
Set document barcode. #### Tags:
access: | public
#### Parameters:
string | $bc | barcode
[ Top ] ### method SetBooklet [line 19245]
`void SetBooklet( [boolean $booklet = true], [float $inner = -1], [float $outer = -1])`
Set the booklet mode for double-sided pages. #### Tags:
since: | 4.2.000 (2008-10-29)
access: | public
#### Parameters:
boolean | $booklet | true set the booklet mode on, false otherwise.
float | $inner | Inner page margin.
float | $outer | Outer page margin.
[ Top ] ### method setBuffer [line 19750]
`void setBuffer( string $data)`
Set buffer content (always append data). #### Tags:
since: | 4.5.000 (2009-01-02)
access: | protected
#### Parameters:
string | $data | data
[ Top ] ### method setCellHeightRatio [line 14520]
`void setCellHeightRatio( int $h)`
Set the height of the cell (line height) respect the font height. #### Tags:
since: | 3.0.014 (2008-06-04)
access: | public
#### Parameters:
int | $h | cell proportion respect font height (typical value = 1.25).
[ Top ] ### method SetCellPadding [line 3099]
`void SetCellPadding( float $pad)`
Set the internal Cell padding. #### Tags:
see: | TCPDF::Cell(), TCPDF::SetLeftMargin(), TCPDF::SetTopMargin(), TCPDF::SetAutoPageBreak(), TCPDF::SetMargins()
since: | 2.1.000 (2008-01-09)
access: | public
#### Parameters:
float | $pad | internal padding.
[ Top ] ### method setColumnsArray [line 20684]
`void setColumnsArray( array $columns)`
Set columns array. Each column is represented by and array with the following keys: (w = width, s = space between columns, y = column top position). #### Tags:
since: | 4.9.001 (2010-03-28)
access: | public
#### Parameters:
array | $columns |
[ Top ] ### method SetCompression [line 3204]
`void SetCompression( boolean $compress)`
Activates or deactivates page compression. When activated, the internal representation of each page is compressed, which leads to a compression ratio of about 2 for the resulting document. Compression is on by default. Note: the Zlib extension is required for this feature. If not present, compression will be turned off. #### Tags:
since: | 1.4
access: | public
#### Parameters:
boolean | $compress | Boolean indicating if compression must be enabled.
[ Top ] ### method setContentMark [line 3559]
`void setContentMark( [int $page = 0])`
Set start-writing mark on selected page. Borders and fills are always created after content and inserted on the position marked by this method. #### Tags:
since: | 4.6.021 (2009-07-20)
access: | protected
#### Parameters:
int | $page | page number (default is the current page)
[ Top ] ### method SetCreator [line 3268]
`void SetCreator( string $creator)`
Defines the creator of the document. This is typically the name of the application that generates the PDF. #### Tags:
see: | TCPDF::SetAuthor(), TCPDF::SetKeywords(), TCPDF::SetSubject(), TCPDF::SetTitle()
since: | 1.2
access: | public
#### Parameters:
string | $creator | The name of the creator.
[ Top ] ### method SetDefaultMonospacedFont [line 4596]
`void SetDefaultMonospacedFont( string $font)`
Defines the default monospaced font. #### Tags:
since: | 4.5.025
access: | public
#### Parameters:
string | $font | Font name.
[ Top ] ### method setDefaultTableColumns [line 14510]
`void setDefaultTableColumns( [int $cols = 4])`
Set the default number of columns in a row for HTML tables. #### Tags:
since: | 3.0.014 (2008-06-04)
access: | public
#### Parameters:
int | $cols | number of columns
[ Top ] ### method SetDisplayMode [line 3126]
`void SetDisplayMode( mixed $zoom, [string $layout = 'SinglePage'], [string $mode = 'UseNone'])`
Defines the way the document is to be displayed by the viewer. #### Tags:
since: | 1.2
access: | public
#### Parameters:
mixed | $zoom | The zoom to use. It can be one of the following string values or a number indicating the zooming factor to use. fullpage: displays the entire page on screen fullwidth: uses maximum width of window real: uses real size (equivalent to 100% zoom) default: uses viewer default mode
string | $layout | The page layout. Possible values are: SinglePage Display one page at a time OneColumn Display the pages in one column TwoColumnLeft Display the pages in two columns, with odd-numbered pages on the left TwoColumnRight Display the pages in two columns, with odd-numbered pages on the right TwoPageLeft (PDF 1.5) Display the pages two at a time, with odd-numbered pages on the left TwoPageRight (PDF 1.5) Display the pages two at a time, with odd-numbered pages on the right
string | $mode | A name object specifying how the document should be displayed when opened: UseNone Neither document outline nor thumbnail images visible UseOutlines Document outline visible UseThumbs Thumbnail images visible FullScreen Full-screen mode, with no menu bar, window controls, or any other window visible UseOC (PDF 1.5) Optional content group panel visible UseAttachments (PDF 1.6) Attachments panel visible
[ Top ] ### method SetDrawColor [line 3941]
`void SetDrawColor( [int $col1 = 0], [int $col2 = -1], [int $col3 = -1], [int $col4 = -1])`
Defines the color used for all drawing operations (lines, rectangles and cell borders). It can be expressed in RGB components or gray scale. The method can be called before the first page is created and the value is retained from page to page. #### Tags:
see: | TCPDF::SetDrawColorArray(), TCPDF::SetFillColor(), TCPDF::SetTextColor(), TCPDF::Line(), TCPDF::Rect(), TCPDF::Cell(), TCPDF::MultiCell()
since: | 1.3
access: | public
#### Parameters:
int | $col1 | Gray level for single color, or Red color for RGB, or Cyan color for CMYK. Value between 0 and 255
int | $col2 | Green color for RGB, or Magenta color for CMYK. Value between 0 and 255
int | $col3 | Blue color for RGB, or Yellow color for CMYK. Value between 0 and 255
int | $col4 | Key (Black) color for CMYK. Value between 0 and 255
[ Top ] ### method SetDrawColorArray [line 3918]
`void SetDrawColorArray( array $color)`
Defines the color used for all drawing operations (lines, rectangles and cell borders). It can be expressed in RGB components or gray scale. The method can be called before the first page is created and the value is retained from page to page. #### Tags:
see: | TCPDF::SetDrawColor()
since: | 3.1.000 (2008-06-11)
access: | public
#### Parameters:
array | $color | array of colors
[ Top ] ### method SetDrawSpotColor [line 3982]
`void SetDrawSpotColor( string $name, [int $tint = 100])`
Defines the spot color used for all drawing operations (lines, rectangles and cell borders). #### Tags:
see: | TCPDF::AddSpotColor(), TCPDF::SetFillSpotColor(), TCPDF::SetTextSpotColor()
since: | 4.0.024 (2008-09-12)
access: | public
#### Parameters:
string | $name | name of the spot color
int | $tint | the intensity of the color (from 0 to 100 ; 100 = full intensity by default).
[ Top ] ### method setEqualColumns [line 20651]
`void setEqualColumns( [int $numcols = 0], [int $width = 0], [int $y = ''])`
Set multiple columns of the same size #### Tags:
since: | 4.9.001 (2010-03-28)
access: | public
#### Parameters:
int | $numcols | number of columns (set to zero to disable columns mode)
int | $width | column width
int | $y | column starting Y position (leave empty for current Y position)
[ Top ] ### method setExtGState [line 14452]
`void setExtGState( array $gs)`
Add an extgstate #### Tags:
since: | 3.0.000 (2008-03-27)
access: | protected
#### Parameters:
array | $gs | extgstate
[ Top ] ### method SetFillColor [line 4024]
`void SetFillColor( [int $col1 = 0], [int $col2 = -1], [int $col3 = -1], [int $col4 = -1])`
Defines the color used for all filling operations (filled rectangles and cell backgrounds). It can be expressed in RGB components or gray scale. The method can be called before the first page is created and the value is retained from page to page. #### Tags:
see: | TCPDF::SetFillColorArray(), TCPDF::SetDrawColor(), TCPDF::SetTextColor(), TCPDF::Rect(), TCPDF::Cell(), TCPDF::MultiCell()
since: | 1.3
access: | public
#### Parameters:
int | $col1 | Gray level for single color, or Red color for RGB, or Cyan color for CMYK. Value between 0 and 255
int | $col2 | Green color for RGB, or Magenta color for CMYK. Value between 0 and 255
int | $col3 | Blue color for RGB, or Yellow color for CMYK. Value between 0 and 255
int | $col4 | Key (Black) color for CMYK. Value between 0 and 255
[ Top ] ### method SetFillColorArray [line 4001]
`void SetFillColorArray( array $color)`
Defines the color used for all filling operations (filled rectangles and cell backgrounds). It can be expressed in RGB components or gray scale. The method can be called before the first page is created and the value is retained from page to page. #### Tags:
see: | TCPDF::SetFillColor()
since: | 3.1.000 (2008-6-11)
access: | public
#### Parameters:
array | $color | array of colors
[ Top ] ### method SetFillSpotColor [line 4066]
`void SetFillSpotColor( string $name, [int $tint = 100])`
Defines the spot color used for all filling operations (filled rectangles and cell backgrounds). #### Tags:
see: | TCPDF::AddSpotColor(), TCPDF::SetDrawSpotColor(), TCPDF::SetTextSpotColor()
since: | 4.0.024 (2008-09-12)
access: | public
#### Parameters:
string | $name | name of the spot color
int | $tint | the intensity of the color (from 0 to 100 ; 100 = full intensity by default).
[ Top ] ### method SetFont [line 4504]
`void SetFont( string $family, [string $style = ''], [float $size = 0], [string $fontfile = ''], [mixed $subset = 'default'])`
Sets the font used to print character strings. The font can be either a standard one or a font added via the AddFont() method. Standard fonts use Windows encoding cp1252 (Western Europe). The method can be called before the first page is created and the font is retained from page to page. If you just wish to change the current font size, it is simpler to call SetFontSize(). Note: for the standard fonts, the font metric files must be accessible. There are three possibilities for this: They are in the current directory (the one where the running script lies) They are in one of the directories defined by the include_path parameter They are in the directory defined by the K_PATH_FONTS constant #### Tags:
author: | Nicola Asuni
see: | TCPDF::AddFont(), TCPDF::SetFontSize()
since: | 1.0
access: | public
#### Parameters:
string | $family | Family font. It can be either a name defined by AddFont() or one of the standard Type1 families (case insensitive): times (Times-Roman) timesb (Times-Bold) timesi (Times-Italic) timesbi (Times-BoldItalic) helvetica (Helvetica) helveticab (Helvetica-Bold) helveticai (Helvetica-Oblique) helveticabi (Helvetica-BoldOblique) courier (Courier) courierb (Courier-Bold) courieri (Courier-Oblique) courierbi (Courier-BoldOblique) symbol (Symbol) zapfdingbats (ZapfDingbats) It is also possible to pass an empty string. In that case, the current family is retained.
string | $style | Font style. Possible values are (case insensitive): empty string: regular B: bold I: italic U: underline D: line trough O: overline or any combination. The default value is regular. Bold and italic styles do not apply to Symbol and ZapfDingbats basic fonts or other fonts when not defined.
float | $size | Font size in points. The default value is the current size. If no size has been specified since the beginning of the document, the value taken is 12
string | $fontfile | The font definition file. By default, the name is built from the family and style, in lower case with no spaces.
mixed | $subset | if true embedd only a subset of the font (stores only the information related to the used characters); if false embedd full font; if 'default' uses the default value set using setFontSubsetting(). This option is valid only for TrueTypeUnicode fonts. If you want to enable users to change the document, set this parameter to false. If you subset the font, the person who receives your PDF would need to have your same font in order to make changes to your PDF. The file size of the PDF would also be smaller because you are embedding only part of a font.
[ Top ] ### method setFontBuffer [line 19904]
`void setFontBuffer( string $font, array $data)`
Set font buffer content. #### Tags:
since: | 4.5.000 (2009-01-02)
access: | protected
#### Parameters:
string | $font | font key
array | $data | font data
[ Top ] ### method SetFontSize [line 4525]
`void SetFontSize( float $size, [boolean $out = true])`
Defines the size of the current font. #### Tags:
see: | TCPDF::SetFont()
since: | 1.0
access: | public
#### Parameters:
float | $size | The size (in points)
boolean | $out | if true output the font size command, otherwise only set the font properties.
[ Top ] ### method setFontSubBuffer [line 19926]
`void setFontSubBuffer( string $font, string $key, array $data)`
Set font buffer content. #### Tags:
since: | 4.5.000 (2009-01-02)
access: | protected
#### Parameters:
string | $font | font key
string | $key | font sub-key
array | $data | font data
[ Top ] ### method setFontSubsetting [line 21092]
`void setFontSubsetting( [boolean $enable = true])`
Enable or disable default option for font subsetting. #### Tags:
author: | Nicola Asuni
since: | 5.3.002 (2010-06-07)
access: | public
#### Parameters:
boolean | $enable | if true enable font subsetting by default.
[ Top ] ### method setFooter [line 3795]
`void setFooter( )`
This method is used to render the page footer. #### Tags:
since: | 4.0.012 (2008-07-24)
access: | protected
[ Top ] ### method setFooterFont [line 10424]
`void setFooterFont( array $font)`
Set footer font. #### Tags:
since: | 1.1
access: | public
#### Parameters:
array | $font | font
[ Top ] ### method setFooterMargin [line 3627]
`void setFooterMargin( [int $fm = 10])`
Set footer margin. (minimum distance between footer and bottom page margin) #### Tags:
access: | public
#### Parameters:
int | $fm | distance in user units
[ Top ] ### method setFormDefaultProp [line 13520]
`void setFormDefaultProp( [array $prop = array()])`
Set default properties for form fields. #### Tags:
author: | Nicola Asuni
since: | 4.8.000 (2009-09-06)
access: | public
#### Parameters:
array | $prop | javascript field properties. Possible values are described on official Javascript for Acrobat API reference.
[ Top ] ### method setGraphicVars [line 19659]
`void setGraphicVars( $gvars $gvars)`
Set graphic variables. #### Tags:
since: | 4.2.010 (2008-11-14)
access: | protected
#### Parameters:
$gvars | $gvars | array graphic variables
[ Top ] ### method setHeader [line 3758]
`void setHeader( )`
This method is used to render the page header. #### Tags:
since: | 4.0.012 (2008-07-24)
access: | protected
[ Top ] ### method setHeaderData [line 3578]
`void setHeaderData( [string $ln = ''], [string $lw = 0], [string $ht = ''], [string $hs = ''])`
Set header data. #### Tags:
access: | public
#### Parameters:
string | $ln | header image logo
string | $lw | header image logo width in mm
string | $ht | string to print as title on document header
string | $hs | string to print on document header
[ Top ] ### method setHeaderFont [line 10404]
`void setHeaderFont( array $font)`
Set header font. #### Tags:
since: | 1.1
access: | public
#### Parameters:
array | $font | font
[ Top ] ### method setHeaderMargin [line 3607]
`void setHeaderMargin( [int $hm = 10])`
Set header margin. (minimum distance between header and top page margin) #### Tags:
access: | public
#### Parameters:
int | $hm | distance in user units
[ Top ] ### method setHtmlLinksStyle [line 19316]
`void setHtmlLinksStyle( [array $color = array(0,0,255)], [string $fontstyle = 'U'])`
Set the color and font style for HTML links. #### Tags:
since: | 4.4.003 (2008-12-09)
access: | public
#### Parameters:
array | $color | RGB array of colors
string | $fontstyle | additional font styles to add
[ Top ] ### method setHtmlVSpace [line 19285]
`void setHtmlVSpace( array $tagvs)`
Set the vertical spaces for HTML tags. The array must have the following structure (example): $tagvs = array('h1' => array(0 => array('h' => '', 'n' => 2), 1 => array('h' => 1.3, 'n' => 1))); The first array level contains the tag names, the second level contains 0 for opening tags or 1 for closing tags, the third level contains the vertical space unit (h) and the number spaces to add (n). If the h parameter is not specified, default values are used. #### Tags:
since: | 4.2.001 (2008-10-30)
access: | public
#### Parameters:
array | $tagvs | array of tags and relative vertical spaces.
[ Top ] ### method setImageBuffer [line 19845]
`void setImageBuffer( string $image, array $data)`
Set image buffer content. #### Tags:
since: | 4.5.000 (2008-12-31)
access: | protected
#### Parameters:
string | $image | image key
array | $data | image data
[ Top ] ### method setImageScale [line 2933]
`void setImageScale( float $scale)`
Set the adjusting factor to convert pixels to user units. #### Tags:
author: | Nicola Asuni
since: | 1.5.2
access: | public
#### Parameters:
float | $scale | adjusting factor to convert pixels to user units.
[ Top ] ### method setImageSubBuffer [line 19868]
`void setImageSubBuffer( string $image, string $key, array $data)`
Set image buffer content for a specified sub-key. #### Tags:
since: | 4.5.000 (2008-12-31)
access: | protected
#### Parameters:
string | $image | image key
string | $key | image sub-key
array | $data | image data
[ Top ] ### method setJPEGQuality [line 14497]
`void setJPEGQuality( int $quality)`
Set the default JPEG compression quality (1-100) #### Tags:
since: | 3.0.000 (2008-03-27)
access: | public
#### Parameters:
int | $quality | JPEG quality, integer between 1 and 100
[ Top ] ### method SetKeywords [line 3256]
`void SetKeywords( string $keywords)`
Associates keywords with the document, generally in the form 'keyword1 keyword2 ...'. #### Tags:
see: | TCPDF::SetAuthor(), TCPDF::SetCreator(), TCPDF::SetSubject(), TCPDF::SetTitle()
since: | 1.2
access: | public
#### Parameters:
string | $keywords | The list of keywords.
[ Top ] ### method setLanguageArray [line 10444]
`void setLanguageArray( array $language)`
Set language array. #### Tags:
since: | 1.1
access: | public
#### Parameters:
array | $language |
[ Top ] ### method setLastH [line 2912]
`void setLastH( float $h)`
Set the last cell height. #### Tags:
author: | Nicola Asuni
since: | 1.53.0.TC034
access: | public
#### Parameters:
float | $h | cell height.
[ Top ] ### method SetLeftMargin [line 3055]
`void SetLeftMargin( float $margin)`
Defines the left margin. The method can be called before creating the first page. If the current abscissa gets out of page, it is brought back to the margin. #### Tags:
see: | TCPDF::SetTopMargin(), TCPDF::SetRightMargin(), TCPDF::SetAutoPageBreak(), TCPDF::SetMargins()
since: | 1.4
access: | public
#### Parameters:
float | $margin | The margin.
[ Top ] ### method SetLineStyle [line 11505]
`void SetLineStyle( array $style)`
Set line style. #### Tags:
since: | 2.1.000 (2008-01-08)
access: | public
#### Parameters:
array | $style | Line style. Array with keys among the following: width (float): Width of the line in user units. cap (string): Type of cap to put on the line. Possible values are: butt, round, square. The difference between "square" and "butt" is that "square" projects a flat end past the end of the line. join (string): Type of join. Possible values are: miter, round, bevel. dash (mixed): Dash pattern. Is 0 (without dash) or string with series of length values, which are the lengths of the on and off dashes. For example: "2" represents 2 on, 2 off, 2 on, 2 off, ...; "2,1" is 2 on, 1 off, 2 on, 1 off, ... phase (integer): Modifier on the dash pattern which is used to shift the point at which the pattern starts. color (array): Draw color. Format: array(GREY) or array(R,G,B) or array(C,M,Y,K).
[ Top ] ### method SetLineWidth [line 11464]
`void SetLineWidth( float $width)`
Defines the line width. By default, the value equals 0.2 mm. The method can be called before the first page is created and the value is retained from page to page. #### Tags:
see: | TCPDF::Line(), TCPDF::Rect(), TCPDF::Cell(), TCPDF::MultiCell()
since: | 1.0
access: | public
#### Parameters:
float | $width | The width.
[ Top ] ### method SetLink [line 4623]
`void SetLink( int $link, [float $y = 0], [int $page = -1])`
Defines the page and position a link points to. #### Tags:
see: | TCPDF::AddLink()
since: | 1.5
access: | public
#### Parameters:
int | $link | The link identifier returned by AddLink()
float | $y | Ordinate of target position; -1 indicates the current position. The default value is 0 (top of page)
int | $page | Number of target page; -1 indicates the current page. This is the default value
[ Top ] ### method setListIndentWidth [line 19295]
`void setListIndentWidth( float $width)`
Set custom width for list indentation. #### Tags:
since: | 4.2.007 (2008-11-12)
access: | public
#### Parameters:
float | $width | width of the indentation. Use negative value to disable it.
[ Top ] ### method setLIsymbol [line 19206]
`void setLIsymbol( [string $symbol = '!'])`
Set the default bullet to be used as LI bullet symbol #### Tags:
since: | 4.0.028 (2008-09-26)
access: | public
#### Parameters:
string | $symbol | character or string to be used (legal values are: '' = automatic, '!' = auto bullet, '#' = auto numbering, 'disc', 'disc', 'circle', 'square', '1', 'decimal', 'decimal-leading-zero', 'i', 'lower-roman', 'I', 'upper-roman', 'a', 'lower-alpha', 'lower-latin', 'A', 'upper-alpha', 'upper-latin', 'lower-greek')
[ Top ] ### method SetMargins [line 3033]
`void SetMargins( float $left, float $top, [float $right = -1], [boolean $keepmargins = false])`
Defines the left, top and right margins. #### Tags:
see: | TCPDF::SetLeftMargin(), TCPDF::SetTopMargin(), TCPDF::SetRightMargin(), TCPDF::SetAutoPageBreak()
since: | 1.0
access: | public
#### Parameters:
float | $left | Left margin.
float | $top | Top margin.
float | $right | Right margin. Default value is the left one.
boolean | $keepmargins | if true overwrites the default page margins
[ Top ] ### method setOpenCell [line 19305]
`void setOpenCell( boolean $isopen)`
Set the top/bottom cell sides to be open or closed when the cell cross the page. #### Tags:
since: | 4.2.010 (2008-11-14)
access: | public
#### Parameters:
boolean | $isopen | if true keeps the top/bottom border open for the cell sides that cross the page.
[ Top ] ### method setPage [line 3349]
`void setPage( int $pnum, [boolean $resetmargins = false])`
Move pointer at the specified document page and update page dimensions. #### Tags:
see: | TCPDF::getPage(), lastpage(), TCPDF::getNumPages()
since: | 2.1.000 (2008-01-07)
access: | public
#### Parameters:
int | $pnum | page number (1 ... numpages)
boolean | $resetmargins | if true reset left, right, top margins and Y position.
[ Top ] ### method setPageBoxes [line 2666]
`void setPageBoxes( int $page, string $type, float $llx, float $lly, float $urx, float $ury, [boolean $points = false])`
Set page boundaries. #### Tags:
since: | 5.0.010 (2010-05-17)
access: | public
#### Parameters:
int | $page | page number
string | $type | valid values are: 'MediaBox' : the boundaries of the physical medium on which the page shall be displayed or printed; 'CropBox' : the visible region of default user space; 'BleedBox' : the region to which the contents of the page shall be clipped when output in a production environment; 'TrimBox' : the intended dimensions of the finished page after trimming; 'ArtBox' : the page's meaningful content (including potential white space).
float | $llx | lower-left x coordinate in user units
float | $lly | lower-left y coordinate in user units
float | $urx | upper-right x coordinate in user units
float | $ury | upper-right y coordinate in user units
boolean | $points | if true uses user units as unit of measure, otherwise uses PDF points
[ Top ] ### method setPageBuffer [line 19802]
`void setPageBuffer( int $page, string $data, [boolean $append = false])`
Set page buffer content. #### Tags:
since: | 4.5.000 (2008-12-31)
access: | protected
#### Parameters:
int | $page | page number
string | $data | page data
boolean | $append | if true append data, false replace.
[ Top ] ### method setPageFormat [line 2548]
`void setPageFormat( mixed $format, [ $orientation = 'P'])`
Change the format of the current page #### Tags:
see: | TCPDF::getPageSizeFromFormat()
since: | 3.0.015 (2008-06-06)
access: | protected
#### Parameters:
mixed | $format | The format used for pages. It can be either: one of the string values specified at getPageSizeFromFormat() documentation or an array containing page measures and advanced options: ['format'] = page format name (one of the above); ['Rotate'] : The number of degrees by which the page shall be rotated clockwise when displayed or printed. The value shall be a multiple of 90. ['PZ'] : The page's preferred zoom (magnification) factor. ['MediaBox'] : the boundaries of the physical medium on which the page shall be displayed or printed: ['MediaBox']['llx'] : lower-left x coordinate in points ['MediaBox']['lly'] : lower-left y coordinate in points ['MediaBox']['urx'] : upper-right x coordinate in points ['MediaBox']['ury'] : upper-right y coordinate in points ['CropBox'] : the visible region of default user space: ['CropBox']['llx'] : lower-left x coordinate in points ['CropBox']['lly'] : lower-left y coordinate in points ['CropBox']['urx'] : upper-right x coordinate in points ['CropBox']['ury'] : upper-right y coordinate in points ['BleedBox'] : the region to which the contents of the page shall be clipped when output in a production environment: ['BleedBox']['llx'] : lower-left x coordinate in points ['BleedBox']['lly'] : lower-left y coordinate in points ['BleedBox']['urx'] : upper-right x coordinate in points ['BleedBox']['ury'] : upper-right y coordinate in points ['TrimBox'] : the intended dimensions of the finished page after trimming: ['TrimBox']['llx'] : lower-left x coordinate in points ['TrimBox']['lly'] : lower-left y coordinate in points ['TrimBox']['urx'] : upper-right x coordinate in points ['TrimBox']['ury'] : upper-right y coordinate in points ['ArtBox'] : the extent of the page's meaningful content: ['ArtBox']['llx'] : lower-left x coordinate in points ['ArtBox']['lly'] : lower-left y coordinate in points ['ArtBox']['urx'] : upper-right x coordinate in points ['ArtBox']['ury'] : upper-right y coordinate in points ['BoxColorInfo'] :specify the colours and other visual characteristics that should be used in displaying guidelines on the screen for each of the possible page boundaries other than the MediaBox: ['BoxColorInfo'][BOXTYPE]['C'] : an array of three numbers in the range 0-255, representing the components in the DeviceRGB colour space. ['BoxColorInfo'][BOXTYPE]['W'] : the guideline width in default user units ['BoxColorInfo'][BOXTYPE]['S'] : the guideline style: S = Solid; D = Dashed ['BoxColorInfo'][BOXTYPE]['D'] : dash array defining a pattern of dashes and gaps to be used in drawing dashed guidelines ['trans'] : the style and duration of the visual transition to use when moving from another page to the given page during a presentation ['trans']['Dur'] : The page's display duration (also called its advance timing): the maximum length of time, in seconds, that the page shall be displayed during presentations before the viewer application shall automatically advance to the next page. ['trans']['S'] : transition style : Split, Blinds, Box, Wipe, Dissolve, Glitter, R, Fly, Push, Cover, Uncover, Fade ['trans']['D'] : The duration of the transition effect, in seconds. ['trans']['Dm'] : (Split and Blinds transition styles only) The dimension in which the specified transition effect shall occur: H = Horizontal, V = Vertical. Default value: H. ['trans']['M'] : (Split, Box and Fly transition styles only) The direction of motion for the specified transition effect: I = Inward from the edges of the page, O = Outward from the center of the pageDefault value: I. ['trans']['Di'] : (Wipe, Glitter, Fly, Cover, Uncover and Push transition styles only) The direction in which the specified transition effect shall moves, expressed in degrees counterclockwise starting from a left-to-right direction. If the value is a number, it shall be one of: 0 = Left to right, 90 = Bottom to top (Wipe only), 180 = Right to left (Wipe only), 270 = Top to bottom, 315 = Top-left to bottom-right (Glitter only). If the value is a name, it shall be None, which is relevant only for the Fly transition when the value of SS is not 1.0. Default value: 0. ['trans']['SS'] : (Fly transition style only) The starting or ending scale at which the changes shall be drawn. If M specifies an inward transition, the scale of the changes drawn shall progress from SS to 1.0 over the course of the transition. If M specifies an outward transition, the scale of the changes drawn shall progress from 1.0 to SS over the course of the transition. Default: 1.0. ['trans']['B'] : (Fly transition style only) If true, the area that shall be flown in is rectangular and opaque. Default: false.
| $orientation |
[ Top ] ### method setPageMark [line 3547]
`void setPageMark( )`
Set start-writing mark on current page stream used to put borders and fills. Borders and fills are always created after content and inserted on the position marked by this method. This function must be called after calling Image() function for a background image. Background images must be always inserted before calling Multicell() or WriteHTMLCell() or WriteHTML() functions. #### Tags:
since: | 4.0.016 (2008-07-30)
access: | public
[ Top ] ### method setPageOrientation [line 2715]
`void setPageOrientation( string $orientation, [boolean $autopagebreak = ''], [float $bottommargin = ''])`
Set page orientation. #### Tags:
since: | 3.0.015 (2008-06-06)
access: | public
#### Parameters:
string | $orientation | page orientation. Possible values are (case insensitive): P or PORTRAIT (default) L or LANDSCAPE
boolean | $autopagebreak | Boolean indicating if auto-page-break mode should be on or off.
float | $bottommargin | bottom margin of the page.
[ Top ] ### method setPageUnit [line 1836]
`void setPageUnit( string $unit)`
Set the units of measure for the document. #### Tags:
since: | 3.0.015 (2008-06-06)
access: | public
#### Parameters:
string | $unit | User measure unit. Possible values are: pt: point mm: millimeter (default) cm: centimeter in: inch A point equals 1/72 of inch, that is to say about 0.35 mm (an inch being 2.54 cm). This is a very common unit in typography; font sizes are expressed in that unit.
[ Top ] ### method setPDFVersion [line 14539]
`void setPDFVersion( [ $version = '1.7'])`
Set the PDF version (check PDF reference for valid values). Default value is 1.t #### Tags:
since: | 3.1.000 (2008-06-09)
access: | public
#### Parameters:
| $version |
[ Top ] ### method setPrintFooter [line 3654]
`void setPrintFooter( [ $val = true], boolean $value)`
Set a flag to print page footer. #### Tags:
access: | public
#### Parameters:
boolean | $value | set to true to print the page footer (default), false otherwise.
| $val |
[ Top ] ### method setPrintHeader [line 3645]
`void setPrintHeader( [boolean $val = true])`
Set a flag to print page header. #### Tags:
access: | public
#### Parameters:
boolean | $val | set to true to print the page header (default), false otherwise.
[ Top ] ### method SetProtection [line 11021]
`void SetProtection( [Array $permissions = array('print', 'modify', 'copy', 'annot-forms', 'fill-forms', 'extract', 'assemble', 'print-high')], [String $user_pass = ''], [String $owner_pass = null], [int $mode = 0], [String $pubkeys = null])`
Set document protection Remark: the protection against modification is for people who have the full Acrobat product. If you don't set any password, the document will open as usual. If you set a user password, the PDF viewer will ask for it before displaying the document. The master password, if different from the user one, can be used to get full access. Note: protecting a document requires to encrypt it, which increases the processing time a lot. This can cause a PHP time-out in some cases, especially if the document contains images or fonts. #### Tags:
author: | Nicola Asuni
since: | 2.0.000 (2008-01-02)
access: | public
#### Parameters:
Array | $permissions | the set of permissions (specify the ones you want to block): print : Print the document; modify : Modify the contents of the document by operations other than those controlled by 'fill-forms', 'extract' and 'assemble'; copy : Copy or otherwise extract text and graphics from the document; annot-forms : Add or modify text annotations, fill in interactive form fields, and, if 'modify' is also set, create or modify interactive form fields (including signature fields); fill-forms : Fill in existing interactive form fields (including signature fields), even if 'annot-forms' is not specified; extract : Extract text and graphics (in support of accessibility to users with disabilities or for other purposes); assemble : Assemble the document (insert, rotate, or delete pages and create bookmarks or thumbnail images), even if 'modify' is not set; print-high : Print the document to a representation from which a faithful digital copy of the PDF content could be generated. When this is not set, printing is limited to a low-level representation of the appearance, possibly of degraded quality. owner : (inverted logic - only for public-key) when set permits change of encryption and enables all other permissions.
String | $user_pass | user password. Empty by default.
String | $owner_pass | owner password. If not specified, a random value is used.
int | $mode | encryption strength: 0 = RC4 40 bit; 1 = RC4 128 bit; 2 = AES 128 bit.
String | $pubkeys | array of recipients containing public-key certificates ('c') and permissions ('p'). For example: array(array('c' => 'file://../tcpdf.crt', 'p' => array('print')))
[ Top ] ### method setRasterizeVectorImages [line 20989]
`void setRasterizeVectorImages( boolean $mode)`
Enable/disable rasterization of vector images using ImageMagick library. #### Tags:
since: | 5.0.000 (2010-04-27)
access: | public
#### Parameters:
boolean | $mode | if true enable rasterization, false otherwise.
[ Top ] ### method SetRightMargin [line 3085]
`void SetRightMargin( float $margin)`
Defines the right margin. The method can be called before creating the first page. #### Tags:
see: | TCPDF::SetLeftMargin(), TCPDF::SetTopMargin(), TCPDF::SetAutoPageBreak(), TCPDF::SetMargins()
since: | 1.5
access: | public
#### Parameters:
float | $margin | The margin.
[ Top ] ### method setRTL [line 2841]
`void setRTL( Boolean $enable, [Boolean $resetx = true])`
Enable or disable Right-To-Left language mode #### Tags:
since: | 2.0.000 (2008-01-03)
access: | public
#### Parameters:
Boolean | $enable | if true enable Right-To-Left language mode.
Boolean | $resetx | if true reset the X position on direction change.
[ Top ] ### method setSignature [line 14179]
`void setSignature( [mixed $signing_cert = ''], [mixed $private_key = ''], [string $private_key_password = ''], [string $extracerts = ''], [int $cert_type = 2], [array $info = array()])`
Enable document signature (requires the OpenSSL Library). The digital signature improve document authenticity and integrity and allows o enable extra features on Acrobat Reader. To create self-signed signature: openssl req -x509 -nodes -days 365000 -newkey rsa:1024 -keyout tcpdf.crt -out tcpdf.crt To export crt to p12: openssl pkcs12 -export -in tcpdf.crt -out tcpdf.p12 To convert pfx certificate to pem: openssl pkcs12 -in tcpdf.pfx -out tcpdf.crt -nodes #### Tags:
author: | Nicola Asuni
since: | 4.6.005 (2009-04-24)
access: | public
#### Parameters:
mixed | $signing_cert | signing certificate (string or filename prefixed with 'file://')
mixed | $private_key | private key (string or filename prefixed with 'file://')
string | $private_key_password | password
string | $extracerts | specifies the name of a file containing a bunch of extra certificates to include in the signature which can for example be used to help the recipient to verify the certificate that you used.
int | $cert_type | The access permissions granted for this document. Valid values shall be: 1 = No changes to the document shall be permitted; any change to the document shall invalidate the signature; 2 = Permitted changes shall be filling in forms, instantiating page templates, and signing; other changes shall invalidate the signature; 3 = Permitted changes shall be the same as for 2, as well as annotation creation, deletion, and modification; other changes shall invalidate the signature.
array | $info | array of option information: Name, Location, Reason, ContactInfo.
[ Top ] ### method setSignatureAppearance [line 14212]
`void setSignatureAppearance( [float $x = 0], [float $y = 0], [float $w = 0], [float $h = 0], [int $page = -1])`
Set the digital signature appearance (a cliccable rectangle area to get signature properties) #### Tags:
author: | Nicola Asuni
since: | 5.3.011 (2010-06-17)
access: | public
#### Parameters:
float | $x | Abscissa of the upper-left corner.
float | $y | Ordinate of the upper-left corner.
float | $w | Width of the signature area.
float | $h | Height of the signature area.
int | $page | option page number (if < 0 the current page is used).
[ Top ] ### method setSpacesRE [line 2816]
`void setSpacesRE( [string $re = '/[\s]/'])`
Set regular expression to detect withespaces or word separators. The pattern delimiter must be the forward-slash character '/'.
     if PCRE unicode support is turned ON:
     	\p{Z} or \p{Separator}: any kind of Unicode whitespace or invisible separator.
     	\p{Lo} or \p{Other_Letter}: a Unicode letter or ideograph that does not have lowercase and uppercase variants.
     	\p{Lo} is needed because Chinese characters are packed next to each other without spaces in between.
#### Tags:
since: | 4.6.016 (2009-06-15)
access: | public
#### Parameters:
string | $re | regular expression (leave empty for default).
[ Top ] ### method SetSubject [line 3232]
`void SetSubject( string $subject)`
Defines the subject of the document. #### Tags:
see: | TCPDF::SetAuthor(), TCPDF::SetCreator(), TCPDF::SetKeywords(), TCPDF::SetTitle()
since: | 1.2
access: | public
#### Parameters:
string | $subject | The subject.
[ Top ] ### method setSVGStyles [line 21560]
`object style setSVGStyles( array $svgstyle, array $prevsvgstyle, [int $x = 0], [int $y = 0], [int $w = 1], [int $h = 1], [string $clip_function = ''], [array $clip_params = array()])`
Apply the requested SVG styles (*** TO BE COMPLETED ***) #### Tags:
author: | Nicola Asuni
since: | 5.0.000 (2010-05-02)
access: | protected
#### Parameters:
array | $svgstyle | array of SVG styles to apply
array | $prevsvgstyle | array of previous SVG style
int | $x | X origin of the bounding box
int | $y | Y origin of the bounding box
int | $w | width of the bounding box
int | $h | height of the bounding box
string | $clip_function | clip function
array | $clip_params | array of parameters for clipping function
[ Top ] ### method setTableHeader [line 3842]
`void setTableHeader( )`
This method is used to render the table header on new page (if any). #### Tags:
since: | 4.5.030 (2009-03-25)
access: | protected
[ Top ] ### method setTempRTL [line 2867]
`void setTempRTL( mixed $mode)`
Force temporary RTL language direction #### Tags:
since: | 2.1.000 (2008-01-09)
access: | public
#### Parameters:
mixed | $mode | can be false, 'L' for LTR or 'R' for RTL
[ Top ] ### method SetTextColor [line 4108]
`void SetTextColor( [int $col1 = 0], [int $col2 = -1], [int $col3 = -1], [int $col4 = -1])`
Defines the color used for text. It can be expressed in RGB components or gray scale. The method can be called before the first page is created and the value is retained from page to page. #### Tags:
see: | TCPDF::SetTextColorArray(), TCPDF::SetDrawColor(), TCPDF::SetFillColor(), TCPDF::Text(), TCPDF::Cell(), TCPDF::MultiCell()
since: | 1.3
access: | public
#### Parameters:
int | $col1 | Gray level for single color, or Red color for RGB, or Cyan color for CMYK. Value between 0 and 255
int | $col2 | Green color for RGB, or Magenta color for CMYK. Value between 0 and 255
int | $col3 | Blue color for RGB, or Yellow color for CMYK. Value between 0 and 255
int | $col4 | Key (Black) color for CMYK. Value between 0 and 255
[ Top ] ### method SetTextColorArray [line 4085]
`void SetTextColorArray( array $color)`
Defines the color used for text. It can be expressed in RGB components or gray scale. The method can be called before the first page is created and the value is retained from page to page. #### Tags:
see: | TCPDF::SetFillColor()
since: | 3.1.000 (2008-6-11)
access: | public
#### Parameters:
array | $color | array of colors
[ Top ] ### method setTextRenderingMode [line 20770]
`void setTextRenderingMode( [int $stroke = 0], [boolean $fill = true], [boolean $clip = false])`
Set Text rendering mode. #### Tags:
since: | 4.9.008 (2009-04-02)
access: | public
#### Parameters:
int | $stroke | outline size in user units (0 = disable).
boolean | $fill | if true fills the text (default).
boolean | $clip | if true activate clipping mode
[ Top ] ### method SetTextSpotColor [line 4147]
`void SetTextSpotColor( string $name, [int $tint = 100])`
Defines the spot color used for text. #### Tags:
see: | TCPDF::AddSpotColor(), TCPDF::SetDrawSpotColor(), TCPDF::SetFillSpotColor()
since: | 4.0.024 (2008-09-12)
access: | public
#### Parameters:
string | $name | name of the spot color
int | $tint | the intensity of the color (from 0 to 100 ; 100 = full intensity by default).
[ Top ] ### method SetTitle [line 3220]
`void SetTitle( string $title)`
Defines the title of the document. #### Tags:
see: | TCPDF::SetAuthor(), TCPDF::SetCreator(), TCPDF::SetKeywords(), TCPDF::SetSubject()
since: | 1.2
access: | public
#### Parameters:
string | $title | The title.
[ Top ] ### method SetTopMargin [line 3070]
`void SetTopMargin( float $margin)`
Defines the top margin. The method can be called before creating the first page. #### Tags:
see: | TCPDF::SetLeftMargin(), TCPDF::SetRightMargin(), TCPDF::SetAutoPageBreak(), TCPDF::SetMargins()
since: | 1.5
access: | public
#### Parameters:
float | $margin | The margin.
[ Top ] ### method setUserRights [line 14146]
`void setUserRights( [boolean $enable = true], [string $document = '/FullSave'], [string $annots = '/Create/Delete/Modify/Copy/Import/Export'], [string $form = '/Add/Delete/FillIn/Import/Export/SubmitStandalone/SpawnTemplate'], [string $signature = '/Modify'])`
Set User's Rights for PDF Reader WARNING: This works only using the Adobe private key with the setSignature() method!. Check the PDF Reference 8.7.1 Transform Methods, Table 8.105 Entries in the UR transform parameters dictionary #### Tags:
author: | Nicola Asuni
since: | 2.9.000 (2008-03-26)
access: | public
#### Parameters:
boolean | $enable | if true enable user's rights on PDF reader
string | $document | Names specifying additional document-wide usage rights for the document. The only defined value is "/FullSave", which permits a user to save the document along with modified form and/or annotation data.
string | $annots | Names specifying additional annotation-related usage rights for the document. Valid names in PDF 1.5 and later are /Create/Delete/Modify/Copy/Import/Export, which permit the user to perform the named operation on annotations.
string | $form | Names specifying additional form-field-related usage rights for the document. Valid names are: /Add/Delete/FillIn/Import/Export/SubmitStandalone/SpawnTemplate
string | $signature | Names specifying additional signature-related usage rights for the document. The only defined value is /Modify, which permits a user to apply a digital signature to an existing signature form field or clear a signed signature form field.
[ Top ] ### method setViewerPreferences [line 14552]
`void setViewerPreferences( array $preferences)`
Set the viewer preferences dictionary controlling the way the document is to be presented on the screen or in print. (see Section 8.1 of PDF reference, "Viewer Preferences"). HideToolbar boolean (Optional) A flag specifying whether to hide the viewer application's tool bars when the document is active. Default value: false. HideMenubar boolean (Optional) A flag specifying whether to hide the viewer application's menu bar when the document is active. Default value: false. HideWindowUI boolean (Optional) A flag specifying whether to hide user interface elements in the document's window (such as scroll bars and navigation controls), leaving only the document's contents displayed. Default value: false. FitWindow boolean (Optional) A flag specifying whether to resize the document's window to fit the size of the first displayed page. Default value: false. CenterWindow boolean (Optional) A flag specifying whether to position the document's window in the center of the screen. Default value: false. DisplayDocTitle boolean (Optional; PDF 1.4) A flag specifying whether the window's title bar should display the document title taken from the Title entry of the document information dictionary (see Section 10.2.1, "Document Information Dictionary"). If false, the title bar should instead display the name of the PDF file containing the document. Default value: false. NonFullScreenPageMode name (Optional) The document's page mode, specifying how to display the document on exiting full-screen mode: UseNone Neither document outline nor thumbnail images visible UseOutlines Document outline visible UseThumbs Thumbnail images visible UseOC Optional content group panel visible This entry is meaningful only if the value of the PageMode entry in the catalog dictionary (see Section 3.6.1, "Document Catalog") is FullScreen; it is ignored otherwise. Default value: UseNone. ViewArea name (Optional; PDF 1.4) The name of the page boundary representing the area of a page to be displayed when viewing the document on the screen. Valid values are (see Section 10.10.1, "Page Boundaries").: MediaBox CropBox (default) BleedBox TrimBox ArtBox ViewClip name (Optional; PDF 1.4) The name of the page boundary to which the contents of a page are to be clipped when viewing the document on the screen. Valid values are (see Section 10.10.1, "Page Boundaries").: MediaBox CropBox (default) BleedBox TrimBox ArtBox PrintArea name (Optional; PDF 1.4) The name of the page boundary representing the area of a page to be rendered when printing the document. Valid values are (see Section 10.10.1, "Page Boundaries").: MediaBox CropBox (default) BleedBox TrimBox ArtBox PrintClip name (Optional; PDF 1.4) The name of the page boundary to which the contents of a page are to be clipped when printing the document. Valid values are (see Section 10.10.1, "Page Boundaries").: MediaBox CropBox (default) BleedBox TrimBox ArtBox PrintScaling name (Optional; PDF 1.6) The page scaling option to be selected when a print dialog is displayed for this document. Valid values are: None, which indicates that the print dialog should reflect no page scaling AppDefault (default), which indicates that applications should use the current print scaling Duplex name (Optional; PDF 1.7) The paper handling option to use when printing the file from the print dialog. The following values are valid: Simplex - Print single-sided DuplexFlipShortEdge - Duplex and flip on the short edge of the sheet DuplexFlipLongEdge - Duplex and flip on the long edge of the sheet Default value: none PickTrayByPDFSize boolean (Optional; PDF 1.7) A flag specifying whether the PDF page size is used to select the input paper tray. This setting influences only the preset values used to populate the print dialog presented by a PDF viewer application. If PickTrayByPDFSize is true, the check box in the print dialog associated with input paper tray is checked. Note: This setting has no effect on Mac OS systems, which do not provide the ability to pick the input tray by size. PrintPageRange array (Optional; PDF 1.7) The page numbers used to initialize the print dialog box when the file is printed. The first page of the PDF file is denoted by 1. Each pair consists of the first and last pages in the sub-range. An odd number of integers causes this entry to be ignored. Negative numbers cause the entire array to be ignored. Default value: as defined by PDF viewer application NumCopies integer (Optional; PDF 1.7) The number of copies to be printed when the print dialog is opened for this file. Supported values are the integers 2 through 5. Values outside this range are ignored. Default value: as defined by PDF viewer application, but typically 1 #### Tags:
author: | Nicola Asuni
since: | 3.1.000 (2008-06-09)
access: | public
#### Parameters:
array | $preferences | array of options.
[ Top ] ### method setVisibility [line 14397]
`void setVisibility( string $v)`
Set the visibility of the successive elements. This can be useful, for instance, to put a background image or color that will show on screen but won't print. #### Tags:
since: | 3.0.000 (2008-03-27)
access: | public
#### Parameters:
string | $v | visibility mode. Legal values are: all, print, screen.
[ Top ] ### method SetX [line 7030]
`void SetX( float $x, [boolean $rtloff = false])`
Defines the abscissa of the current position. If the passed value is negative, it is relative to the right of the page (or left if language is RTL). #### Tags:
see: | TCPDF::GetX(), TCPDF::GetY(), TCPDF::SetY(), TCPDF::SetXY()
since: | 1.2
access: | public
#### Parameters:
float | $x | The value of the abscissa.
boolean | $rtloff | if true always uses the page top-left corner as origin of axis.
[ Top ] ### method SetXY [line 7094]
`void SetXY( float $x, float $y, [boolean $rtloff = false])`
Defines the abscissa and ordinate of the current position. If the passed values are negative, they are relative respectively to the right and bottom of the page. #### Tags:
see: | TCPDF::SetX(), TCPDF::SetY()
since: | 1.2
access: | public
#### Parameters:
float | $x | The value of the abscissa.
float | $y | The value of the ordinate.
boolean | $rtloff | if true always uses the page top-left corner as origin of axis.
[ Top ] ### method SetY [line 7062]
`void SetY( float $y, [bool $resetx = true], [boolean $rtloff = false])`
Moves the current abscissa back to the left margin and sets the ordinate. If the passed value is negative, it is relative to the bottom of the page. #### Tags:
see: | TCPDF::GetX(), TCPDF::GetY(), TCPDF::SetY(), TCPDF::SetXY()
since: | 1.0
access: | public
#### Parameters:
float | $y | The value of the ordinate.
bool | $resetx | if true (default) reset the X position.
boolean | $rtloff | if true always uses the page top-left corner as origin of axis.
[ Top ] ### method set_mqr [line 6647]
`void set_mqr( boolean $mqr)`
Sets the current active configuration setting of magic_quotes_runtime (if the set_magic_quotes_runtime function exist) #### Tags:
since: | 4.6.025 (2009-08-17)
access: | public
#### Parameters:
boolean | $mqr | FALSE for off, TRUE for on.
[ Top ] ### method Skew [line 11410]
`void Skew( float $angle_x, float $angle_y, [int $x = ''], [int $y = ''])`
Skew. #### Tags:
see: | TCPDF::StartTransform(), TCPDF::StopTransform()
since: | 2.1.000 (2008-01-07)
access: | public
#### Parameters:
float | $angle_x | angle in degrees between -90 (skew to the left) and 90 (skew to the right)
float | $angle_y | angle in degrees between -90 (skew to the bottom) and 90 (skew to the top)
int | $x | abscissa of the skewing center. default is current x position
int | $y | ordinate of the skewing center. default is current y position
[ Top ] ### method SkewX [line 11383]
`void SkewX( float $angle_x, [int $x = ''], [int $y = ''])`
Skew horizontally. #### Tags:
see: | TCPDF::StartTransform(), TCPDF::StopTransform()
since: | 2.1.000 (2008-01-07)
access: | public
#### Parameters:
float | $angle_x | angle in degrees between -90 (skew to the left) and 90 (skew to the right)
int | $x | abscissa of the skewing center. default is current x position
int | $y | ordinate of the skewing center. default is current y position
[ Top ] ### method SkewY [line 11396]
`void SkewY( float $angle_y, [int $x = ''], [int $y = ''])`
Skew vertically. #### Tags:
see: | TCPDF::StartTransform(), TCPDF::StopTransform()
since: | 2.1.000 (2008-01-07)
access: | public
#### Parameters:
float | $angle_y | angle in degrees between -90 (skew to the bottom) and 90 (skew to the top)
int | $x | abscissa of the skewing center. default is current x position
int | $y | ordinate of the skewing center. default is current y position
[ Top ] ### method StarPolygon [line 12112]
`void StarPolygon( float $x0, float $y0, float $r, integer $nv, integer $ng, [ $angle = 0], [ $draw_circle = false], [string $style = ''], [array $line_style = array()], [array $fill_color = array()], [string $circle_style = ''], [array $circle_outLine_style = array()], [array $circle_fill_color = array()], float $angle:, boolean $draw_circle:)`
Draws a star polygon #### Tags:
since: | 2.1.000 (2008-01-08)
access: | public
#### Parameters:
float | $x0 | Abscissa of center point.
float | $y0 | Ordinate of center point.
float | $r | Radius of inscribed circle.
integer | $nv | Number of vertices.
integer | $ng | Number of gap (if ($ng % $nv = 1) then is a regular polygon).
float | $angle: | Angle oriented (anti-clockwise). Default value: 0.
boolean | $draw_circle: | Draw inscribed circle or not. Default value is false.
string | $style | Style of rendering. See the getPathPaintOperator() function for more information.
array | $line_style | Line style of polygon sides. Array with keys among the following: all: Line style of all sides. Array like for SetLineStyle. 0 to (n - 1): Line style of each side. Array like for SetLineStyle. If a key is not present or is null, not draws the side. Default value is default line style (empty array).
array | $fill_color | Fill color. Format: array(red, green, blue). Default value: default color (empty array).
string | $circle_style | Style of rendering of inscribed circle (if draws). Possible values are: D or empty string: Draw (default). F: Fill. DF or FD: Draw and fill. CNZ: Clipping mode (using the even-odd rule to determine which regions lie inside the clipping path). CEO: Clipping mode (using the nonzero winding number rule to determine which regions lie inside the clipping path).
array | $circle_outLine_style | Line style of inscribed circle (if draws). Array like for SetLineStyle. Default value: default line style (empty array).
array | $circle_fill_color | Fill color of inscribed circle (if draws). Format: array(red, green, blue). Default value: default color (empty array).
| $angle |
| $draw_circle |
[ Top ] ### method startPage [line 3503]
`void startPage( [string $orientation = ''], [mixed $format = ''], [ $tocpage = false])`
Starts a new page to the document. The page must be closed using the endPage() function. The origin of the coordinate system is at the top-left corner and increasing ordinates go downwards. #### Tags:
see: | TCPDF::AddPage(), TCPDF::endPage(), TCPDF::addTOCPage(), TCPDF::endTOCPage(), TCPDF::getPageSizeFromFormat(), TCPDF::setPageFormat()
since: | 4.2.010 (2008-11-14)
access: | public
#### Parameters:
string | $orientation | page orientation. Possible values are (case insensitive): P or PORTRAIT (default) L or LANDSCAPE
mixed | $format | The format used for pages. It can be either: one of the string values specified at getPageSizeFromFormat() or an array of parameters specified at setPageFormat().
| $tocpage |
[ Top ] ### method startPageGroup [line 14232]
`void startPageGroup( [int $page = ''])`
Create a new page group. NOTE: call this function before calling AddPage() #### Tags:
since: | 3.0.000 (2008-03-27)
access: | public
#### Parameters:
int | $page | starting group page (leave empty for next page).
[ Top ] ### method startSVGElementHandler [line 22156]
`void startSVGElementHandler( resource $parser, string $name, array $attribs)`
Sets the opening SVG element handler function for the XML parser. (*** TO BE COMPLETED ***) #### Tags:
author: | Nicola Asuni
since: | 5.0.000 (2010-05-02)
access: | protected
#### Parameters:
resource | $parser | The first parameter, parser, is a reference to the XML parser calling the handler.
string | $name | The second parameter, name, contains the name of the element for which this handler is called. If case-folding is in effect for this parser, the element name will be in uppercase letters.
array | $attribs | The third parameter, attribs, contains an associative array with the element's attributes (if any). The keys of this array are the attribute names, the values are the attribute values. Attribute names are case-folded on the same criteria as element names. Attribute values are not case-folded. The original order of the attributes can be retrieved by walking through attribs the normal way, using each(). The first key in the array was the first attribute, and so on.
[ Top ] ### method startTransaction [line 20550]
`void startTransaction( )`
Stores a copy of the current TCPDF object used for undo operation. #### Tags:
since: | 4.5.029 (2009-03-19)
access: | public
[ Top ] ### method StartTransform [line 11158]
`void StartTransform( )`
Starts a 2D tranformation saving current graphic state. This function must be called before scaling, mirroring, translation, rotation and skewing. Use StartTransform() before, and StopTransform() after the transformations to restore the normal behavior. #### Tags:
see: | TCPDF::StartTransform(), TCPDF::StopTransform()
since: | 2.1.000 (2008-01-07)
access: | public
[ Top ] ### method StopTransform [line 11173]
`void StopTransform( )`
Stops a 2D tranformation restoring previous graphic state. This function must be called after scaling, mirroring, translation, rotation and skewing. Use StartTransform() before, and StopTransform() after the transformations to restore the normal behavior. #### Tags:
see: | TCPDF::StartTransform(), TCPDF::StopTransform()
since: | 2.1.000 (2008-01-07)
access: | public
[ Top ] ### method SVGPath [line 21815]
`array SVGPath( string $d, [string $style = ''])`
Draws an SVG path #### Tags:
return: | of container box measures (x, y, w, h)
author: | Nicola Asuni
since: | 5.0.000 (2010-05-02)
access: | protected
#### Parameters:
string | $d | attribute d of the path SVG element
string | $style | Style of rendering. Possible values are: D or empty string: Draw (default). F: Fill. F*: Fill using the even-odd rule to determine which regions lie inside the clipping path. DF or FD: Draw and fill. DF* or FD*: Draw and fill using the even-odd rule to determine which regions lie inside the clipping path. CNZ: Clipping mode (using the even-odd rule to determine which regions lie inside the clipping path). CEO: Clipping mode (using the nonzero winding number rule to determine which regions lie inside the clipping path).
[ Top ] ### method SVGTransform [line 21541]
`void SVGTransform( array $tm)`
Apply SVG graphic transformation matrix. #### Tags:
since: | 5.0.000 (2010-05-02)
access: | protected
#### Parameters:
array | $tm | original SVG transformation matrix
[ Top ] ### method swapMargins [line 19261]
`void swapMargins( [boolean $reverse = true])`
Swap the left and right margins. #### Tags:
since: | 4.2.000 (2008-10-29)
access: | protected
#### Parameters:
boolean | $reverse | if true swap left and right margins.
[ Top ] ### method swapPageBoxCoordinates [line 2692]
`void swapPageBoxCoordinates( int $page)`
Swap X and Y coordinates of page boxes (change page boxes orientation). #### Tags:
since: | 5.0.010 (2010-05-17)
access: | protected
#### Parameters:
int | $page | page number
[ Top ] ### method Text [line 4787]
`void Text( float $x, float $y, string $txt, [int $fstroke = false], [boolean $fclip = false], [boolean $ffill = true], [mixed $border = 0], [int $ln = 0], [string $align = ''], [int $fill = 0], [mixed $link = ''], [int $stretch = 0], [boolean $ignore_min_height = false], [string $calign = 'T'], [string $valign = 'M'], [boolean $rtloff = false])`
Prints a text cell at the specified position. The origin is on the left of the first charcter, on the baseline. This method allows to place a string precisely on the page. #### Tags:
see: | TCPDF::Cell(), TCPDF::Write(), TCPDF::MultiCell(), WriteHTML(), WriteHTMLCell()
since: | 1.0
access: | public
#### Parameters:
float | $x | Abscissa of the cell origin
float | $y | Ordinate of the cell origin
string | $txt | String to print
int | $fstroke | outline size in user units (false = disable)
boolean | $fclip | if true activate clipping mode (you must call StartTransform() before this function and StopTransform() to stop the clipping tranformation).
boolean | $ffill | if true fills the text
mixed | $border | Indicates if borders must be drawn around the cell. The value can be either a number: 0: no border (default) 1: frame or a string containing some or all of the following characters (in any order): L: left T: top R: right B: bottom
int | $ln | Indicates where the current position should go after the call. Possible values are: 0: to the right (or left for RTL languages) 1: to the beginning of the next line 2: below Putting 1 is equivalent to putting 0 and calling Ln() just after. Default value: 0.
string | $align | Allows to center or align the text. Possible values are: L or empty string: left align (default value) C: center R: right align J: justify
int | $fill | Indicates if the cell background must be painted (1) or transparent (0). Default value: 0.
mixed | $link | URL or identifier returned by AddLink().
int | $stretch | stretch carachter mode: 0 = disabled 1 = horizontal scaling only if necessary 2 = forced horizontal scaling 3 = character spacing only if necessary 4 = forced character spacing
boolean | $ignore_min_height | if true ignore automatic minimum height value.
string | $calign | cell vertical alignment relative to the specified Y value. Possible values are: T : cell top A : font top L : font baseline D : font bottom B : cell bottom
string | $valign | text vertical alignment inside the cell. Possible values are: T : top C : center B : bottom
boolean | $rtloff | if true uses the page top-left corner as origin of axis for $x and $y initial position.
[ Top ] ### method TextField [line 13549]
`void TextField( string $name, float $w, float $h, [array $prop = array()], [array $opt = array()], [float $x = ''], [float $y = ''], [boolean $js = false])`
Creates a text field #### Tags:
author: | Nicola Asuni
since: | 4.8.000 (2009-09-07)
access: | public
#### Parameters:
string | $name | field name
float | $w | Width of the rectangle
float | $h | Height of the rectangle
array | $prop | javascript field properties. Possible values are described on official Javascript for Acrobat API reference.
array | $opt | annotation parameters. Possible values are described on official PDF32000_2008 reference.
float | $x | Abscissa of the upper-left corner of the rectangle
float | $y | Ordinate of the upper-left corner of the rectangle
boolean | $js | if true put the field using JavaScript (requires Acrobat Writer to be rendered).
[ Top ] ### method Transform [line 11440]
`void Transform( array $tm)`
Apply graphic transformations. #### Tags:
see: | TCPDF::StartTransform(), TCPDF::StopTransform()
since: | 2.1.000 (2008-01-07)
access: | protected
#### Parameters:
array | $tm | transformation matrix
[ Top ] ### method Translate [line 11333]
`void Translate( int $t_x, int $t_y)`
Translate graphic object horizontally and vertically. #### Tags:
see: | TCPDF::StartTransform(), TCPDF::StopTransform()
since: | 2.1.000 (2008-01-07)
access: | public
#### Parameters:
int | $t_x | movement to the right
int | $t_y | movement to the bottom
[ Top ] ### method TranslateX [line 11310]
`void TranslateX( int $t_x)`
Translate graphic object horizontally. #### Tags:
see: | TCPDF::StartTransform(), TCPDF::StopTransform()
since: | 2.1.000 (2008-01-07)
access: | public
#### Parameters:
int | $t_x | movement to the right (or left for RTL)
[ Top ] ### method TranslateY [line 11321]
`void TranslateY( int $t_y)`
Translate graphic object vertically. #### Tags:
see: | TCPDF::StartTransform(), TCPDF::StopTransform()
since: | 2.1.000 (2008-01-07)
access: | public
#### Parameters:
int | $t_y | movement to the bottom
[ Top ] ### method unhtmlentities [line 10587]
`string unhtmlentities( $text_to_convert $text_to_convert)`
Reverse function for htmlentities. Convert entities in UTF-8. #### Tags:
return: | converted
access: | public
#### Parameters:
$text_to_convert | $text_to_convert | Text to convert.
[ Top ] ### method UniArrSubString [line 6185]
`Return UniArrSubString( string $uniarr, [int $start = ''], [int $end = ''])`
Extract a slice of the $uniarr array and return it as string. #### Tags:
return: | part of a string
since: | 4.5.037 (2009-04-07)
access: | public
#### Parameters:
string | $uniarr | The input array of characters.
int | $start | the starting element of $strarr.
int | $end | first element that will not be returned.
[ Top ] ### method unichr [line 6218]
`Returns unichr( int $c)`
Returns the unicode caracter specified by UTF-8 value #### Tags:
return: | the specified character.
author: | Miguel Perez, Nicola Asuni
since: | 2.3.000 (2008-03-05)
access: | public
#### Parameters:
int | $c | UTF-8 value
[ Top ] ### method UTF8ArrayToUniArray [line 6206]
`Return UTF8ArrayToUniArray( string $ta)`
Convert an array of UTF8 values to array of unicode characters #### Tags:
return: | array of unicode characters
since: | 4.5.037 (2009-04-07)
access: | public
#### Parameters:
string | $ta | The input array of UTF8 values.
[ Top ] ### method UTF8ArrSubString [line 6162]
`Return UTF8ArrSubString( string $strarr, [int $start = ''], [int $end = ''])`
Extract a slice of the $strarr array and return it as string. #### Tags:
return: | part of a string
access: | public
#### Parameters:
string | $strarr | The input array of characters.
int | $start | the starting element of $strarr.
int | $end | first element that will not be returned.
[ Top ] ### method UTF8ArrToLatin1 [line 10312]
`array UTF8ArrToLatin1( array $unicode)`
Converts UTF-8 characters array to array of Latin1 characters #### Tags:
author: | Nicola Asuni
since: | 4.8.023 (2010-01-15)
access: | protected
#### Parameters:
array | $unicode | array containing UTF-8 unicode values
[ Top ] ### method utf8Bidi [line 12334]
`array utf8Bidi( array $ta, [string $str = ''], [bool $forcertl = false])`
Reverse the RLT substrings using the Bidirectional Algorithm (http://unicode.org/reports/tr9/). #### Tags:
return: | of unicode chars
author: | Nicola Asuni
since: | 2.4.000 (2008-03-06)
access: | protected
#### Parameters:
array | $ta | array of characters composing the string.
string | $str | string to process
bool | $forcertl | if 'R' forces RTL, if 'L' forces LTR
[ Top ] ### method utf8StrArrRev [line 12320]
`string utf8StrArrRev( array $arr, [string $str = ''], [bool $setbom = false], [bool $forcertl = false])`
Reverse the RLT substrings array using the Bidirectional Algorithm (http://unicode.org/reports/tr9/). #### Tags:
author: | Nicola Asuni
since: | 4.9.000 (2010-03-27)
access: | protected
#### Parameters:
array | $arr | array of unicode values.
string | $str | string to manipulate (or empty value).
bool | $setbom | if true set the Byte Order Mark (BOM = 0xFEFF)
bool | $forcertl | if true forces RTL text direction
[ Top ] ### method UTF8StringToArray [line 10165]
`array UTF8StringToArray( string $str)`
Converts UTF-8 strings to codepoints array. Invalid byte sequences will be replaced with 0xFFFD (replacement character) Based on: http://www.faqs.org/rfcs/rfc3629.html
        Char. number range  |        UTF-8 octet sequence
           (hexadecimal)    |              (binary)
        --------------------+-----------------------------------------------
        0000 0000-0000 007F | 0xxxxxxx
        0000 0080-0000 07FF | 110xxxxx 10xxxxxx
        0000 0800-0000 FFFF | 1110xxxx 10xxxxxx 10xxxxxx
        0001 0000-0010 FFFF | 11110xxx 10xxxxxx 10xxxxxx 10xxxxxx
        ---------------------------------------------------------------------

       ABFN notation:
       ---------------------------------------------------------------------
       UTF8-octets = *( UTF8-char )
       UTF8-char   = UTF8-1 / UTF8-2 / UTF8-3 / UTF8-4
       UTF8-1      = %x00-7F
       UTF8-2      = %xC2-DF UTF8-tail

       UTF8-3      = %xE0 %xA0-BF UTF8-tail / %xE1-EC 2( UTF8-tail ) /
                     %xED %x80-9F UTF8-tail / %xEE-EF 2( UTF8-tail )
       UTF8-4      = %xF0 %x90-BF 2( UTF8-tail ) / %xF1-F3 3( UTF8-tail ) /
                     %xF4 %x80-8F 2( UTF8-tail )
       UTF8-tail   = %x80-BF
       ---------------------------------------------------------------------
#### Tags:
return: | containing codepoints (UTF-8 characters values)
author: | Nicola Asuni
since: | 1.53.0.TC005 (2005-01-05)
access: | protected
#### Parameters:
string | $str | string to process.
[ Top ] ### method utf8StrRev [line 12305]
`string utf8StrRev( string $str, [bool $setbom = false], [bool $forcertl = false])`
Reverse the RLT substrings using the Bidirectional Algorithm (http://unicode.org/reports/tr9/). #### Tags:
author: | Nicola Asuni
since: | 2.1.000 (2008-01-08)
access: | protected
#### Parameters:
string | $str | string to manipulate.
bool | $setbom | if true set the Byte Order Mark (BOM = 0xFEFF)
bool | $forcertl | if true forces RTL text direction
[ Top ] ### method UTF8ToLatin1 [line 10282]
`string UTF8ToLatin1( string $str)`
Converts UTF-8 strings to Latin1 when using the standard 14 core fonts. #### Tags:
author: | Andrew Whitehead, Nicola Asuni
since: | 3.2.000 (2008-06-23)
access: | protected
#### Parameters:
string | $str | string to process.
[ Top ] ### method UTF8ToUTF16BE [line 10266]
`string UTF8ToUTF16BE( string $str, [boolean $setbom = true])`
Converts UTF-8 strings to UTF16-BE. #### Tags:
author: | Nicola Asuni
since: | 1.53.0.TC005 (2005-01-05)
access: | protected
uses: | TCPDF::UTF8StringToArray(), - arrUTF8ToUTF16BE()
#### Parameters:
string | $str | string to process.
boolean | $setbom | if true set the Byte Order Mark (BOM = 0xFEFF)
[ Top ] ### method Write [line 5802]
`mixed Write( float $h, string $txt, [mixed $link = ''], [int $fill = 0], [string $align = ''], [boolean $ln = false], [int $stretch = 0], [boolean $firstline = false], [boolean $firstblock = false], [float $maxh = 0])`
This method prints text from the current position. #### Tags:
return: | Return the number of cells or the remaining string if $firstline = true.
since: | 1.5
access: | public
#### Parameters:
float | $h | Line height
string | $txt | String to print
mixed | $link | URL or identifier returned by AddLink()
int | $fill | Indicates if the background must be painted (1) or transparent (0). Default value: 0.
string | $align | Allows to center or align the text. Possible values are: L or empty string: left align (default value) C: center R: right align J: justify
boolean | $ln | if true set cursor at the bottom of the line, otherwise set cursor at the top of the line.
int | $stretch | stretch carachter mode: 0 = disabled 1 = horizontal scaling only if necessary 2 = forced horizontal scaling 3 = character spacing only if necessary 4 = forced character spacing
boolean | $firstline | if true prints only the first line and return the remaining string.
boolean | $firstblock | if true the string is the starting of a line.
float | $maxh | maximum height. The remaining unprinted text will be returned. It should be >= $h and less then remaining space to the bottom of the page, or 0 for disable this feature.
[ Top ] ### method write1DBarcode [line 15550]
`void write1DBarcode( string $code, string $type, [int $x = ''], [int $y = ''], [int $w = ''], [int $h = ''], [float $xres = 0.4], [array $style = ''], [string $align = ''])`
Print a Linear Barcode. #### Tags:
author: | Nicola Asuni
since: | 3.1.000 (2008-06-09)
access: | public
#### Parameters:
string | $code | code to print
string | $type | type of barcode (see barcodes.php for supported formats).
int | $x | x position in user units
int | $y | y position in user units
int | $w | width in user units
int | $h | height in user units
float | $xres | width of the smallest bar in user units
array | $style | array of options: boolean $style['border'] if true prints a border around the barcode int $style['padding'] padding to leave around the barcode in user units (set to 'auto' for automatic padding) array $style['fgcolor'] color array for bars and text mixed $style['bgcolor'] color array for background or false for transparent boolean $style["text"] boolean if true prints text below the barcode string $style['font'] font name for text int $style['fontsize'] font size for text int $style['stretchtext']: 0 = disabled; 1 = horizontal scaling only if necessary; 2 = forced horizontal scaling; 3 = character spacing only if necessary; 4 = forced character spacing string $style['position'] barcode position on the page: L = left margin; C = center; R = right margin; S = stretch
string | $align | Indicates the alignment of the pointer next to barcode insertion relative to barcode height. The value can be: T: top-right for LTR or top-left for RTL M: middle-right for LTR or middle-left for RTL B: bottom-right for LTR or bottom-left for RTL N: next line
[ Top ] ### method write2DBarcode [line 15786]
`void write2DBarcode( string $code, string $type, [int $x = ''], [int $y = ''], [int $w = ''], [int $h = ''], [array $style = ''], [string $align = ''], [boolean $distort = false])`
Print 2D Barcode. #### Tags:
author: | Nicola Asuni
since: | 4.5.037 (2009-04-07)
access: | public
#### Parameters:
string | $code | code to print
string | $type | type of barcode (see 2dbarcodes.php for supported formats).
int | $x | x position in user units
int | $y | y position in user units
int | $w | width in user units
int | $h | height in user units
array | $style | array of options: boolean $style['border'] if true prints a border around the barcode int $style['padding'] padding to leave around the barcode in barcode units (set to 'auto' for automatic padding) int $style['hpadding'] horizontal padding in barcode units (set to 'auto' for automatic padding) int $style['vpadding'] vertical padding in barcode units (set to 'auto' for automatic padding) int $style['module_width'] width of a single module in points int $style['module_height'] height of a single module in points array $style['fgcolor'] color array for bars and text mixed $style['bgcolor'] color array for background or false for transparent string $style['position'] barcode position on the page: L = left margin; C = center; R = right margin; S = stretch $style['module_width'] width of a single module in points $style['module_height'] height of a single module in points
string | $align | Indicates the alignment of the pointer next to barcode insertion relative to barcode height. The value can be: T: top-right for LTR or top-left for RTL M: middle-right for LTR or middle-left for RTL B: bottom-right for LTR or bottom-left for RTL N: next line
boolean | $distort | if true distort the barcode to fit width and height, otherwise preserve aspect ratio
[ Top ] ### method writeBarcode [line 15735]
`void writeBarcode( int $x, int $y, int $w, int $h, string $type, string $style, string $font, int $xres, string $code)`
This function is DEPRECATED, please use the new write1DBarcode() function. #### Tags:
see: | TCPDF::write1DBarcode()
deprecated: | deprecated since version 3.1.000 (2008-06-10)
access: | public
#### Parameters:
int | $x | x position in user units
int | $y | y position in user units
int | $w | width in user units
int | $h | height position in user units
string | $type | type of barcode (I25, C128A, C128B, C128C, C39)
string | $style | barcode style
string | $font | font for text
int | $xres | x resolution
string | $code | code to print
[ Top ] ### method writeDiskCache [line 19712]
`void writeDiskCache( $filename, mixed $data, [boolean $append = false], string $file)`
Writes data to a temporary file on filesystem. #### Tags:
since: | 4.5.000 (2008-12-31)
access: | protected
#### Parameters:
string | $file | file name
mixed | $data | data to write on file
boolean | $append | if true append data, false replace.
| $filename |
[ Top ] ### method writeHTML [line 17013]
`void writeHTML( string $html, [boolean $ln = true], [int $fill = false], [boolean $reseth = false], [boolean $cell = false], [string $align = ''])`
Allows to preserve some HTML formatting (limited support). IMPORTANT: The HTML must be well formatted - try to clean-up it using an application like HTML-Tidy before submitting. Supported tags are: a, b, blockquote, br, dd, del, div, dl, dt, em, font, h1, h2, h3, h4, h5, h6, hr, i, img, li, ol, p, pre, small, span, strong, sub, sup, table, tcpdf, td, th, thead, tr, tt, u, ul #### Tags:
access: | public
#### Parameters:
string | $html | text to display
boolean | $ln | if true add a new line after text (default = true)
int | $fill | Indicates if the background must be painted (true) or transparent (false).
boolean | $reseth | if true reset the last cell height (default false).
boolean | $cell | if true add the default cMargin space to each Write (default false).
string | $align | Allows to center or align the text. Possible values are: L : left align C : center R : right align '' : empty string : left for LTR or right for RTL
[ Top ] ### method writeHTMLCell [line 16997]
`void writeHTMLCell( float $w, float $h, float $x, float $y, [string $html = ''], [mixed $border = 0], [int $ln = 0], [int $fill = 0], [boolean $reseth = true], [string $align = ''], [boolean $autopadding = true])`
Prints a cell (rectangular area) with optional borders, background color and html text string. The upper-left corner of the cell corresponds to the current position. After the call, the current position moves to the right or to the next line. If automatic page breaking is enabled and the cell goes beyond the limit, a page break is done before outputting. #### Tags:
see: | Multicell(), TCPDF::writeHTML()
access: | public
uses: | TCPDF::MultiCell()
#### Parameters:
float | $w | Cell width. If 0, the cell extends up to the right margin.
float | $h | Cell minimum height. The cell extends automatically if needed.
float | $x | upper-left corner X coordinate
float | $y | upper-left corner Y coordinate
string | $html | html text to print. Default value: empty string.
mixed | $border | Indicates if borders must be drawn around the cell. The value can be either a number: 0: no border (default) 1: frame or a string containing some or all of the following characters (in any order): L: left T: top R: right B: bottom
int | $ln | Indicates where the current position should go after the call. Possible values are: 0: to the right (or left for RTL language) 1: to the beginning of the next line 2: below
int | $fill | Indicates if the cell background must be painted (1) or transparent (0). Default value: 0.
boolean | $reseth | if true reset the last cell height (default true).
string | $align | Allows to center or align the text. Possible values are: L : left align C : center R : right align '' : empty string : left for LTR or right for RTL
boolean | $autopadding | if true, uses internal padding and automatically adjust it to account for line width.
[ Top ] ### method _addfield [line 13121]
`void _addfield( string $type, string $name, int $x, int $y, int $w, int $h, array $prop)`
Adds a javascript form field. #### Tags:
author: | Denis Van Nuffelen, Nicola Asuni
since: | 2.1.002 (2008-02-12)
access: | protected
#### Parameters:
string | $type | field type
string | $name | field name
int | $x | horizontal position
int | $y | vertical position
int | $w | width
int | $h | height
array | $prop | javascript field properties. Possible values are described on official Javascript for Acrobat API reference.
[ Top ] ### method _AES [line 10809]
`String _AES( string $key, String $text)`
Returns the input text exrypted using AES algorithm and the specified key. This method requires mcrypt. #### Tags:
return: | encrypted text
author: | Nicola Asuni
since: | 5.0.005 (2010-05-11)
access: | protected
#### Parameters:
string | $key | encryption key
String | $text | input text to be encrypted
[ Top ] ### method _beginpage [line 9851]
`void _beginpage( [string $orientation = ''], [mixed $format = ''])`
Initialize a new page. #### Tags:
see: | TCPDF::getPageSizeFromFormat(), TCPDF::setPageFormat()
access: | protected
#### Parameters:
string | $orientation | page orientation. Possible values are (case insensitive): P or PORTRAIT (default) L or LANDSCAPE
mixed | $format | The format used for pages. It can be either: one of the string values specified at getPageSizeFromFormat() or an array of parameters specified at setPageFormat().
[ Top ] ### method _datastring [line 10018]
`string _datastring( string $s, [int $n = 0])`
Format a data string for meta information #### Tags:
return: | escaped string.
access: | protected
#### Parameters:
string | $s | data string to escape.
int | $n | object ID
[ Top ] ### method _datestring [line 10032]
`string _datestring( )`
Returns a formatted date for meta information #### Tags:
return: | escaped date string.
since: | 4.6.028 (2009-08-25)
access: | protected
[ Top ] ### method _destroy [line 7303]
`void _destroy( [boolean $destroyall = false], [boolean $preserve_objcopy = false])`
Unset all class variables except the following critical variables: internal_encoding, state, bufferlen, buffer and diskcache. #### Tags:
since: | 4.5.016 (2009-02-24)
access: | public
#### Parameters:
boolean | $destroyall | if true destroys all class variables, otherwise preserves critical variables.
boolean | $preserve_objcopy | if true preserves the objcopy variable
[ Top ] ### method _dochecks [line 7331]
`void _dochecks( )`
Check for locale-related bug #### Tags:
access: | protected
[ Top ] ### method _dolinethrough [line 9944]
`void _dolinethrough( int $x, int $y, string $txt)`
Line through text. #### Tags:
access: | protected
#### Parameters:
int | $x | X coordinate
int | $y | Y coordinate
string | $txt | text to linethrough
[ Top ] ### method _dolinethroughw [line 9957]
`void _dolinethroughw( int $x, int $y, $w, string $txt)`
Line through for rectangular text area. #### Tags:
since: | 4.9.008 (2009-09-29)
access: | protected
#### Parameters:
int | $x | X coordinate
int | $y | Y coordinate
string | $txt | text to linethrough
| $w |
[ Top ] ### method _dooverline [line 9970]
`void _dooverline( int $x, int $y, string $txt)`
Overline text. #### Tags:
since: | 4.9.015 (2010-04-19)
access: | protected
#### Parameters:
int | $x | X coordinate
int | $y | Y coordinate
string | $txt | text to overline
[ Top ] ### method _dooverlinew [line 9983]
`void _dooverlinew( int $x, int $y, int $w)`
Overline for rectangular text area. #### Tags:
since: | 4.9.015 (2010-04-19)
access: | protected
#### Parameters:
int | $x | X coordinate
int | $y | Y coordinate
int | $w | width to overline
[ Top ] ### method _dounderline [line 9919]
`void _dounderline( int $x, int $y, string $txt)`
Underline text. #### Tags:
access: | protected
#### Parameters:
int | $x | X coordinate
int | $y | Y coordinate
string | $txt | text to underline
[ Top ] ### method _dounderlinew [line 9932]
`void _dounderlinew( int $x, int $y, int $w)`
Underline for rectangular text area. #### Tags:
since: | 4.8.008 (2009-09-29)
access: | protected
#### Parameters:
int | $x | X coordinate
int | $y | Y coordinate
int | $w | width to underline
[ Top ] ### method _encrypt_data [line 10620]
`void _encrypt_data( int $n, string $s)`
Encrypt the input string. #### Tags:
author: | Nicola Asuni
since: | 5.0.005 (2010-05-11)
access: | protected
#### Parameters:
int | $n | object number
string | $s | data string to encrypt
[ Top ] ### method _enddoc [line 9763]
`void _enddoc( )`
Output end of document (EOF). #### Tags:
access: | protected
[ Top ] ### method _endpage [line 9895]
`void _endpage( )`
Mark end of page. #### Tags:
access: | protected
[ Top ] ### method _escape [line 10006]
`string _escape( string $s)`
Add "\" before "\", "(" and ")" #### Tags:
return: | escaped string.
access: | protected
#### Parameters:
string | $s | string to escape.
[ Top ] ### method _escapetext [line 10058]
`string _escapetext( string $s)`
Format a text string #### Tags:
return: | escaped string.
access: | protected
#### Parameters:
string | $s | string to escape.
[ Top ] ### method _freadint [line 9995]
`4-byte _freadint( string $f)`
Read a 4-byte (32 bit) integer from file. #### Tags:
return: | integer
access: | protected
#### Parameters:
string | $f | file name.
[ Top ] ### method _generateencryptionkey [line 10896]
`void _generateencryptionkey( String $user_pass, String $owner_pass, String $protection)`
Compute encryption key #### Tags:
author: | Nicola Asuni
since: | 2.0.000 (2008-01-02)
access: | protected
#### Parameters:
String | $user_pass | user password
String | $owner_pass | user password
String | $protection | protection type
[ Top ] ### method _getannotsrefs [line 7580]
`string _getannotsrefs( int $n)`
Get references to page annotations. #### Tags:
author: | Nicola Asuni
since: | 5.0.010 (2010-05-17)
access: | protected
#### Parameters:
int | $n | page number
[ Top ] ### method _getBYTE [line 8301]
`int _getBYTE( &$str, &$offset, string $str, int $offset)`
Get BYTE from string (8-bit unsigned integer). #### Tags:
return: | 8 bit value
author: | Nicola Asuni
since: | 5.2.000 (2010-06-02)
access: | protected
#### Parameters:
string | $str | string from where to extract value
int | $offset | point from where to read the data
| &$str |
| &$offset |
[ Top ] ### method _getfontpath [line 7347]
`string _getfontpath( )`
Return fonts path #### Tags:
access: | protected
[ Top ] ### method _getrawstream [line 10078]
`void _getrawstream( string $s, [int $n = 0])`
get raw output stream. #### Tags:
author: | Nicola Asuni
since: | 5.5.000 (2010-06-22)
access: | protected
#### Parameters:
string | $s | string to output.
int | $n | object reference for encryption mode
[ Top ] ### method _getSHORT [line 8286]
`int _getSHORT( &$str, &$offset, string $str, int $offset)`
Get SHORT from string (Big Endian 16-bit signed integer). #### Tags:
return: | 16 bit value
author: | Nicola Asuni
since: | 5.2.000 (2010-06-02)
access: | protected
#### Parameters:
string | $str | string from where to extract value
int | $offset | point from where to read the data
| &$str |
| &$offset |
[ Top ] ### method _getstream [line 10093]
`void _getstream( string $s, [int $n = 0])`
Format output stream (DEPRECATED). #### Tags:
deprecated: |
access: | protected
#### Parameters:
string | $s | string to output.
int | $n | object reference for encryption mode
[ Top ] ### method _getTrueTypeFontSubset [line 8316]
`string _getTrueTypeFontSubset( string $font, array $subsetchars)`
Returns a subset of the TrueType font data without the unused glyphs. #### Tags:
return: | a subset of TrueType font data without the unused glyphs
author: | Nicola Asuni
since: | 5.2.000 (2010-06-02)
access: | protected
#### Parameters:
string | $font | TrueType font data
array | $subsetchars | array of used characters (the glyphs to keep)
[ Top ] ### method _getTTFtableChecksum [line 8647]
`int _getTTFtableChecksum( string $table, int $length)`
Returs the checksum of a TTF table. #### Tags:
return: | checksum
author: | Nicola Asuni
since: | 5.2.000 (2010-06-02)
access: | protected
#### Parameters:
string | $table | table to check
int | $length | lenght of table in bytes
[ Top ] ### method _getULONG [line 8256]
`int _getULONG( &$str, &$offset, string $str, int $offset)`
Get ULONG from string (Big Endian 32-bit unsigned integer). #### Tags:
return: | 32 bit value
author: | Nicola Asuni
since: | 5.2.000 (2010-06-02)
access: | protected
#### Parameters:
string | $str | string from where to extract value
int | $offset | point from where to read the data
| &$str |
| &$offset |
[ Top ] ### method _getUSHORT [line 8271]
`int _getUSHORT( &$str, &$offset, string $str, int $offset)`
Get USHORT from string (Big Endian 16-bit unsigned integer). #### Tags:
return: | 16 bit value
author: | Nicola Asuni
since: | 5.2.000 (2010-06-02)
access: | protected
#### Parameters:
string | $str | string from where to extract value
int | $offset | point from where to read the data
| &$str |
| &$offset |
[ Top ] ### method _JScolor [line 13097]
`void _JScolor( string $color)`
Convert color to javascript color. #### Tags:
author: | Denis Van Nuffelen, Nicola Asuni
since: | 2.1.002 (2008-02-12)
access: | protected
#### Parameters:
string | $color | color name or #RRGGBB
[ Top ] ### method _md5_16 [line 10827]
`String _md5_16( string $str)`
Encrypts a string using MD5 and returns it's value as a binary string. #### Tags:
return: | MD5 encrypted binary string
author: | Klemen Vodopivec
since: | 2.0.000 (2008-01-02)
access: | protected
#### Parameters:
string | $str | input string
[ Top ] ### method _newobj [line 9905]
`int _newobj( )`
Begin a new object and return the object number. #### Tags:
return: | object number
access: | protected
[ Top ] ### method _objectkey [line 10601]
`void _objectkey( int $n)`
Compute encryption key depending on object number where the encrypted data is stored. This is used for all strings and streams without crypt filter specifier. #### Tags:
author: | Nicola Asuni
since: | 2.0.000 (2008-01-02)
access: | protected
#### Parameters:
int | $n | object number
[ Top ] ### method _out [line 10113]
`void _out( string $s)`
Output a string to the document. #### Tags:
access: | protected
#### Parameters:
string | $s | string to output.
[ Top ] ### method _outCurve [line 11605]
`void _outCurve( float $x1, float $y1, float $x2, float $y2, float $x3, float $y3)`
Append a cubic Bézier curve to the current path. The curve shall extend from the current point to the point (x3, y3), using (x1, y1) and (x2, y2) as the Bézier control points. The new current point shall be (x3, y3). #### Tags:
since: | 2.1.000 (2008-01-08)
access: | protected
#### Parameters:
float | $x1 | Abscissa of control point 1.
float | $y1 | Ordinate of control point 1.
float | $x2 | Abscissa of control point 2.
float | $y2 | Ordinate of control point 2.
float | $x3 | Abscissa of end point.
float | $y3 | Ordinate of end point.
[ Top ] ### method _outCurveV [line 11619]
`void _outCurveV( float $x2, float $y2, float $x3, float $y3)`
Append a cubic Bézier curve to the current path. The curve shall extend from the current point to the point (x3, y3), using the current point and (x2, y2) as the Bézier control points. The new current point shall be (x3, y3). #### Tags:
since: | 4.9.019 (2010-04-26)
access: | protected
#### Parameters:
float | $x2 | Abscissa of control point 2.
float | $y2 | Ordinate of control point 2.
float | $x3 | Abscissa of end point.
float | $y3 | Ordinate of end point.
[ Top ] ### method _outCurveY [line 11635]
`void _outCurveY( float $x1, float $y1, float $x3, float $y3, float $x2, float $y2)`
Append a cubic Bézier curve to the current path. The curve shall extend from the current point to the point (x3, y3), using (x1, y1) and (x3, y3) as the Bézier control points. The new current point shall be (x3, y3). #### Tags:
since: | 2.1.000 (2008-01-08)
access: | protected
#### Parameters:
float | $x1 | Abscissa of control point 1.
float | $y1 | Ordinate of control point 1.
float | $x2 | Abscissa of control point 2.
float | $y2 | Ordinate of control point 2.
float | $x3 | Abscissa of end point.
float | $y3 | Ordinate of end point.
[ Top ] ### method _outellipticalarc [line 11831]
`void _outellipticalarc( float $xc, float $yc, float $rx, float $ry, [ $xang = 0], [ $angs = 0], [ $angf = 360], [boolean $pie = false], [integer $nc = 2], float $xang:, float $angs:, float $angf:)`
Append an elliptical arc to the current path. An ellipse is formed from n Bezier curves. #### Tags:
author: | Nicola Asuni
since: | 4.9.019 (2010-04-26)
access: | protected
#### Parameters:
float | $xc | Abscissa of center point.
float | $yc | Ordinate of center point.
float | $rx | Horizontal radius.
float | $ry | Vertical radius (if ry = 0 then is a circle, see Circle). Default value: 0.
float | $xang: | Angle between the X-axis and the major axis of the ellipse. Default value: 0.
float | $angs: | Angle start of draw line. Default value: 0.
float | $angf: | Angle finish of draw line. Default value: 360.
boolean | $pie | if true do not mark the border point (used to draw pie sectors).
integer | $nc | Number of curves used to draw a 90 degrees portion of ellipse.
| $xang |
| $angs |
| $angf |
[ Top ] ### method _outLine [line 11575]
`void _outLine( float $x, float $y)`
Append a straight line segment from the current point to the point (x, y). The new current point shall be (x, y). #### Tags:
since: | 2.1.000 (2008-01-08)
access: | protected
#### Parameters:
float | $x | Abscissa of end point.
float | $y | Ordinate of end point.
[ Top ] ### method _outPoint [line 11563]
`void _outPoint( float $x, float $y)`
Begin a new subpath by moving the current point to coordinates (x, y), omitting any connecting line segment. #### Tags:
since: | 2.1.000 (2008-01-08)
access: | protected
#### Parameters:
float | $x | Abscissa of point.
float | $y | Ordinate of point.
[ Top ] ### method _outRect [line 11589]
`void _outRect( float $x, float $y, float $w, float $h, string $op)`
Append a rectangle to the current path as a complete subpath, with lower-left corner (x, y) and dimensions widthand height in user space. #### Tags:
since: | 2.1.000 (2008-01-08)
access: | protected
#### Parameters:
float | $x | Abscissa of upper-left corner (or upper-right corner for RTL language).
float | $y | Ordinate of upper-left corner (or upper-right corner for RTL language).
float | $w | Width.
float | $h | Height.
string | $op | options
[ Top ] ### method _Ovalue [line 10840]
`String _Ovalue( String $user_pass, String $owner_pass)`
Compute O value (used for encryption) #### Tags:
return: | O value
author: | Nicola Asuni
since: | 2.0.000 (2008-01-02)
access: | protected
#### Parameters:
String | $user_pass | user password
String | $owner_pass | user password
[ Top ] ### method _parsejpeg [line 6739]
`array _parsejpeg( string $file)`
Extract info from a JPEG file without using the GD library. #### Tags:
return: | structure containing the image data
access: | protected
#### Parameters:
string | $file | image file to parse
[ Top ] ### method _parsepng [line 6765]
`array _parsepng( string $file)`
Extract info from a PNG file without using the GD library. #### Tags:
return: | structure containing the image data
access: | protected
#### Parameters:
string | $file | image file to parse
[ Top ] ### method _putannotsobjs [line 7608]
`void _putannotsobjs( )`
Output annotations objects for all pages. !!! THIS METHOD IS NOT YET COMPLETED !!! See section 12.5 of PDF 32000_2008 reference. #### Tags:
author: | Nicola Asuni
since: | 4.0.018 (2008-08-06)
access: | protected
[ Top ] ### method _putannotsrefs [line 7568]
`void _putannotsrefs( int $n)`
Output references to page annotations #### Tags:
author: | Nicola Asuni
deprecated: |
since: | 4.7.000 (2008-08-29)
access: | protected
#### Parameters:
int | $n | page number
[ Top ] ### method _putAPXObject [line 8221]
`int _putAPXObject( [int $w = 0], [int $h = 0], [string $stream = ''])`
Put appearance streams XObject used to define annotation's appearance states #### Tags:
return: | object ID
since: | 4.8.001 (2009-09-09)
access: | protected
#### Parameters:
int | $w | annotation width
int | $h | annotation height
string | $stream | appearance stream
[ Top ] ### method _putbookmarks [line 12936]
`void _putbookmarks( )`
Create a bookmark PDF string. #### Tags:
author: | Olivier Plathey, Nicola Asuni
since: | 2.1.002 (2008-02-12)
access: | protected
[ Top ] ### method _putcatalog [line 9594]
`int _putcatalog( )`
Output Catalog. #### Tags:
return: | object id
access: | protected
[ Top ] ### method _putcidfont0 [line 9317]
`int _putcidfont0( array $font)`
Output CID-0 fonts. A Type 0 CIDFont contains glyph descriptions based on the Adobe Type 1 font format #### Tags:
return: | font object ID
author: | Andrew Whitehead, Nicola Asuni, Yukihiro Nakadaira
since: | 3.2.000 (2008-06-23)
access: | protected
#### Parameters:
array | $font | font data
[ Top ] ### method _putEmbeddedFiles [line 4744]
`void _putEmbeddedFiles( )`
Embedd the attached files. #### Tags:
see: | TCPDF::Annotation()
since: | 4.4.000 (2008-12-07)
access: | protected
[ Top ] ### method _putencryption [line 10644]
`void _putencryption( )`
Put encryption on PDF document. #### Tags:
author: | Nicola Asuni
since: | 2.0.000 (2008-01-02)
access: | protected
[ Top ] ### method _putextgstates [line 14462]
`void _putextgstates( array $gs)`
Put extgstates for object transparency #### Tags:
since: | 3.0.000 (2008-03-27)
access: | protected
#### Parameters:
array | $gs | extgstate
[ Top ] ### method _putfonts [line 8768]
`void _putfonts( )`
Output fonts. #### Tags:
author: | Nicola Asuni
access: | protected
[ Top ] ### method _putfontwidths [line 8669]
`PDF _putfontwidths( array $font, [int $cidoffset = 0])`
Outputs font widths #### Tags:
return: | command string for font widths
author: | Nicola Asuni
since: | 4.4.000 (2008-12-07)
access: | protected
#### Parameters:
array | $font | font data
int | $cidoffset | offset for CID values
[ Top ] ### method _putheader [line 9755]
`void _putheader( )`
Output PDF header. #### Tags:
access: | protected
[ Top ] ### method _putimages [line 9388]
`void _putimages( )`
Output images. #### Tags:
access: | protected
[ Top ] ### method _putinfo [line 9547]
`int _putinfo( )`
Adds some Metadata information (Document Information Dictionary) (see Chapter 14.3.3 Document Information Dictionary of PDF32000_2008.pdf Reference) #### Tags:
return: | object id
access: | protected
[ Top ] ### method _putjavascript [line 13042]
`void _putjavascript( )`
Create a javascript PDF string. #### Tags:
author: | Johannes Güntert, Nicola Asuni
since: | 2.1.002 (2008-02-12)
access: | protected
[ Top ] ### method _putocg [line 14382]
`void _putocg( )`
Put visibility settings. #### Tags:
since: | 3.0.000 (2008-03-27)
access: | protected
[ Top ] ### method _putpages [line 7358]
`void _putpages( )`
Output pages. #### Tags:
access: | protected
[ Top ] ### method _putresourcedict [line 9462]
`void _putresourcedict( )`
Output Resources Dictionary. #### Tags:
access: | protected
[ Top ] ### method _putresources [line 9523]
`void _putresources( )`
Output Resources. #### Tags:
access: | protected
[ Top ] ### method _putshaders [line 15016]
`void _putshaders( )`
Output gradient shaders. #### Tags:
author: | Nicola Asuni
since: | 3.1.000 (2008-06-09)
access: | protected
[ Top ] ### method _putsignature [line 14070]
`void _putsignature( )`
Add certification signature (DocMDP or UR3) You can set only one signature type #### Tags:
author: | Nicola Asuni
since: | 4.6.008 (2009-05-07)
access: | protected
[ Top ] ### method _putspotcolors [line 9444]
`void _putspotcolors( )`
Output Spot Colors Resources. #### Tags:
since: | 4.0.024 (2008-09-12)
access: | protected
[ Top ] ### method _putstream [line 10104]
`void _putstream( string $s, [int $n = 0])`
Output a stream (DEPRECATED). #### Tags:
deprecated: |
access: | protected
#### Parameters:
string | $s | string to output.
int | $n | object reference for encryption mode
[ Top ] ### method _puttruetypeunicode [line 8928]
`int _puttruetypeunicode( array $font)`
Adds unicode fonts. Based on PDF Reference 1.3 (section 5) #### Tags:
return: | font object ID
author: | Nicola Asuni
since: | 1.52.0.TC005 (2005-01-05)
access: | protected
#### Parameters:
array | $font | font data
[ Top ] ### method _putviewerpreferences [line 9684]
`string _putviewerpreferences( )`
Output viewer preferences. #### Tags:
return: | for viewer preferences
author: | Nicola asuni
since: | 3.1.000 (2008-06-09)
access: | protected
[ Top ] ### method _RC4 [line 10763]
`String _RC4( string $key, String $text)`
Returns the input text exrypted using RC4 algorithm and the specified key. RC4 is the standard encryption algorithm used in PDF format #### Tags:
return: | encrypted text
author: | Klemen Vodopivec, Nicola Asuni
since: | 2.0.000 (2008-01-02)
access: | protected
#### Parameters:
string | $key | encryption key
String | $text | input text to be encrypted
[ Top ] ### method _setGDImageTransparency [line 6718]
`void _setGDImageTransparency( image $new_image, image $image)`
Set the transparency for the given GD image. #### Tags:
since: | 4.9.016 (2010-04-20)
access: | protected
#### Parameters:
image | $new_image | GD image object
image | $image | GD image object. return GD image object.
[ Top ] ### method _textstring [line 10044]
`string _textstring( string $s, [int $n = 0])`
Format a text string for meta information #### Tags:
return: | escaped string.
access: | protected
#### Parameters:
string | $s | string to escape.
int | $n | object ID
[ Top ] ### method _toJPEG [line 6681]
`void _toJPEG( image $image, string $file)`
Convert the loaded image to a JPEG and then return a structure for the PDF creator. This function requires GD library and write access to the directory defined on K_PATH_CACHE constant. #### Tags:
access: | protected
#### Parameters:
string | $file | Image file name.
image | $image | Image object. return image JPEG image object.
[ Top ] ### method _toPNG [line 6700]
`void _toPNG( image $image, string $file)`
Convert the loaded image to a PNG and then return a structure for the PDF creator. This function requires GD library and write access to the directory defined on K_PATH_CACHE constant. #### Tags:
since: | 4.9.016 (2010-04-20)
access: | protected
#### Parameters:
string | $file | Image file name.
image | $image | Image object. return image PNG image object.
[ Top ] ### method _Uvalue [line 10869]
`String _Uvalue( )`
Compute U value (used for encryption) #### Tags:
return: | U value
author: | Nicola Asuni
since: | 2.0.000 (2008-01-02)
access: | protected
[ Top ] Documentation generated on Sat, 31 Jul 2010 14:40:12 +0200 by phpDocumentor 1.4.3